===================== 2023-07-19 Version 5.5.7 Released =====================

===================== Changes Since Version 5.5.6 ===========================


commit c8b995c036fe5d15e43138435d3bc68a83747a55
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 19 09:57:21 2023 +0200

    Makefile.defs: version set to 5.5.7

commit 1339a180f6d386dfcba655a09d327ba528987acd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 19 09:56:40 2023 +0200

    pkg: version set to 5.5.7 for rpm and alpine specs

commit b9fd39ea259b32fd950080045e0edd0969a9a29d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jul 19 09:09:41 2023 +0200

    pkg/kamailio/deb: version set 5.5.7

commit aa022e9d35f0ce9040d396288f69995d2a7399ac
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jul 17 11:47:06 2023 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit edfbecd0ed515dab637a03a793c6c2d565dfdaee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 31 09:01:13 2023 +0200

    sst: fix condition on sst_min_se for sst_check_min()
    
    (cherry picked from commit a059af04ac47fd31238ca4f22ad868529e035c43)
    (cherry picked from commit febfc9722f83d992a3c1643fa373468b73cb3fa0)
    (cherry picked from commit 5fc4cca395e057714376b681bbad4935a9570d0d)

commit 063bceefc411e2841b7507d9f366a45d62cfbe00
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 23 09:41:13 2023 +0200

    ipops: create container items if not found for srv and naptr functions
    
    - GH #3419
    
    (cherry picked from commit 7971d825361bee29d65fcea69f2978d7af31eeaa)
    (cherry picked from commit 408643ec916bc00f9f9447952e553d129f8ec896)
    (cherry picked from commit 771fcd42e315376c9d3c16bb63983a72e508be18)

commit a5c798a2292323e235df5423cdc27eea46bddbbf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 16 17:28:02 2023 +0200

    htable: set dbload filed on empty db result
    
    (cherry picked from commit ba9d663c5d382edef3c98b31aa4341b21c307a34)
    (cherry picked from commit 27ab4b757805083c231ceb109a46f5501b1baa7c)
    (cherry picked from commit 249f476403f987917ed7d5c7f6d7ea70e1f43e63)

commit 2555e1b1a02af8d96504c43953ab395097c86adb
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Sat Apr 8 01:48:11 2023 -0400

    tm: enhance documentation for on_sl_reply param
    
    (cherry picked from commit a4970749b2be40cd598d4ce5cf2eaa6b38fc2307)
    (cherry picked from commit 2f86215a704ff10a58cb3f5e57497918c381a048)

commit 23470fccf6e54d7f853e6df4ab519feb30272721
Author: Victor Seva <vseva@sipwise.com>
Date:   Fri Mar 24 10:26:15 2023 +0100

    app_lua: fix crash on exausted memory scenario
    
    (cherry picked from commit ef94da7bac8e2aaf5a452d7b7dc3e2b544153ff6)
    (cherry picked from commit b524321a4871c349e6ebb464ea018e138bc6d5ed)

commit b1953700ae03bde4c4b4d0c549d09c2f66e8ec09
Author: Dennis <dennis_y@mail.ru>
Date:   Fri Mar 10 17:46:21 2023 +0300

    auth_ephemeral: fix authentication with secrets added at runtime (#3390)
    
    * auth_ephemeral: fix authentication with secrets added at runtime
    
    - proper way to work with shm pointer to secret list
    
    * fix: free secret_struct shm
    
    Free shm secret_struct in case the allocation error of secret_list pointer.
    
    (cherry picked from commit 6fa5a8fa8ddfe09bdab2fb445bee94e51d86b7fc)
    (cherry picked from commit ca13a3382b9067a0dc14fc7ec995ec2d95c8c6cb)

commit 2a5c590ae8e3fb435670d0bd97deda35d22a33ad
Author: Pantelis Kolatsis <pk@gilawa.com>
Date:   Mon Mar 6 10:44:19 2023 +0000

    sqlops: do not allow empty name component in URL
    
    (cherry picked from commit b15db86e93120824dcfc879099432f3ec1c3b0c7)
    (cherry picked from commit 9daacc36e3ed858eca97e9b7ac7eaa90e10c0803)

commit f39f320b6be93eb20936805b4e0396ce48da7985
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jun 23 09:06:43 2023 +0200

    utils/kamcmd: fix memory leak
    
    fixes #3478
    
    (cherry picked from commit badc81cb427ba5aaf03ca26e4c2654d58ee08588)
    (cherry picked from commit 402bab6f63b515a13a72ac2dad6e40075ded1479)

commit 0125f8818c99d673c22ce8d9448d453124097e87
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu May 18 10:52:52 2023 +0000

    dispatcher: fix force send socket functionality, was not working in some TCP scenarios
    
    (cherry picked from commit 6183319381573e42b882d05ae1748539f7547d8c)
    (cherry picked from commit da7944e2f4c7e6f344d125da325c388e1836662f)
    (cherry picked from commit d13a0b21d3a2d9c5f453957490c06d924af7e043)

commit deae678810d138d0cb4086c1472e5a4736d209f6
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon May 15 13:22:09 2023 +0000

    topos: fix early-dialog b-side UPDATE requests routing (GH #3437)
    
    (cherry picked from commit 091dc9a76bcec5c8a4bc73e863ed10b1b9d76c92)
    (cherry picked from commit 1b55a80b71bf9a7edfe29eb40627b472565ace69)
    (cherry picked from commit 0a4d8819b1dccf4404be557278dbd5350eacd156)

commit ce08c374e46532591ce54e29f3629554e9e3b011
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Tue May 9 15:05:39 2023 +0200

    rtpengine: fix unaligned memory access
    
    Make sure the pointers we return from our continuous memory buffer is
    always 64-bit aligned as it's used not only for strings, but also for
    structs/objects, and such unaligned memory access is undefined on some
    archs and flagged as such by ASAN.
    
    From https://github.com/sipwise/rtpengine/commit/ade8100d3b10308f1ff63f8cb06fdf292618edca
    
    fixes #3444
    
    (cherry-picked from commit 43ac6b27d7ca7bc522f362c25ebb3c22ab918280)

commit 3cdc934292a866bb4980cfb5e1cffa6138282940
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 13 12:41:12 2023 +0100

    app_python3: use Py_SET_TYPE() from python 3.9
    
    (cherry picked from commit fc75b4c3f8f9bdba320f74ddf942686c09316b56)
    (cherry picked from commit 07fc4d54e1c00a155dc17c25998ab2cbf75d0862)

commit c79393c96f5934c4a405a78d10a645b2b11a6bdb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 13 12:33:20 2023 +0100

    app_python3: proper check of PY_VERSION_HEX for python 3.11
    
    (cherry picked from commit 8546fb87e3277b675bd47eba9435f739cf3bb69d)
    (cherry picked from commit 82caa486216930ff634e4b9eeee8184eabaf504c)

commit 5f54afdc829c1325795db7a0a45afb12e9b72103
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 21 20:15:29 2022 +0200

    app_python3: use new Python 3.10+ API functions for tracking execution
    
    - GH #3187
    
    (cherry picked from commit b8bf86eb11a17c853450e5c7f81d2446cf719fbc)
    (cherry picked from commit 92f15de3d026405c749ce10fb4b11200c9b365b1)

commit 31a507e1fba11b0cb94260bf6a7cfdcb640d2bb4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 4 20:12:32 2023 +0200

    lcr: fix crash be calling load_gw* via KEMI
    
    move the check of lcr_id to the helper
    
    fixes #3435
    
    (cherry picked from commit c88e506fe6a1ba0f588c5866a63ffb18fa25478a)

commit ad12445a0994e6b82a4a872ecbbe46e1a4982a6c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Apr 6 15:51:17 2023 +0200

    github: use bullseye tag for check build [skip ci]

commit 4f24f446914393b56e990600e03484e1f410382c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Apr 6 14:03:57 2023 +0200

    github: use Github Packages registry [skip ci]
    
    (cherry picked from commit 8bba1aa866b736f1fd98dace67fe4a4b1eeca5c7)
    (cherry picked from commit 8189ae69e563c1cffed0c4e12d57d258d2a541f6)

commit f1d8ff5b22b8a367fbf0c7062d9bc5aa7ae2a671
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jan 27 08:30:30 2023 +0100

    pkg/kamailio/deb: remove warning build-depends-on-obsolete-package [skip ci]
    
    > W: kamailio source: build-depends-on-obsolete-package Build-Depends: libncurses5-dev => libncurses-dev
    
    (cherry picked from commit 387a8ca53f179437ae173b0bd5cb8d2d4922b60d)
    (cherry picked from commit dafb657950f97e7431770be6d0e9f2f04634fc21)

commit 210b8de98a76f2b57d4f894dadb2ad03ef2e0b8f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jan 27 08:23:45 2023 +0100

    pkg/kamailio/deb: remove lsb-base dependency [skip ci]
    
    * on newer version, there's no need to add it
    
    > E: kamailio: depends-on-obsolete-package Depends: lsb-base
    
    (cherry picked from commit 03755f93f98608d85591ba8aa184733e3871b92c)
    (cherry picked from commit a45f4ca901f76dae023e390d11e71873cb7e73ff)

commit 32cce91f3e6514e9f99f26d2c0dabc56281b034c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Dec 4 16:52:26 2021 +0100

    pkg/kamailio/deb: fix sid build
    
    * no python2 and dh-systemd package available
    
    (cherry picked from commit 986b9bea258864bf40606afe9761dc17dead6476)

commit bbb40895bc74810b37df2760bee309025fca27af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 30 12:48:44 2023 +0200

    ndb_redis: fix index on parsing sentinel address
    
    (cherry picked from commit 5c8eed0ce78d029f28a1819262516940b7dd749e)
    (cherry picked from commit d4ff1550a7c7f9647236f03559dc2fc3106a2b8d)

commit 31e116ccf0ad444cef81d47f123a73038453667a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 28 08:12:00 2023 +0200

    ndb_redis: break on finding a server via sentinel
    
    (cherry picked from commit cc9501663d6dd0fa91aef23ce00a7cdf86319201)
    (cherry picked from commit 21fc0e010ef97d86093d7673b5038b2e65f839cb)

commit 667eed709ac31589d6ed0c3bd1003babdc1152a1
Author: Henning Westerholt <hw@gilawa.com>
Date:   Fri Mar 24 14:20:13 2023 +0000

    carrierroute: remove redundant capabilities check, related to commit cf147ab7888c4e2
    
    (cherry picked from commit f44e93a4171668d1c1182b186bea8c41db0a9300)
    (cherry picked from commit 7fcfc9ef6d624d7c817c83b5bb8008638d387e78)

commit 3fed16c6eccbde99f4161af59318c94f6fa24a22
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Mar 23 18:21:26 2023 +0000

    carrierroute: check during startup for required DB capabilities (GH #3405)
    
    (cherry picked from commit cf147ab7888c4e2b26db9dd44e494001bb71a61c)
    (cherry picked from commit ce9c0e6715010c4403463b6d664b6e4a5632c04a)


===================== 2023-03-02 Version 5.5.6 Released =====================

===================== Changes Since Version 5.5.5 ===========================


commit 7b3d89cf0fc8284546e650198c79141839c6e094
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 2 10:40:39 2023 +0100

    Makefile.defs: version set to 5.5.6

commit 6e4d404566ad498eb97c5dcf604cd352882c4fa2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 2 10:27:59 2023 +0100

    pkg/kamailio/deb: version set 5.5.6

commit 8042aa4b29f5ff0c570ca926e8087b01266290af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 2 10:26:52 2023 +0100

    pkg: version set to 5.5.6 for rpm and alpine specs

commit b825f14b7ef3fb92363bc56e753c65e6eda44c88
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Feb 24 17:47:03 2023 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 8e9144c5f73993a312d0a0bd526a7b0aaacaac1c
Author: POIROTTE Francois <francois.poirotte@csgroup.eu>
Date:   Fri Feb 17 15:43:22 2023 +0100

    kamctl: hide errors raised by "which"
    
    Hide error messages from "which" to avoid polluting kamctl's output
    (e.g. when a JSON document is returned) in environments where STDOUT
    and STDERR may be combined into a single stream (e.g. containers)
    
    (cherry picked from commit a229d230bca5e785670edc3901f849e93989f9fe)
    (cherry picked from commit 614071020f123263b6e0c0cace652f88ac40f470)

commit 1d14e1ba4c5fb5b0bc5121fdcd95c26f8b73c7ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 13 13:25:28 2023 +0100

    topos: use proper field for datetime value
    
    (cherry picked from commit 446892331900c2303e531da55bcb494ccb2d8bce)
    (cherry picked from commit 74416f1fe93dad9ce62c1f31daeb6385d92c3f74)

commit 2ce7feed92c5751948c963ffb1bdd5dae2acd0de
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 10 17:53:42 2023 +0100

    ctl: doc - binrpc_buffer_size can get only integer value
    
    (cherry picked from commit 44381746e0e826e8db04597942fa4cee6cbf9175)
    (cherry picked from commit a914333bbac7b52943dc8d9d58bf15614b6497d5)

commit a735a7932711236115cdcf08c18b923476413876
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 8 15:51:37 2023 +0100

    async: catch up on possible skipped slots due to slow tasks
    
    (cherry picked from commit 0a3c15239a620474bbbc7f4d2f57dda0e9aa0f58)
    (cherry picked from commit 89a65b849a392fea8a46b1e6ae8309c764cdf81e)

commit 550f9d63b29110c8f5a2d736041c5cef55d67944
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 7 12:57:04 2023 +0100

    lib/ims: check return of strtok(...)
    
    (cherry picked from commit 63095ef1bef36a35952ed265f41d87ccbc1bba70)
    (cherry picked from commit 6796e7faeef7c0af9805b07e4f29c6924d8f3edc)

commit 27ff2fba44bda772b66a8d6c8f4e8d7216542445
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 3 09:38:26 2023 +0100

    rr: doc - fixed typos and use the proper param name add_username instead of enable_username
    
    (cherry picked from commit 022fa0cfc75d150fde219b8ae4f9a99b3fa2f132)
    (cherry picked from commit 1107423f6af0df4d788216324d6547247fa22224)

commit 40b09a423a9d7b8fe1093831ad335b9ceac6f7f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 3 09:28:58 2023 +0100

    core: typos in comments and EoL after log when parse msg fails
    
    - GH #3348
    
    (cherry picked from commit 51fa3da96c1eacd4d679598a3305180c9e818cfb)
    (cherry picked from commit b2e872799d8a694bd433193ec8157ab1d329edaa)

commit 844a6e131e6fd522da58ceb2b9f4ec1ced3f667b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 26 09:20:31 2023 +0100

    ims_dialog: fix module name in modparam examples
    
    (cherry picked from commit a4150741748779bba8e14bed286c6d64b1df7f17)
    (cherry picked from commit 6f3a48124cedc04332e45e9f38f54ed5acb1027d)

commit 8f8614fae4ae18cfe3d8011b5126d7e916446f71
Author: Sandro Gauci <sandro@enablesecurity.com>
Date:   Mon Jan 23 13:38:17 2023 +0100

    exec: docs - added security warning
    
    - Added warning about potential for OS Command Injection
    - Updated invalid examples
    
    previous example gives the following error:
    pv_parse_spec2(): error searching pvar "rU.txt"
    
    (cherry picked from commit f81f0e77c5ab67431af1f62f0e027379a3445951)
    (cherry picked from commit ee7d314422003fc6edfbc364015499e38e18ae62)

commit 0478e3d5022abcdc7f1dd15062d16331dc35ffed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 16 12:54:48 2023 +0100

    websocket: ignore keepalive in state WS_S_REMOVING
    
    - GH #3331
    
    (cherry picked from commit 34c3c42b7fe44dbe88110415ec78400a7defde61)
    (cherry picked from commit d59c64514f032a73a1f6aa65051f81b8784a5713)

commit 8b9b056073d214755073f38b9eb44f95a1cf1aff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 9 10:29:37 2022 +0100

    core: tcp - debug message on no connect
    
    (cherry picked from commit 5fee7d818f18afcab4d2e17231d2e4eab79b7b48)
    (cherry picked from commit 0ba02031953029c3e4820264503400cbd9e14924)

commit aba29b7bca17de61eaa6740a45365bff9783bc77
Author: Rick Barenthin <rick@ng-voice.com>
Date:   Tue Dec 6 10:39:18 2022 +0100

    tm: cleanup parsed body at the end t_continue_helper
    
    - if t_suspend and t_continue are used for replies
      and in the called route in t_continue the body of
      the sip message is parsed the pkg memory of the
      parsed body is leaked
    
    (cherry picked from commit f409a8c9f6fde33eaf8b428887e219b56740b0a5)
    (cherry picked from commit 7e12f4f5951ebcd40bc7779b6c7bf71081c38481)

commit 047e71f4eae1ba76034adca72a5cd98982af3ac5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 21 11:28:32 2022 +0100

    sipcapture: debug message with header offset and address family
    
    (cherry picked from commit 7f258d97431a9a4bccf8155def52c9e9070c9f1d)
    (cherry picked from commit caf8465d6f56c5891b8398814d3e66ad4996b386)

commit dda9fa437786304ac0f2e726cf56400371b06ddc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 7 21:11:56 2022 +0100

    websocket: more details on debig messages
    
    (cherry picked from commit e7bd1570e3788e9d04047b4d1d00cb8bd8b172d3)
    (cherry picked from commit af3a249364b20e46cc80a6ae6ea8c04c9d10513b)

commit 887b53b23e2ba713eac46316bea343e91183ff0e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 4 09:55:22 2022 +0100

    secsipid: ensure headers are parsed
    
    (cherry picked from commit a0d9deb9f852f887bed7c0809f3056b5f75379c8)
    (cherry picked from commit a2c4e0efdb03ba31ddb295fbfd2d95a393480906)

commit 307a2bb2a6174ecc879978c74fbb68dedc5cdbef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 4 09:28:23 2022 +0100

    secsipid: debug message if identity header is not found
    
    (cherry picked from commit 0920aa1a27565bc52fd1ff9f4b9fc31dbd0d2a75)
    (cherry picked from commit bea811e2a6e8b12f8491b7e46bcc58ad66c9e225)

commit 56941d00b9ed96da159eeba543cc1f0d1d107dcb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 3 10:20:10 2022 +0100

    secsipid: iterate through all Identity headers
    
    (cherry picked from commit cd3b776649e652b5d27b2718c22f08736b1e9e84)
    (cherry picked from commit a0e89d8fad7e764478b0ff69e1fe335fcd7104a9)

commit d721e45054f31899930d0833c06f5637d6b96a51
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 13 11:59:53 2022 +0200

    kex: added fixup free functions to module exports
    
    (cherry picked from commit c8bd10f791ef7aa48a16104472b039a8ca1a53c5)
    (cherry picked from commit 46cd2b6732a1bcd49c31a4a4a1173d0b27ce39a1)

commit 8e64e5c29a0e03e29f33f2c562ee0acb0614bcf1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 11 10:17:34 2022 +0200

    keepalive: removed redundant checks
    
    (cherry picked from commit cbe6cef58da8de7efa18c4e34458a81176d23e42)
    (cherry picked from commit 0ead35429a85800105178f7a8427d94ad390da33)

commit f39f172ffb29035082eec3e580a0aa03f0725dca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 30 10:52:25 2022 +0200

    corex: added fixup free functions in module exports
    
    (cherry picked from commit d5ae9019dcdfe5b51ce87f6957902abbaa7fa071)
    (cherry picked from commit 19aab1894ba88bc7152e00a84819d991937665a6)

commit a9deaa503ff20a3384fe74e37093464c21885e44
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Tue Feb 14 15:01:22 2023 -0500

    rtpengine: avoid repeated queries to same node
    
    If we know which node handles a particular call from the hash table,
    only query that node once and then return error if it's dead, instead of
    going into a pointless loop looking for other nodes to query which don't
    exist.
    
    closes #3370
    
    (cherry picked from commit bd0ce126109f40f5217053f20e687b93b2268164)
    (cherry picked from commit ea782be2cc29589f4dd55f0d91c11049b5280fe0)

commit 05ea1752c9f941b624ce5f0b8f4e94d5e81195b2
Author: Victor Seva <vseva@sipwise.com>
Date:   Thu Feb 9 11:45:29 2023 +0100

    usrloc: correct AOR value on usrloc:contact-expired
    
    previously $ulc(x=>aor) had only the user part even with use_domain set
    
    fix #3365
    
    (cherry picked from commit f3d00c91a7919207dac23ada58e59a13b9f334d8)

commit ee52692185a959a30d30382d72fb9578917d59b6
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Feb 10 16:46:04 2023 +0300

    pkg/kamailio: fixed rpm packging for CentOS 6
    
    (cherry picked from commit db634e7fb3e5913238561afb4381363bbfe58882)

commit 21fdb35fe39fb78deb2dac7bd580d632453e9242
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jan 19 11:56:18 2023 +0300

    pkg/kamailio/obs: used mariadb connector instead of mysql

commit f7ee24dc4fc3ffb1b6f9e4f73b63f249acd979e3
Author: Henning Westerholt <hw@gilawa.com>
Date:   Wed Jan 25 07:59:39 2023 +0000

    core: fix memory leak related to Require header parsing, this header also need to be freed
    
    (cherry picked from commit 6c372bf644e1c9afa867433e5992e347c8fc4ff6)
    (cherry picked from commit 3cc09ff6045c35feef5902e3cea6b313c49e8a77)

commit 5671c68a3d043068d9d9fecb5fa12a8d7422f33a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jan 9 09:02:40 2023 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 0622ff34dcdded39de06986e36f4758a8319e050
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Jan 9 07:57:26 2023 +0000

    p_usrloc: fix default transaction isolation level (gh #3324)
    
    (cherry picked from commit ff647697724decb7440dfe3758857a06ab008979)
    (cherry picked from commit af7d9413385cd03da918777072e7246863849dbb)

commit 3d45b091a6983694fbd440ab2f33f1b7abe8f6a1
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Dec 18 11:17:05 2022 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit bd0fb7164bda717363fc72a726330ad58d0cc860
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Sat Dec 17 12:54:30 2022 +0200

    registrar: typo
    
    (cherry picked from commit c738a65c2fd0a40c3cdc236a3d3b48b0d18add21)
    (cherry picked from commit a3f5abb0852d8c7d4006724639605cc26e74806b)

commit fe4706dab8851834ecb604160146d9bbd223f247
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Sat Dec 17 12:54:52 2022 +0200

    core: typo instaNces
    
    (cherry picked from commit 9cff22564db3664faa7b4b5bef86f5f71ff87bc8)
    (cherry picked from commit b3b066b9f4164bdb7e502b42f522b42d3b6cce66)

commit 4be9d7bb97149a1401f4cc400aab28e1d8bfddf4
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sat Dec 17 10:47:54 2022 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 008199a5737a727dc7929b7797f41f356e4602ef
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:29:35 2022 +0200

    xmlrpc: typos an â and
    
    (cherry picked from commit 5e7c0dfc626117f9069846cc791bacb5371c0346)
    (cherry picked from commit 1c8aa0d993bdd62b66a32853b81e1240ad459949)

commit 571761038c02aa8af3ba46f1c3e425b9fbfb7bfa
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:45:49 2022 +0200

    xcap_client: typos a/an
    
    (cherry picked from commit 4a11beabb586f8615e3518456642088cf398de29)
    (cherry picked from commit 32472814294689b41591a889e06223ec669dfd08)

commit ccef2f073193728dabe67d1e77c0dc304f0103dc
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:41:25 2022 +0200

    usrloc: typos a/an
    
    (cherry picked from commit aeb5d17914d8674bd6d4769b8c695fd775ceeea5)
    (cherry picked from commit 94050e45beefe31af9565cf48e72581cfee7354f)

commit 84ddfa0cd7ca03818be3011d49e5dcba849ca6f3
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:00:16 2022 +0200

    userblocklist: typos a/an allowlist
    
    (cherry picked from commit 3559be38f361ce58330d9f20248774200248362f)
    (cherry picked from commit 8b41427ea19c10676d061fc5f270e41d525a5a24)

commit 7f71d08c25132499a1dc0e1a5793f2fcebdb7e25
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:22:51 2022 +0200

    uid_uri_db: typo a/an backwards incompatible
    
    (cherry picked from commit 435f39330bc1534cde53501df3e87cfd21f00899)
    (cherry picked from commit 05c2c059513fc45be3a777b660066632d898e580)

commit 3aa804201ba9454637dae2d0899bccd1f5fa5c9b
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:23:08 2022 +0200

    uri_db: typo a/an backwards incompatible
    
    (cherry picked from commit 74dbc074740b3173ac74c8a3a4b97272ff97c7ba)
    (cherry picked from commit a676080c8d0d5f16642ddb071d7f7ec8049b677c)

commit f68f8cbf0190dd277b8c01c5b5546c908d3f3a3b
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:22:27 2022 +0200

    uid_domain: typo a/an backwards incompatible
    
    (cherry picked from commit b2ead7fc6356e0d4479217ddc713cbcb9edfebc2)
    (cherry picked from commit 689865fbd6750d3c656947e7ab63141708eec3c0)

commit c852a1d11805d1cb9a6e05e16ca9ba7f08025f3e
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:22:05 2022 +0200

    uid_avp_db: typos a/an extra
    
    (cherry picked from commit 4639db37a599e31cdabadcca29a28345d01e4109)
    (cherry picked from commit 26a7a05af607fd49f288aa18ed10a76b6c5a3498)

commit d9d0ddf795d6cf4fbd494e345be8d7ffcc5f9471
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:21:43 2022 +0200

    uac: typos a/an PV; is send â sent
    
    (cherry picked from commit 793da45e083713f958b8ca33f99fad67f82b3a5a)
    (cherry picked from commit 5d28856d79dc172dde7531cfdbc98a45e734fc0c)

commit 570dfc342879ade085a237a3e28e4c49f6310d93
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:46:21 2022 +0200

    tm: typos a/an
    
    (cherry picked from commit 861ba0a277f276c577d3d3234c75265b548e09e0)
    (cherry picked from commit 99d675345b963c0173574a0c5fba5310c55178dc)

commit 5a25b5a88f595525cbf6c9eb8f79f928bcb5e495
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:07:18 2022 +0200

    tls: typos a/an
    
    (cherry picked from commit 6d8acd1632156f733bff2c7b7ef94789dfcf8a17)
    (cherry picked from commit ea72045d0e04a3d80f8c614adc33b0dbc99628ac)

commit 24cfdd1dd4b25a60b76d41645dab5217eb6ab906
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:07:42 2022 +0200

    sst: typos a/an
    
    (cherry picked from commit cabb462bfbc6a1fc9c5dc59c882b6199217be1a7)
    (cherry picked from commit 31224d0789dea31b046e9f01ed72ffc5f3b60f97)

commit cb9422f114b3a1d0230ad2f0dcf374e5fb1dc32d
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:05:20 2022 +0200

    snmpstats: typos a/an
    
    (cherry picked from commit 14aeceffebd5f093ae9f23287b7b74b34c2936ca)
    (cherry picked from commit 6b959e52a9b74122cce73d2436e5f439448a97fb)

commit a2c343bd680f37abac1109d6d45790ee9a8d7875
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:13:35 2022 +0200

    siputils: typos a/an
    
    (cherry picked from commit 18cbc0fa0a1839b01b3d0134bd593372ab95818e)
    (cherry picked from commit bf69f8222a9f60f7f8ed048e45386d0713f3591f)

commit 18a11993554e521b413b553d869ca7cafe650cc5
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:21:03 2022 +0200

    sipcapture: typos a/an listen
    
    (cherry picked from commit dcd357649571d32e2d2689ab332ffe9590b3f44f)
    (cherry picked from commit 7e5872ef5d07324d9f475910b5b0cbb8fa365f22)

commit 4046d29f6b71fb067d40aa64fa0d0810e284d85d
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:29:07 2022 +0200

    seas: typos a/an
    
    (cherry picked from commit 48f9b1f6cb57096a1d6c1a9d6bebd8275fd00a97)
    (cherry picked from commit 55a650b7966c67b4d528b9ffd72642bdd4f3aba7)

commit 421d61b070e49bfd49747aa3492f3db93a517a43
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:32:40 2022 +0200

    rtpproxy: typos a/an
    
    (cherry picked from commit d9bdb46f98f4ff047e05e0dbebb5b8099c37aaec)
    (cherry picked from commit 505820834c9dbc9dc965e052a260137851a3cfa6)

commit 3d63e926452e2db074bf4f0666cdf5116d872e3c
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:32:14 2022 +0200

    rtpengine: typos a/an
    
    (cherry picked from commit 550a46a6bd432cd15307fd50e027ce153252be70)
    (cherry picked from commit cb47ca453027b24e106c5b4fa8f17a8df5a34bff)

commit 9fd0e429c01287758d98d2837b03e3cdc319a621
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:20:38 2022 +0200

    rls: typos a/an
    
    (cherry picked from commit bcf5f74e3358ac525eff0be41f3f8a6cef76fc6a)
    (cherry picked from commit 2911bc5faae3557ecc2a457622ce353616344dcb)

commit 3371bc288b2b923331a6d6f35543b229f3513139
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:20:17 2022 +0200

    registrar: typo double a
    
    (cherry picked from commit 78a60f39c74d89f84abccad23aa4fe5dbd3f5dd4)
    (cherry picked from commit 26028b6d4a4d13750424e1fa69ec38b86aa0c709)

commit 1c383f76c12e3b04647db0cef5f01441cff436a0
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:16:42 2022 +0200

    ratelimit: typo a/an Kamailio
    
    (cherry picked from commit 04fa3a2e6a8c5c45e1ebb7d6b9c14b61e55448b4)
    (cherry picked from commit 5a7219387ae6a55edc7544a6c114964878b943d9)

commit 8c58dafb4f7df77c860efb336f67b3fa3cc84ba2
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:18:56 2022 +0200

    rabbitmq: typo a/an new
    
    (cherry picked from commit 063d06b78c88eb3d7727cba369089481847bb7de)
    (cherry picked from commit 7d7a5a3bdcedf72f550bc58a910aee9ad52d8ff7)

commit 506ce7f78a5d4ff8385896c7ceeab3dda6c008a7
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:18:03 2022 +0200

    pua_dialoginfo: typo a/an dialog-info
    
    (cherry picked from commit 4756758b30faf5e106f8b9cfe7f762a27e2e1ff9)
    (cherry picked from commit 27100a4b982272618f62a756bf18343c6aefd549)

commit c576da678f5da0cac4dae430a17c19a399c86b28
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:17:38 2022 +0200

    pua: typo a/an transaction
    
    (cherry picked from commit 10a7e7735b2f85cd0fce6fb4a305222fcf980f21)
    (cherry picked from commit 46d4a8c9283448727474e252754b8ba805daee05)

commit 624da63c4488c1755986c386d36969c9ae5667c9
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:17:15 2022 +0200

    presence_dialoginfo: typo a/an signed
    
    (cherry picked from commit 3cff94c3d5fd2d93e466207182023c42b0945cec)
    (cherry picked from commit 8975b41b0d58995f06bfc131408032bc3a4ef0f5)

commit 48838bd271a7e30572725f4c9a9f626b502a8d02
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:15:39 2022 +0200

    presence: typos a/an
    
    (cherry picked from commit 069b7bde2ba133c4cab4dc976dc064c77f66239d)
    (cherry picked from commit 7755d186732bd65091d2d07681b59ea6d78e170c)

commit d9133961c8780a71bd8735b4c04f82271f0593cb
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:14:12 2022 +0200

    pike: typo a/an IP node
    
    (cherry picked from commit 3e4e735cb78e3d0ed5aeb4da64bdb01a54e36a28)
    (cherry picked from commit e7735db0b269927ea1b29719c5123a16c8b74401)

commit e7857ecea22f1ab189e1a033a9708794cbcaf005
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:30:04 2022 +0200

    permissions: typos a/an
    
    (cherry picked from commit e2dda4d4e4d3201080d0a94e534aa320d8e80a95)
    (cherry picked from commit 71ae6613e0783b2b05797c041856f3d1979b8740)

commit 0959b8a83a4528b6b98a457dac025120d6dfefcb
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:35:00 2022 +0200

    peering: typos a/an
    
    (cherry picked from commit 29b3f25fa63ef3de9c2b0c8e571e9a1b37a64f93)
    (cherry picked from commit 8682d69573144a47283420e5ebaf072c6b17590e)

commit 0dfc84c6f40d1e2cdeed85a4c7a2cd2dc85d4ffa
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:13:50 2022 +0200

    pdt: typo a/an entry
    
    (cherry picked from commit dd02862266a42fd22ef93f2788648c3a3c78ae95)
    (cherry picked from commit 0aa296365d131f6c2d2ec04d3452e845e1cc1961)

commit 77e77d67e44611b2ddbed927ff200375e641f7fd
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:12:51 2022 +0200

    pdb: typo a/an pseudo-variable
    
    (cherry picked from commit a93b757ea092db2e6e6b1cc89a3e7ddb2fb5c757)
    (cherry picked from commit 0378446680f60d02cf551fc249740061c8c6237d)

commit 9d9c4b1f49d9c579fbf2a75cf120283a3449e646
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:12:24 2022 +0200

    p_usrloc: typos a/an
    
    (cherry picked from commit 69a72618ceb6438c36301f58868dd7e80022355c)
    (cherry picked from commit 306a5b1c43211206ca134c96be76bb8c201ac5ef)

commit 6e6eb9ec655c8985907aa4594b70e52b23e8ba6a
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:11:37 2022 +0200

    osp: typo be send ââ¯sent
    
    (cherry picked from commit c5d73f86e19172c2fc1293e6e10fa2903032e7c5)
    (cherry picked from commit b28b6664361e380be3ed666f485227f1a08e75d0)

commit a3ecc9fbcbbb91c6a46064302536c607da0f3d69
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:10:54 2022 +0200

    ndb_cassandra: typo a/an integer
    
    (cherry picked from commit b208f915df8b7b5f83bbf95ab622f3773f76c839)
    (cherry picked from commit eb49f0ff9a7cb78a50a5b6d2e8b597d2833b6bb7)

commit a9aee20cefa1328e90343575688dc8a0d549d162
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:10:13 2022 +0200

    nathelper: typo a/an IPv6 reference
    
    (cherry picked from commit 942a8a89e53a3a77109acdc2bc3c34468faa1b75)
    (cherry picked from commit 59120fdf3da8e19f6253e946797a7ec44e88837d)

commit b256f9a718d342097f327b92093bfdd763ec061c
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:08:57 2022 +0200

    nat_traversal: typos a/an
    
    (cherry picked from commit e69a729fba3ed2b527f66ccf5640156eeb9ae36d)
    (cherry picked from commit 7823a618c7358da9bf157d5cde0ec9ae135f0d36)

commit 177c936ee16cac86d4270fff946e88255fdbcaf3
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:04:39 2022 +0200

    mqtt: typos a/an
    
    (cherry picked from commit 0367dab157f5b755bf9bd2cc0452bae6eaea71e2)
    (cherry picked from commit 866d72af08022c18314f3d6de7829652a8229955)

commit 0c3042dcae4887de1758d5390c04f16348849bfe
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:03:39 2022 +0200

    matrix: typo a/an pseudo-variable; spelling is send â sent
    
    (cherry picked from commit 7a595ea7acb43149476bf033ac67e7fdd27e06d2)
    (cherry picked from commit e8a76b9def95bb4d8a2cd986bbedff6e38cfd476)

commit 43585ca345ac74b41b61372a3e2da102ff86106f
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:03:09 2022 +0200

    mangler: typo a/an filter
    
    (cherry picked from commit 01a70ae52aef6926098feac64ca79605e16fa058)
    (cherry picked from commit 9b747286db23ac59eae3e70ef30b6e9c6450099f)

commit 50542c1786431acd127e98e63e0eca1fe51b59fc
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 21:01:55 2022 +0200

    kafka: spellig atTribute
    
    (cherry picked from commit 648a1b7f4bdf9d0a99815dc6a3b3bd8f3450884c)
    (cherry picked from commit 58361306239d4bf0bb56d817ed9bdf783576dfd1)

commit 0b160e3c9470ead2a512900a1a3f40b3f87da904
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:57:23 2022 +0200

    ims_usrloc_scscf: typos a/an IMPU
    
    (cherry picked from commit 8165d77587106d17f11785299dabd8fc10d58f87)
    (cherry picked from commit 45d16fcfc292120b5008db1e58ea47d5389697ca)

commit a9ddf54ffc266f504a37685e84155f2932150c60
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:54:38 2022 +0200

    ims_registrar_scscf: typos a/an
    
    (cherry picked from commit b648b2cb2ef77b4ab1ff42a5cc16db1f059b1e0b)
    (cherry picked from commit 55e2cd2a8024e3bed4e1ada74923bc16280e3970)

commit c727f703c5aa87661368488a2b67ef8ab5efde52
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:56:37 2022 +0200

    ims_registrar_pcscf: typo a/an IMPU
    
    (cherry picked from commit 58ba041e536c0f667e4bae8c4e1be48add0c0815)
    (cherry picked from commit 9b60dc8070c6b9d887a8468e7c4712c89e0bab19)

commit ff9a3753bb859160b01f08164d586bfc7ee49aef
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:56:11 2022 +0200

    ims_qos: typos a/an
    
    (cherry picked from commit 6804318f811833167989d4d9f7bc4e19baa211c8)
    (cherry picked from commit 56e2ae99f443b30e2ad9bc931192aed51a774728)

commit 07615849c08ca176948e8d45dcc6eb21d21296d3
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:55:04 2022 +0200

    ims_icscf: typos a/an
    
    (cherry picked from commit f5c0ee927c4b61a623b9c93e476f68ac0a050558)
    (cherry picked from commit be0cdd0c39c51288ceca842b1ed1efa6cc8cc87f)

commit 5a2839e1e25581058f1135a10c2538c841dc3147
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:55:37 2022 +0200

    ims_isc: typos a/an
    
    (cherry picked from commit e1a8136fdad06bce8bedaca58ad38e0e8d8b1c51)
    (cherry picked from commit 5c19f106aadd80b61314e7bd18a3f2532d749d0c)

commit 1de970f31b292b78bb80e7736b6be63f5a91d29c
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:53:56 2022 +0200

    ims_dialog: typos a/an
    
    (cherry picked from commit dc5df5d917e9443ef4daa47e60d673fe0e547f85)
    (cherry picked from commit 0af00e49fc67b82e25a3fde75fada9258d697f2f)

commit ef1668445da6d172068ab3eac94ec88a5bd23aa8
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:51:06 2022 +0200

    ims_charging_mod: typos a/an
    
    (cherry picked from commit dc499e21823a676f96fa43137d4eaa58b89de444)
    (cherry picked from commit 6aee80d57e8350525fb59017fc7e817ba332e08a)

commit 7d9b2cfd04c14d24f8a8640c3e736f5084377f3d
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:50:34 2022 +0200

    ims_auth: typos a/an
    
    (cherry picked from commit 3846d9fdb24be2e3aeb2e3199a91c66661820423)
    (cherry picked from commit 844c92770f7fe4e36b7500e0d1b4b5513e96cd1d)

commit 4d85a5b938a51e8162247da509d48fd864eed7e8
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:49:37 2022 +0200

    imc: typo a/an user
    
    (cherry picked from commit 6f06537d0e5b661c91d413a1d3a48d2203dd749a)
    (cherry picked from commit 6903199f300db89b0d7dc027acf6238b318cf3b7)

commit 29ba1960f5b23a522aeda7243f7ddc38e68d6f72
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:49:20 2022 +0200

    http_client: typo a/an value
    
    (cherry picked from commit 830b136f202913887c25ef46968351741d17fda2)
    (cherry picked from commit 177f3e19fe0e99eb717bef5eb178af685a6c85db)

commit 528a20a73b0d3a2d406dd44c2825fe8fdf76c2e2
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:47:49 2022 +0200

    h350: typo a/an Kamailio
    
    (cherry picked from commit 14d4a2203212020df9a8338504636cc9aeb817ed)
    (cherry picked from commit 3ef572bbec9900a4f2fef0e9edc911729c33a873)

commit 61b1ad04dfa348efb392d697f693cf9f2ba5cef8
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:29:40 2022 +0200

    gzcompress: typos a/an
    
    (cherry picked from commit fc00785e67797b43b0d3029891d107766a9e20fe)
    (cherry picked from commit 7e8e3dde3f6bee81b6fa80e7deb5fe22137d43f3)

commit 839c2198f26a93e5b1fd081c38a1b61f081f0bcb
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:46:28 2022 +0200

    erlang: typo a/an name
    
    (cherry picked from commit a4839ae4102d9df742b4c6b7077ab080364563b1)
    (cherry picked from commit 6c4cdc67be3eeccb96dde1149d77500649e9811e)

commit f92b921696a6c1c3f5d146f51751e2a95e6c83ea
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:27:43 2022 +0200

    drouting: typos a/an
    
    (cherry picked from commit 895f7339474bfe9d947afe8980234ba7a345bc9b)
    (cherry picked from commit 30274cfe1f4a68e0101de726875f2229a1de2fbf)

commit 4fbd74a338318251a887d26887349aec656bd9b8
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:45:46 2022 +0200

    domainpolicy: typo a/an backwards
    
    (cherry picked from commit 2d246fb8f4768df2c25d18c47ad1f43a0e698e4c)
    (cherry picked from commit 925b254cf995a3bd1422fc72bfad1d1cff5fc1b3)

commit 5c6aaa1e72550fde29d72892ddc271bbe8caf662
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:45:17 2022 +0200

    domain: typo a/an backwards
    
    (cherry picked from commit 772e74a5b036974ba856aba0689af21ceefa27c6)
    (cherry picked from commit eb1e8338324493cd9fa60c199a2c6c46d93022ca)

commit e3e295a8d5851f9e3a4b8362448730f6783934a5
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:44:37 2022 +0200

    dispatcher: spelling be send â sent
    
    (cherry picked from commit e8fd436486e69c04a791c29196f353896f85d772)
    (cherry picked from commit 3e9883c34a647a166f82c89e3690a070ea726f4b)

commit 9868cb187677211ce218ed36c43ecafed5471bbb
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:42:50 2022 +0200

    dialplan: typo a/an script
    
    (cherry picked from commit ea6ba98b9a018a07e894100b0ede662648d88edf)
    (cherry picked from commit 12063efa4a1c368092c5a63cc0a8ee9a29819cb3)

commit 2cf9f0e5d0a0b2ae0d3b63c918aea67599a48588
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:42:05 2022 +0200

    debugger: typos a/an breakpoint
    
    (cherry picked from commit e663654fdea87e1be6b30da355f8bf5020ad4507)
    (cherry picked from commit 9713e3925b7e59e678ab50307f14853cfd76703d)

commit cda229a3dbc149dcece4c44f2eb7240ff9201e35
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:41:18 2022 +0200

    db_postgres: typos a/an
    
    (cherry picked from commit 137680b9ce564bed5c6a40a448feb1bd6f9ff0ce)
    (cherry picked from commit 5edc748a388b79b9b8b5d978ee472fab6818010e)

commit 2290428b3db588ff5a9b1776226901e7860ab953
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:40:29 2022 +0200

    db_mysql: typo a/an connection
    
    (cherry picked from commit 6bf0eb63f9c3db33e2fa70a2207e3da3bcf74051)
    (cherry picked from commit 626af6bb548206476de52167abe7f15ceb08644f)

commit 3886d5ceb1d5c60953aa9ed56ecff2f8818a1690
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:37:13 2022 +0200

    db_cassandra: typos a/an
    
    (cherry picked from commit 918b73c92ed86599e67adda2b1f7a864c500efb5)
    (cherry picked from commit d2ac4093bd80461f52efb5c998ea8fec9fad2b68)

commit 527f61bfb9f2579fa9c8acf458264d8283508a6c
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:31:31 2022 +0200

    dialog: typos a/an
    
    (cherry picked from commit c5e128fec48d5572bbad898c879c4376f141e619)
    (cherry picked from commit 251a38d689d952d6ac089be1e2cb50d1a82eebff)

commit d3d43ec6e02cc205729d1a3e22be1a92131b62d5
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:28:24 2022 +0200

    ctl: typos a/an
    
    (cherry picked from commit 21ce96a931e578be8e9a6897b406af63f18451e5)
    (cherry picked from commit 11d16a3746ed6f680120db38168e8928fe528f37)

commit 7b7f31d5891329ac930955b2b1ea23f8a53d83f4
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:36:25 2022 +0200

    crypto: spelling
    
    (cherry picked from commit ab8f951917609f373bc62b6bc93baa33559e336c)
    (cherry picked from commit 04dbe1a1c3a08e93bcf766a2fa2cab1474b6434f)

commit a0a09dba735c0fabf883358b542aba200e5f7ea3
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:35:52 2022 +0200

    cplc: typos a/an
    
    (cherry picked from commit 3ac5a9f78f4c8e1b5b6f660d442b15a72336d80d)
    (cherry picked from commit fb14da427cd26db731243b5208827217572aca9e)

commit bfb026c04ac0257e1994d56812e0cc37fae98f0c
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:35:30 2022 +0200

    cfgutils: typos a/an
    
    (cherry picked from commit 0e3ad10aba2d82d7eccebbe608fda15e4f49ef20)
    (cherry picked from commit 9f47746ca3606e0129c011fed1fa1a5eff449153)

commit 27c79c7208228e0363caea739b1490e7f3fb613c
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:14:25 2022 +0200

    cdp: typos a/an
    
    (cherry picked from commit 96d720c7c7c495ac3cf556700c76b20fedec8ec3)
    (cherry picked from commit a7cca608ad1d82df78cef69d2dc089c5af7818b3)

commit eac694e94956d4de70c98406b4b881913f2b0e6d
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 20:26:08 2022 +0200

    carrierroute: typos a/an
    
    (cherry picked from commit f5986119f9a55c3c91f61788ad3b3f00f2399585)
    (cherry picked from commit 11c158cc88b8d67d6ea1dca9c917319742e9a367)

commit ee0a2ec0e2af416597936eb3a3122371d622a655
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:51:24 2022 +0200

    call_obj: typos a/an increasing
    
    (cherry picked from commit 3f827af3e834d603f72a64b7d2142aa94b83cf52)
    (cherry picked from commit 917da580ddee5557aa85c2d35df1c1efba0c4dc9)

commit 9b4f741fe8cac5d56a1b76bbc659f3d47fc948c1
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:50:46 2022 +0200

    avp: typos a/an string
    
    (cherry picked from commit 2e86db5adf67b4d30989055bd960c2a8632f64d3)
    (cherry picked from commit ea41c8b587228bf5324669941dd05af09792503a)

commit 538aedf3bfea8de9746e3e18915b3c052846aad7
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:50:20 2022 +0200

    auth_radius: typos a/an
    
    (cherry picked from commit f15ef784f9abddabd8b97eb4ca6e89054250b418)
    (cherry picked from commit 0a6493ccd11f2d7503a848fb02fa82670c81ca14)

commit b1741a09eba82de6f0c3f5af4ccd900da4c66bdf
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:49:09 2022 +0200

    auth_identity: typos an other ââ¯another
    
    (cherry picked from commit 5836706a63368d8424dc2bed8426bf1ac4bdc097)
    (cherry picked from commit 322f59b7086c3c5a95026f905e8ca419b7c37370)

commit 6cdc36ca013f973a4d021942e51181074028be54
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:48:44 2022 +0200

    auth_diameter: typos a/an
    
    (cherry picked from commit 4a4dfb6e92c1abf5c37e65ac571cc88e0ec13025)
    (cherry picked from commit b2b0ed65b1e23aaf0fdc7adc7e6e6cfd93c59878)

commit 0c5b89a0dd92a77c1413cceecb4038bcc5a871e8
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:48:16 2022 +0200

    auth_db: typos a/an
    
    (cherry picked from commit c92c396b886f9808935d5103710652a2c365639e)
    (cherry picked from commit 5fa694c15612bcbecaf1608e7d02eac9f2bfeddf)

commit 024fa8d64e6e1e36ef9e0c38f52f2e3d277e1c43
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:59:34 2022 +0200

    auth: typos a/an opaque
    
    (cherry picked from commit 0be9582347182271a0a4f1a3bb2c93080d172a03)
    (cherry picked from commit b647c42a2b43d4ece1f51a41a705e9b5df71e3c6)

commit 8670428d03f7459f462f54624d1daf3807f9a1c9
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:46:48 2022 +0200

    app_sqlang: typos a/an
    
    (cherry picked from commit 5591a7dae08bb85f077ab0efa7b2876f9673b8cb)
    (cherry picked from commit 1e3f7100b421923c43be95aeb108e64cbcfea1cc)

commit c5e9a54e5102b03e1a449cebe5ceaf76646b026c
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:44:58 2022 +0200

    app_perl: typos a/an
    
    (cherry picked from commit 09b657ad9a646b255e7b69aa402352a83172bad2)
    (cherry picked from commit 13b91640b13e1313864c71c310a851cb4329a675)

commit fc46609d6ffeea6bb8014b8bd0e394d58d503b1f
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:43:08 2022 +0200

    app_jsdt: typos a/an
    
    (cherry picked from commit 99201809d08f0d10957860a6fc33ba81cd4ca0d5)
    (cherry picked from commit ddf46d61ac9a6ceae6d28915ba614c9f2c6c2f1c)

commit 5a55dd513c4588f39194f857869797ccdfaa9ebd
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:28:26 2022 +0200

    acc_diameter: typos a/an
    
    (cherry picked from commit 932058b9eacb934a75279ab26ce57e53a75c5c79)
    (cherry picked from commit 32ed7b1bdb497880c29a3eebdaf45a5b4d3c6208)

commit 4e4a5ff15924aa4ecff0aa9b56ce19253ac7d922
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:27:44 2022 +0200

    acc: typos a/an
    
    (cherry picked from commit 55c77f09660cb4fc54338ad09138df74a53c9205)
    (cherry picked from commit f4a828949feabdc67f70d2a1bf76860a19a75c9e)

commit 9212197773ef1672c889d5cb866d7090b9997e69
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:26:33 2022 +0200

    misc/examples: typos
    
    (cherry picked from commit d5881bad81146b7e3aae7b7866158155df76cf16)
    (cherry picked from commit 17fe8fb7d586cbf4b3f1e4d4b6cc191cbb26c4ad)

commit 5257984ca6c51befb3aff62fe8062be0c5d92b5e
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:24:25 2022 +0200

    src/Makefile{,.utils}: typos a/an
    
    (cherry picked from commit 59f4690cbdabe80966d71172b455572dfe9e0314)
    (cherry picked from commit ea6e9a3453fb28d37b0ba521586133b6b1560238)

commit 309a9389b980b8f891555edd8d0e6cdd7317a1ec
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:23:09 2022 +0200

    doc/: typos a/an
    
    (cherry picked from commit a254a91c79449adf8b744e2b093028d0c3c90093)
    (cherry picked from commit bcaf87e313ad912e303951bf28935a7218fb53e3)

commit df14b6d50677fc8d4bc8ae15a74d3413d0c90779
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:21:02 2022 +0200

    lib/: typos a/an
    
    (cherry picked from commit 039686530730bf4b0a75eca626266255f3932cca)
    (cherry picked from commit e3661028080df0baf0323180995b48829457dcd7)

commit de78c161c95a0496640825e4fa015814dae4ad08
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:20:21 2022 +0200

    utils/: typos a/an
    
    (cherry picked from commit 664e9d1677b5802b08fa26d885f4ec89ddef1ac5)
    (cherry picked from commit 1706532eed9cfe243f4035ccb66365ed42f0044b)

commit 65f8868f7dc4f06f78034b7def09f3a342edba8c
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:19:30 2022 +0200

    test/: typos a/an
    
    (cherry picked from commit e24de6868030747438e7c9c33bbd953f4f687474)
    (cherry picked from commit 3f04422e62c204c88dccc7b8d0099c6e7aec4ec7)

commit 3687b07647e09b71e5e29bd2a5082ea03850258d
Author: ÐÐ¸Ð»ÑÐ½ ÐÐ°Ð»Ð°ÑÐ·Ð¾Ð² <git-dpa@aegee.org>
Date:   Mon Dec 12 19:18:35 2022 +0200

    core: typos a/an
    
    (cherry picked from commit 521bf3d52fcb56198386bd4fc23f85693bc3d5f9)
    (cherry picked from commit 2f83a4d5a61c10e7dcb7f27992619a5c1284bbaf)

commit 7f54d4cc0133612b275b6b3af1ccd80a7a08bf87
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Dec 15 14:32:43 2022 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit baf97015f33d4542fe2925c599d5cc3fb0527450
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Dec 15 13:22:06 2022 +0000

    sanity: also add Contact URI check to documentation
    
    (cherry picked from commit b96848689837277d9bc0ec9c1b5524de0f1321e1)
    (cherry picked from commit 78e181d82e5802e5b96b05cf9f1d9e54dbd1546d)

commit ddc188bcd049220dfa73a090bb23ed5451a9907e
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu Dec 15 10:48:40 2022 +0100

    sanity: Prevent segfault
    
    For star Contacts, there are no URIs that can be checked.
    
    (cherry picked from commit f1bac3433c61b0a5b4be08e7738a3a1aa0defe73)
    (cherry picked from commit ee9cbc7585fb645bfa7117f8cd5122f3ae260d57)

commit c2cb540a2a1819e203854c54e2bcd04cd7f0d966
Author: Henning Westerholt <hw@gilawa.com>
Date:   Wed Dec 14 08:38:12 2022 +0000

    utils/kamcmd: add missing USE_READLINE define for pkg-config build, related to #3284
    
    (cherry picked from commit a70b6bf09c73d961ebea1947216757fafb951c24)
    (cherry picked from commit 6ca691df40134abf53feb5d785c90618dcfa5c05)

commit e75897a1406a07f0376278ddc54188bce99ae6f5
Author: Trevor Peirce <trev@acrovoice.ca>
Date:   Wed Nov 30 13:28:01 2022 -0800

    stirshaken: Properly handle intermediary/chain certificates when caching certificates
    
    - requires patch to libstirshaken (PR 124) to do anything
    - if patched version of libstirshaken detected, uses new methods to store all intermediary certs
    - unrelated minor logging tweaks
    
    (cherry picked from commit 043ce0e75eae04f356cd539f2146df6846a169e2)
    (cherry picked from commit 7bb9cadb1cec146cc6f0b5dafb2d50920dc40bcf)

commit 6816f8070c931adba83e93616e29fb7fb70d84f0
Author: Victor Seva <vseva@sipwise.com>
Date:   Mon Dec 5 12:43:11 2022 +0100

    pv_headers: fix t_resume scenario
    
    (cherry picked from commit af1d9c156e0a69c9e3f39a063f7dd97d1c0a7bf1)
    (cherry picked from commit 0b52ac67fe12fab9127f30711313470257d32eaa)

commit fbb5e7a736ce0798a7393ada6e0f109a490d027a
Author: Henning Westerholt <hw@gilawa.com>
Date:   Fri Aug 19 13:17:46 2022 +0000

    tm: backup and restore X/AVP values from initial transaction in DNS failover processing
    
    - restore X/AVP values from initial transaction in DNS failover processing
    - the X/AVP context gets lost, so we need to re-create it from the transaction
    - otherwise modules that depends on the X/AVPs, e.g. topology hiding will not work
    - tested with one load-balancer and two proxy servers
    - previous fix d6b1c20d3ad94 was reverted, we now properly backup and restore
    
    (cherry picked from commit 399b34c6bd4e5cbfcf4dcb699755c393229fcb99)
    (cherry picked from commit 2b5b3a7fb5a26dc467a60e5e70c8b3515f57bc85)

commit 0ad72e16757e86b6e3be9095d2e6282e9ba1690f
Author: Frits Wiersma <cfwiersma@solcon.nl>
Date:   Wed Jun 22 21:50:44 2022 +0200

    acc: Fix reason code for locally generated replies. (#3137)
    
    * acc: Fix reason code for locally generated replies.
    
    - Use heap memory for the reason code instead of the stack memory.
    - See issue #2981
    
    * acc: Remove code which was commented out.
    
    - Code was commented out in the previous pull request. (#3137).
    - This has now been corrected.
    
    (cherry picked from commit e74cb2371ab879874a8981818139024f1c2beb9e)

commit fdfb8c5563bd327774802cb08b68b27faee2e840
Author: Henning Westerholt <hw@gilawa.com>
Date:   Wed Nov 16 16:05:42 2022 +0000

    dialog: remove dialog variable debugging function, it might cause race conditions

commit c4e70496f521a265240736c389716a7dac14893f
Author: Henning Westerholt <hw@gilawa.com>
Date:   Wed Sep 21 18:34:04 2022 +0000

    kex: add additional safety checks for printing, based on PR #3250 from bensly-shanmugam
    
    (cherry picked from commit e241f7b8a07b24fba6d6ecf2c344a39d2b2b5859)


===================== 2022-09-19 Version 5.5.5 Released =====================

===================== Changes Since Version 5.5.4 ===========================


commit b92a8a0db4cfa25f6c9231c4bc855ff3fb3a5845
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 19 10:21:25 2022 +0200

    Makefile.defs: version set to 5.5.5

commit 8e388fc0d8077ea8eed2c97c2f12a34f4a371fe8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 19 10:20:43 2022 +0200

    pkg/kamailio/deb: version set 5.5.5

commit 75a4adb1a5f2b99951f2519bc2513d2d2842e273
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 19 10:19:40 2022 +0200

    pkg: version set to 5.5.5 for rpm and alpine specs

commit 32bd4d5370b9342d2df09269087b47d94e7f4ca5
Author: Atanas Bakalov <atanas@wgtwo.com>
Date:   Tue May 31 12:52:38 2022 +0200

    ims_qos: fix compilation warning
    
    (cherry picked from commit bd4cc486879616d502362dd464b04d7d3c2865c4)

commit 45ef2fab63eaae18c4a0e41ffc0487829105b481
Author: Atanas Bakalov <atanas.bakalov@gmail.com>
Date:   Mon May 30 10:46:38 2022 +0200

    rx_aar: unreference dialog in case of aar update (#3104)
    
    - release the dialog reference even for aar updates as the dialog was
      already referenced when issuing the aar request
    
    Co-authored-by: Atanas Bakalov <atanas@wgtwo.com>
    (cherry picked from commit ab8cb43c83f8c9528e45a5b57fbb1440360f201e)

commit cef415993b5763278f1ce13f839b615daa7f18c8
Author: Julien Chavanton <jchavanton@subspace.com>
Date:   Tue Sep 6 10:45:12 2022 -0400

    dispatcher: fix alog13 gateway selections
    
    (cherry picked from commit d56d65b8daac072a4726d9124072151d0d3fbb79)

commit 1a3a12b07d6bbb624f47350c8e92084dafdc89f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 17 10:18:39 2022 +0200

    sipdump: use the right flag to parse ipv6
    
    (cherry picked from commit 9a15781f4804ef6620fad5a09ff2e9aacae871cb)
    (cherry picked from commit ebda78c92c21770af1a32afc2930740b80d73fd3)

commit 0b4207846c18b3718bdc0f2914d5a7cdac4a9141
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 16 14:31:44 2022 +0200

    sipdump: make dest ipv6 addresses without square brackets
    
    (cherry picked from commit 0a61ec2f137414a7bfc2535dfe4df9b72e500cf8)
    (cherry picked from commit d0300a9c69c522b7a6e3f69f21160df30f05f2ff)

commit 33dde3f66687b120123b227107a385129d65fc8e
Author: Gustavo Almeida <gustavo.abcdef@hotmail.com>
Date:   Fri Sep 16 21:06:53 2022 +0100

    pkg/kamailio/obs: added readline-devel build dependency (#3233)
    
    - Added a readline-devel dependency when generating rpm's. This ensures that when generating rpm's (mock context), kamcmd uses this library in its compilation and autocomplete is available in kamcmd's interactive mode.
    
    (cherry picked from commit e49e5a52ded4bef36b5958a748b9556af52d2d33)

commit 9a3fd0e6c17992fdb23fa2a7f8067baf481b5b7f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 16 13:54:56 2022 +0200

    sipdump: make ipv6 addresses without square brackets
    
    (cherry picked from commit ac711cffea91c44f4e13b5d75d6ae01ee4599099)
    (cherry picked from commit d3bdffa4f032c250a7834aeb79e5f8629acad777)

commit edcb55c357681959dc0cedb309155a060413567f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Sep 15 13:17:53 2022 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit a37b322b4d97c526fa6ecd5494523b07d43cd818
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 15 10:34:45 2022 +0200

    dmq: docs - reorganized the dmq request section
    
    (cherry picked from commit e683ee506d702e9edbe4ce74304170ca04c1d5ec)
    (cherry picked from commit 80699e44d2e7849c25e10d125dfce3ea14bc45f8)

commit 78c26cc9e92ceaab813af9ec2419712c3cd674ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 15 10:26:38 2022 +0200

    dmq: docs - note about using same Kamailio version
    
    (cherry picked from commit 1fd789246cc7c58237b9a903a198521cd5b3494d)
    (cherry picked from commit 2b1a5ffb75566fb9411b23be23b263986b3eafaa)

commit 2e42eb7676ad83216bd6da09654155e5eb32c8a3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 25 10:48:16 2022 +0200

    usrloc: adde random and pid to call-id for keepalive requests
    
    - GH #3225
    
    (cherry picked from commit 721daf5ca55a8fb366cff2821e249bfff64d8f87)
    (cherry picked from commit 272060e1079d9edbc819d396dafb2034a3812c6a)

commit 624066ca10f2b6551b396e9fef9605ccea70ea4b
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Aug 23 07:29:23 2022 +0000

    etc/kamailio.cfg: corrected a typo ("endabled"), GH #3223
    
    (cherry picked from commit b46afeca6c515f5baf1812ca821321117df6478b)
    (cherry picked from commit 33e1638b92c073f58b27232e7985a5ffe6994b7f)

commit 0333468742b66760f055c8d4045c3996a801dc59
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 16 09:09:45 2022 +0200

    msrp: proper cmap insert when last item has greater citemid
    
    - condition for last item was processed first, resulting in improper
      order of items, GH #3215
    
    (cherry picked from commit 1e4bf1dd7fbfc9d51f0e56e98472a42de781cdbd)
    (cherry picked from commit a5cbf0bade8ab0b04d1f8e9288b239df4df8d76b)

commit e90c246c801e363706731fb79c3fa66daf1edc73
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 12 14:31:48 2022 +0200

    core/cfg: cast pointer to long to silent compiler warning
    
    - GH #3208
    
    (cherry picked from commit 26785f866eeadc6944af83ae1a57e8ff100f60f5)
    (cherry picked from commit 8aceadf62fde1b1faf414e5d47c42102c64d2e90)

commit ab876c06229347b5bdb79da8940f9bac7c642634
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Jul 25 13:55:39 2022 +0000

    ratelimit: fix docs to actual values in the code for queue and pipe limits
    
    (cherry picked from commit cae9d78a6c8d33f6c4ec780901a55c27260c2000)
    (cherry picked from commit 98342927e3493a8af6b859ab1cd1877f816a8bde)

commit e2d6937882032479e7a0af0b00e2f0612f235355
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 15 20:18:02 2022 +0200

    xhttp: docs - listed http_reply_parse core setting
    
    (cherry picked from commit 36b0da00b9fc08be9e855d5dd4cc878b6e3c88bf)
    (cherry picked from commit e07c2288053a21f5fc758f359a60ffaceb687f35)

commit 2a02935045fadc2a363f1b8efb7c6c021de44cb8
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Tue Jul 12 15:12:00 2022 +0300

    core: fix ksr_version_control() for FreeBSD build
    
    (cherry picked from commit a8769af4c3a497d0f6a81cff17861e566ffa87bc)
    (cherry picked from commit 88560506e42e0d127c2034b35397b29ee5909307)

commit c230842d1eab45752a4ec3c77c1cc688ae7098d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 27 08:04:08 2022 +0200

    nathelper: docs - rephrased the remarks about set_contact_alias()
    
    (cherry picked from commit c009f27578e8df9aa77ab852325dad8dc710d6c8)
    (cherry picked from commit f1bd6bb8dec9db76acf697a7b1d177a2bfcfd7c1)

commit 5e27edf4dfa1f2dbed8c69c08c6ae8e0f927af2d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 8 11:14:27 2022 +0200

    core: use memcpy and set end of string
    
    (cherry picked from commit 5cd4e817a24308b82fc3f631fb18f354dadf2b7e)
    (cherry picked from commit ca1e61ec0453b9a4797ac7af88ac179d27e53685)

commit cf31cbbe40aeb798f91a32068514c65d890bd2d6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 6 09:37:07 2022 +0200

    tm: enable debug message to log putting transaction on wait
    
    (cherry picked from commit c67bbca95b861f735889f14467c0192896298e84)
    (cherry picked from commit 167237f7ce1a17b6d0e83fd90e563dc70ce0b68d)

commit 0967462dd6010e7015743688e5d3442d2124787a
Author: Victor Seva <vseva@sipwise.com>
Date:   Mon Jul 4 15:49:20 2022 +0200

    tm: check T just in case before UNREF
    
    Related #3156
    
    (cherry picked from commit dedd7ee2ddcb92b020ea40a074008a317a9553f5)
    (cherry picked from commit d97c59a15bf6634d28998b3a0fa4acc845b70fa2)

commit b78dc1dc4d0840ccc3463fbac5684d601a0cc0fe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 4 15:51:32 2022 +0200

    tm: docs - fixed section for rpc.t_uac_wait_block
    
    (cherry picked from commit c4f5b88b1861c73bc96904eef00b0048c9550240)
    (cherry picked from commit a0addadc9234ce041eb0adf4d45f40ec05896f14)

commit c4e98af2f673490b3b38affc387090c36abec095
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 4 15:34:47 2022 +0200

    topos: docs - small updates to module description
    
    (cherry picked from commit b8fc507c9dee07f1a0b7af01d24142240bcd8fa4)
    (cherry picked from commit b2a64563acc69a6c69ca462e137a1b5b84062248)

commit 18d744a822bc5b385e38810bc903006048f5957f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 4 14:08:27 2022 +0200

    ndb_redis: clean up response on moved reply with cluster mode on
    
    (cherry picked from commit ef00062fb3feb051e3e11c62ce3c529579d23f5b)
    (cherry picked from commit bc1e222ea3375dc52dab135016af7d73712a05f1)

commit 8b2b13cdf7096dd746b976a3488d3fafd83c2f9a
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Jun 30 07:19:18 2022 +0800

    tls: cert serial number can exceed uint64
    
    - GH #3168
    
    (cherry picked from commit 996bf4cad1d5645761fb80e66e435cedf29fa749)
    (cherry picked from commit c4465cf37bbc925377d1eff0c2290203497dd36b)

commit d4a79c8c1add2de44a203ad01cd4f82fe20b4823
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 3 12:20:05 2022 +0200

    auth: coherent log message content with header parsing
    
    (cherry picked from commit 267d4ad48ac8426b3d5c53724281605a74d07999)
    (cherry picked from commit 3839eed219ab2da2e441cdfb82adbba24b03c035)

commit bf9c0a7ec30f3522e172d719e57baea765154f31
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 30 19:33:45 2022 +0200

    kamctl: propagate DB_PATH to DBTEXT_PATH
    
    - GH #3170
    
    (cherry picked from commit 1f6ec9022f2358441233e8b139e13cbdcf0947aa)
    (cherry picked from commit d83ec54bfc13ac1ddc5a6d39dfaa4f3313d976a9)

commit 5de1fa03eb1f3c1146dcd6aa4329d5856ae441d2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 28 18:41:50 2022 +0200

    core: init pv buffers earlier to be avaialble for cli params
    
    - GH #3152
    
    (cherry picked from commit a78adb5340ae6cb57f756189d070c32c49bfa426)
    (cherry picked from commit bdd1c561ed640bc79a270532ed70346c5478001f)

commit c738de80a9e8d63cd83dfb750e61ed402b11bfbc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 24 10:50:08 2022 +0200

    topos_redis: use tag based on direction for early dialog transaction record loading
    
    - GH #3112
    
    (cherry picked from commit 06679174fc3d9cc6a18bc3edc7f2fb985c50d27b)
    (cherry picked from commit 967b8290d1e5081966425cbf705bd4ba36d5e98e)

commit 92f35f285fa8513361afca0d84492438775dc0dc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 24 08:18:42 2022 +0200

    kamctl/dbtextdb: solve TypeError: a bytes-like object is required, not 'str'
    
    - GH #2469
    
    (cherry picked from commit 6aa1a84c6e37e0d6d5a725d43636debeaf5fa3b4)
    (cherry picked from commit a4fc8afea094b6778b9d264cf9911b69c1a6d22f)

commit e11c9e92472b6d46a9cf02148ebdc3c16658e56f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 8 23:23:09 2022 +0200

    sipdump: docs - sync example with description
    
    (cherry picked from commit 2a744a58c57542520e4ff4c73b1419a083b17076)
    (cherry picked from commit f2bad782198ae2c0f25713d93312bfb0b204d94b)

commit 10fb56e3e6d372499d187ad19e2f1f3fcd0e0607
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 15 11:29:33 2022 +0200

    db_cluster: docs - more suggestive db url examples
    
    (cherry picked from commit 9b1a3a6b9a3e6a24d646e62ba74811cfdf553dae)
    (cherry picked from commit aa759c12aca3c8cdee11fcd383a2e565baef23be)

commit 26999650c2e0159ae82f8076e18f890aea248eef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 17 12:30:24 2022 +0200

    tm: fix kemi t_relay_to_proto() variants for tls
    
    (cherry picked from commit 1f7e894f5b293f97dc99e1b7e5d06159f91a96f7)
    (cherry picked from commit 9b8f927f613f1666af19347b928a099a208a8d71)

commit 211562121faae5c1c2aacb06c15d203ccb3efd14
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Sun May 15 21:49:18 2022 +0300

    siptrace: fix hardcoded PROTO_UDP in duplicate_uri module parameter
    
    - possibility to switch to other then UDP transport protocol in diplicate_uri
    
    (cherry picked from commit 2d24221e3b409a13f3724267860d8f8411ae063e)
    (cherry picked from commit 43a8f66903ce11f9017a6c7e2bdfe2225fc4b06f)

commit 67ffd91e4c0f44b09a472dba2e71b059ce9580a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 15 12:54:15 2022 +0200

    siptrace: use socket name for hep mirroring
    
    - manual backport of 89fa86703adfdf6e30dc43c191d7327800270574

commit d0e9b871ab46868ab971b1fcd02f47d756363c03
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Aug 16 16:31:25 2022 +0300

    pkg/kamailio/obs: fixed rpm packaging on CentOS 8 and Fedora
    
    (cherry picked from commit 44b3ccd71467b78d9e9a7184c9fd25bc5f616ac4)

commit 9a1883f32a4cf39c1808d9979ecc13463b5ae932
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Aug 16 12:30:56 2022 +0000

    pkg/kamailio/obs: fixed packaging for RHEL 7 and RHEL 6 based dists [skip ci]
    
    (cherry picked from commit 4a6aa75dd1de4e33ba6ac3f1d770a1beed61e157)

commit cfe190c0946f12e15b241c0cc2e619973568c77b
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Wed Jun 22 18:16:41 2022 +0000

    pkg/kamailio/obs: added CentOS 9 support
    
    (cherry picked from commit 19edea067f890814c767581fef65713046c768c6)

commit 095baee162e03eee48efe5a9db47ada22ba2b665
Author: Anthony Alba <ascanio.alba7@gmail.com>
Date:   Sat Jun 11 09:05:26 2022 +0800

    packaging: on EL8 package with Python 3.9
    
    (cherry picked from commit c938619e458e0efa0676e7e60c2b1a6fc7e947db)

commit 4bc1b874330f81e582cd8aa109ee62af437d6674
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Aug 2 08:47:17 2022 +0000

    usrloc: fix sending keepalive messages for IPv6, it was missing the brackets
    
    (cherry picked from commit bd40f0d08f5d0f14b301cb492d1082c71be91c50)

commit 4694656f12179f9bdc6a5d608c45487d67a3aee0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 7 09:12:40 2022 +0200

    uac: check new callid value for setting $uac_req() field
    
    - GH #3135
    
    (cherry picked from commit 0eeb4cc61f4a340ef5f8d4acf1d4ea20eb711f73)
    (cherry picked from commit 69b4b6222edd43a935524e69497c1e7ab1148488)

commit acdf07299ed28bc867b25de9f538d20faddac62c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jun 3 11:40:46 2022 +0200

    pkg/kamailio/deb: update Maintainer and Vcs fields [skip ci]
    
    In order to be more clear of who is the origin of the packages
    
    (cherry picked from commit 1225d7fda1d8c3eb82c403dcd0cd38d57fc4ad2a)

commit 9d039b6023dc7c0bfb48509fc47f830eaeede90f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu May 5 09:31:59 2022 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 89c917534b76d936993ce1b590df6fa30ee0a8b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 4 16:33:47 2022 +0200

    sanity: fix sanity_reply() function name for config exports
    
    (cherry picked from commit 7c52c05b09abdf2cf754cc02f3a1ea0855cdedd0)

commit cbb86fe6451c4ed323a394ce6691f088b808dec9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 4 16:33:08 2022 +0200

    Revert "sanity: fix sanity_reply function name for config exports"
    
    This reverts commit eeefe7dcc2af90e7def8f1698e8f79d0dd020043.
    
    (cherry picked from commit d9e0e3716cd85a4fae4587e7bf8dc6967cf19ebe)

commit 34d83298f0dfa79e228bdb5998b3c2c68b48b52c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 4 16:25:03 2022 +0200

    sanity: fix sanity_reply function name for config exports
    
    (cherry picked from commit eeefe7dcc2af90e7def8f1698e8f79d0dd020043)

commit 259448fe45346eeb201d441a6cde471fbcff69ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 4 14:55:01 2022 +0200

    cdp: close socket in case of error
    
    (cherry picked from commit 993c036bb185f6053a3a2f0486be30398918a87c)

commit d5d2105b82503f747ed82803c0dab5a1421c5392
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 4 09:05:03 2022 +0200

    presence: rename local variable that conflicts with tm define
    
    (cherry picked from commit 8e69474ab7fd23ebd03bd193387f7e9fe8e1346d)

commit 12ca7d43a262ef7a654933db65cde786aa4339c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 4 09:00:55 2022 +0200

    tm: relocated defines not useful in the header file
    
    (cherry picked from commit 27b6c641b5d941503f974fea05af506972ac2ab5)

commit 17d9e99b6f3826cbad59e01dbbc1ac077046a65f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 4 08:56:14 2022 +0200

    tm: function to clean local parsed headers and body for uas request
    
    - some modules use t->uas.request for getting attributes of the
      transaction request when processing the response, which may result in
      pointers to private memory being stored in the shared memory, causing
      crashes when other processes try to use the pointers
    
    (cherry picked from commit 159224b254d9a67104c60fedab46a1b78cf19a83)

commit a05a2f01bcc85ee1f5d9db707d289e6d506b7e27
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 3 20:58:32 2022 +0200

    lcr: init variable for fixing warning report
    
    (cherry picked from commit 7f359ca152e87ec72c6dd39fe09885bae630e36f)

commit 2b3e09d781a157629c5f9bdb809f7c43bf41dbe2
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue May 3 17:45:49 2022 +0000

    cfgutils: improve example for $RANDOM
    
    (cherry picked from commit 79b2e4b00ebf7a7cdf0ed3b9c4ab7f0176d78686)

commit 3bccd877acbc03b136186fd45bc98ae4caa8b979
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 3 19:19:52 2022 +0200

    msilo: skip invalid stored records
    
    (cherry picked from commit e5efcbdd7be9897cf169b28a7a52c45bff24cac3)

commit bb63c1212ba8ce1d2ea6d07c007c7d961b5965e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 3 19:07:41 2022 +0200

    snmpstats: fix allocator sizeof operand mismatch
    
    (cherry picked from commit 0c99fed48403e2cc4f24441901b81b7c51411511)

commit db3fb40e3b8e1b12ad6a0faf7274abf4f69a1fc8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 1 16:28:41 2022 +0200

    cdp: use same data type for size computing as pointer type
    
    (cherry picked from commit 47169b6774759131e9e535f2b9d358772b777b9c)

commit eac307296fafeb96047a4359f3d36defe73568df
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 30 17:21:42 2022 +0200

    snmpstats: use same type as the pointer for sizeof
    
    (cherry picked from commit 3de5a781a3d0333352ab72c6b790f472f393df2b)

commit a03721b4e0b9251b11dd2dcabbdce3e7709f17b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 29 14:04:12 2022 +0200

    core: modparam - safety check for str s pointer
    
    - deal with the case of argument with 'nonnull' attribute passed null
    
    (cherry picked from commit 69c004eec161c14d957f9e4011aeff4163af858d)

commit a830c48802edeb0284dbfb7e554b39d18ef20ae9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 29 09:44:46 2022 +0200

    core: main - check the debug cli param value
    
    (cherry picked from commit dfc407c4009acbd6e05ecfaf4e727b0636ab92a4)

commit 1d39dc57cda8fbb169a3848c5e4dba3e7a91e16b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 28 14:03:55 2022 +0200

    presence_xml: free uri for http xcap auth
    
    (cherry picked from commit eba6c7d78088cde411f5cd1b7730ba458e62a69e)

commit 05e2b31ff419176cbc8be4f848c940f36cd32206
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 28 13:31:41 2022 +0200

    sms: use unsigned int for bit shifting for compiler warnings
    
    (cherry picked from commit cacae7fc5db5418a67d543995273280d57f027c6)

commit c7d8f24f2237c03e493ddfe0fbb806bda78794b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 28 13:10:23 2022 +0200

    lrkproxy: init value for compiler warning
    
    (cherry picked from commit 9fd0cae960b0795a5e511c37f768f0962b7a15c1)

commit 397b5c1c7f5c4e8743dbfcf851dede1ed45e07bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 28 13:04:37 2022 +0200

    xcap_client: init structure
    
    (cherry picked from commit cfb50124e67b68552520e418a20ad2dfec96117b)

commit 0cc8bbad9fab44c387535b09fc5194411daccc11
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 28 12:15:12 2022 +0200

    rls: safety check for dialog structur
    
    (cherry picked from commit b5aae4f5afd07db114c3ff7712b484f743663b26)

commit 3b8f91d241ccf965c08bdb6ad560cf1575ba471e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 28 09:36:09 2022 +0200

    topos: catch INFO requests during early dialog phase
    
    (cherry picked from commit 67da7301f1eb74b6fff9e6e73b43f08dbc9c53bf)

commit fef9c3406c2f070bf250139979121246470c1164
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 25 12:04:06 2022 +0200

    rls: free resources in case of errors
    
    (cherry picked from commit 72443722d7fda4289390ef8bc20ad91990b895a7)

commit 58a02618cec102455e35ad3dfbddf93c2098bee0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 24 17:45:40 2022 +0200

    core: mem/tlsf - handle return codes during memory pool init
    
    (cherry picked from commit ef62bfb27514dc7ec3b603bee661cfac18c4fe93)

commit 170126fb80bf93595a5d3e3b2f56c655bbf71cbc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 21 14:28:26 2022 +0200

    topos: restore attributes based on direction for early dialog requests
    
    - GH #3090
    
    (cherry picked from commit c309122864eaa2bfa58253290bed49084ccc9302)

commit d6d73e3bb7d3fa1a07d816a136316f9540ef7b02
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 21 09:00:09 2022 +0200

    topos: use direction for loading invite record for other early dialog requests
    
    - GH #3090
    
    (cherry picked from commit ceb688b3d364bb7b8d9f52b7238d560cb4e30b3d)

commit ccf116505f1784b635dc1e9e1f5e4e4e89a9a676
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 20 16:45:06 2022 +0200

    xmlops: coherent formatting
    
    (cherry picked from commit 098955e23289b82db40d5cef76ee03bf09e8a0da)

commit b8ad92740a35df43aba201e116641dfa588d5aa8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 13 17:05:18 2022 +0200

    htable: check if entries are initialized before sync'ing to db
    
    (cherry picked from commit 9a8974a80b8ce5ffc9166e81f43f8581777cd48f)

commit 02b0340f8dcfc172d5f4c493bf97a600bcbef798
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 13 13:11:30 2022 +0200

    htable: track when records were successfully loaded from database
    
    - write back only in such case
    
    (cherry picked from commit b1fa63b1547fc5af6cc1e97db42ea76db1bf927b)

commit 4be7e2573750c4bccef4e74eafd41bdfe824e63c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 13 12:52:15 2022 +0200

    htable: reset entries field if hash table initialization fails
    
    (cherry picked from commit d542cb89afb1a34cba35cbcf0f40315581fbb767)

commit 25b54ae9a62d6877f74356fedf0325bd7473a09d
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Mon Apr 11 14:01:37 2022 +0200

    auth: Fix missing dependency in docs
    
    (cherry picked from commit dd15436e8697f70df6ef9d188da36f70e7116a74)

commit beb501f3ac2dd6095b0184c60f9fe41fd4365a23
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 8 12:36:49 2022 +0200

    permissions: return ret variable set inside double_fixup()
    
    (cherry picked from commit e272eea0229678b4446a3907b7360c61c273caa7)

commit 963842bc6afec81ef3d8ba8c7d0e9b93de22110c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 6 20:36:26 2022 +0200

    core: zero-ending ipv4 string in ip_addr2sbufz() like done for ipv6
    
    (cherry picked from commit 2eac6a0c2f2dd7c8831ef65fa9d92b88a79d23af)

commit d4b2b095e6da139d886ac71d3aae1e73154bf99b
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Mon Mar 21 16:23:36 2022 +0300

    siptrace: fix pkg memory leak when module configured with core callbacks
    
    - Correctly freeng pkg memory in core callbacks when body modifications take place with X-Siptrace headers,
      also fix potential pkg_free with not dynamicaly allocated objects.
    
    (cherry picked from commit fc50ce1dbd31bbd28a11d672ed9bdbe9bd4ae5d0)

commit 08eeb04d40a3a66a139fd60df1537241c3eec854
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun Mar 20 16:12:13 2022 +0300

    utils: fixed sinitiser error
    
    [root@localhost]# kamcmd cfg.seti param_group param_name value
    
    =================================================================
    ==2409977==ERROR: LeakSanitizer: detected memory leaks
    
    Direct leak of 38 byte(s) in 1 object(s) allocated from:
        #0 0xffff98c250af in malloc (/lib64/libasan.so.5+0xd50af)
        #1 0x41549f in parse_listen_id /root/kamailio/utils/kamcmd/parse_listen_id.c:133
        #2 0x4144fb in main /root/kamailio/utils/kamcmd/kamcmd.c:2075
        #3 0xffff97dc0de3 in __libc_start_main (/lib64/libc.so.6+0x20de3)
        #4 0x40260b  (/usr/local/sbin/kamcmd+0x40260b)
    
    (cherry picked from commit d28ca884548b0f24a618ed9cbdc8e1b9538f2574)

commit 22fd93ec58abbbe4a850343b85082f5a31941184
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 16 10:11:43 2022 +0100

    core: parse uri - extra check when user part is missing before @
    
    (cherry picked from commit b32a9caf4797370a4704b5f94d2d704b6e52fdef)

commit ddc343f3a89faeacd85ae1374594e28d67a185cf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 16 09:12:03 2022 +0100

    db_berkeley: covert blob values
    
    (cherry picked from commit dad443172628c3736b057fa24343c265ed3827b2)

commit 9083eb3befc2a50df12b57ff3e1098a7258ab906
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 16 09:04:33 2022 +0100

    core: 0-terminate string for very long local network interface names
    
    (cherry picked from commit 476d763d8ee504b71c13063ca002ecfe158da94e)

commit 071fba8cc700d99b62aba59bc768681483ea7735
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 16 09:00:35 2022 +0100

    db_redis: init allocated structure
    
    (cherry picked from commit b8c4d8b8d0f06267f2bc1a760307345fd06745ce)

commit 841baf0fc851b1cd180da3c5e5bac5430e9b1e5f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 13:01:10 2022 +0100

    db_text: reworked the checks for database and table names
    
    (cherry picked from commit d4af1304778c10213cb1f98e23938c6c4b912723)

commit cd3f1f8fe6ef1836ac2c8a43731dcf645c26925b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 10:41:59 2022 +0100

    seas: check for header type value for flags comparison
    
    (cherry picked from commit e513d1cc549fea43eebc5fc504bb01270adbc10e)

commit 5b387fc146db587b01b961e1d07afe853c4813b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 10:35:12 2022 +0100

    core: parser - catch special header types for get_hdr()
    
    (cherry picked from commit f9a38d6b621a2c3966a3c85dce6fdd2e6bb8d431)

commit 5c65d50469dbffb3ce021ff2db2af61bac560c02
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 10:30:58 2022 +0100

    core: parser digest - warn if the header type is not set properly
    
    (cherry picked from commit 67e0fa5e53ef5d4dd9802e3027b2bc7ff6dcb671)

commit f6995deb6c7a03542ca381b30279f76e5f338f24
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 10:18:23 2022 +0100

    core: parse - fix typo in comment of previous commit
    
    (cherry picked from commit 8b20e6045dbebdb784a4e8f66d81fc79c0a17304)

commit b16a4e5038c30a4fdd662ce1f080df93d36f68b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 10:11:09 2022 +0100

    core: parse uri - sanity check for user part
    
    (cherry picked from commit eda4b3c51ce12d4fe052b7e9ad40be1ef6e56444)

commit c16044f47def23c4d43fbc9b38ffc56b8cfbe41c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 10:00:24 2022 +0100

    pua_reginfo: init uri buffer
    
    (cherry picked from commit 692d15ce9bcc329fff55060dcdc8e5161f12c30e)

commit 44295fa538e0d0b88208264a516d15a8e0ff54dd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 09:59:44 2022 +0100

    sipcapture: more init buffers content
    
    (cherry picked from commit 0b684a5d9a2f5d17e64cb8cb5f4b53b06f180f06)

commit 81b93c0858cf7ccc357b3d623336d79001c0f9ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 09:37:58 2022 +0100

    dmq: init peer structures
    
    (cherry picked from commit 0204232ba1f229edb9c7e0080e98e9d3b2500672)

commit 140abc77f33861952c750e7013767b4b2a4f628f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 09:31:24 2022 +0100

    sipcapture: init buffers content
    
    (cherry picked from commit 9292b9f5daacfa5340b5fe1a5f02469a7e597d9b)

commit 4213ed97695dac97505422a8a9925c34c812e481
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 15 08:18:03 2022 +0100

    core: parse uri - detect empty user when @ is found
    
    (cherry picked from commit 0c101ffe713603e812759da6d396e0451cf13ba1)

commit d74d044f54d49cd4c80f9ae75fbd025aaf385341
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 14 17:07:42 2022 +0100

    dispatcher: fix ds_reload() return logic
    
    - GH #3054
    
    (cherry picked from commit 30079910bbb33b430621f188beae40c71592bcba)

commit 0947dde559a60afc52fb46c9dbcd123494cee2af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 14 12:17:42 2022 +0100

    core: parser - helper functions to parse all record-/route headers
    
    (cherry picked from commit 22b8ecc24442dce775600dfb186a83bc947fd4ca)

commit 46eaf304de272134579519740f589dc8875048b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 14 10:23:58 2022 +0100

    sanity: use dedicated functions for parsing From/To URIs
    
    - updates to parsing Contact headers
    
    (cherry picked from commit 5c99d7f87ed94cd52c6ab74d46f511447b3db2b9)

commit afefd474c9571f7c0282823819335d038f7ffdce
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 11 21:41:06 2022 +0100

    core: parse sdp - removed redundant check
    
    (cherry picked from commit 355c02106c95400c44833a89aeea68c61ba2f200)

commit fc454a5c2a9c83732ed11df7f42cb98c5e7f227b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 11 21:36:16 2022 +0100

    core: parse sdp - detect multipart invalid format
    
    (cherry picked from commit 7076904d0f0980d6bfa0814e3b1a8c61ee0acecc)

commit c30312a4f7e4bdacd777c5df2adfe85821d8bfa9
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Sat Mar 5 11:36:29 2022 +0300

    siptrace: add X-Siptrace headers when configured core callback mode and SIP URI traffic mirroring
    
    - Added X-Siptrace headers in core callback mode for SIP URI traffic duplication,
      headers also available in event route for filtering purporses.
    
    (cherry picked from commit 57b1d5375927b987b162fcf0e2c99a39b717bd65)

commit d4a69b1b4878c808631fca078a5980ceca85db93
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Wed Mar 2 13:25:22 2022 +0200

    smsops: Fix ucs2-to-utf8 for Accent chars
    
    (cherry picked from commit f9f16a6c700a7378fc30f6f9c0a767438fc638b9)

commit fad03e0af24629b5dfdd835d251b3506bb1157a0
Author: frederic <frederic.gaisnon@mmtt.fr>
Date:   Thu Mar 3 16:57:28 2022 +0100

    topos: handle BYE sent by callee during non connected call with provitional response sent by callee
           (INVITE,180 and BYE from callee instead CANCEL)
    
    (cherry picked from commit e1974977a3e604996b752566d187b77da5072999)

commit ddcc1a24fc6b4323de09ee30c4dc64d3d5b1a5b5
Author: Kristiyan Peychev <kristiyan.peychev@flolive.net>
Date:   Thu Jan 13 15:29:43 2022 +0200

    cdp: increase the amount of avps allocated when reading AVP_Vendor_Specific_Application_Id
    
    (cherry picked from commit 62f7be2281f5dd91a5668c4b84e52a7d7169e21f)

commit 8614efb544374945a45b755586d9a059bab2997d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 3 09:03:12 2022 +0100

    blst: docs - small formatting updates
    
    (cherry picked from commit 415f20804e423b503d5e0d1743e28c9f509f9c21)

commit c8af56f46822504e0cd1cfa79f12c6f20e335ccb
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 8 11:20:40 2021 +0100

    pkg/kamailio/deb: fix lintian warnings [skip ci]
    
    (cherry picked from commit dfbeb92a956009fc57070ac988cb0177f9c8192f)

commit 9333fe21023bb0a902b2fbf58c9ee556946d0a30
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Apr 23 10:28:46 2022 +0200

    pkg/kamailio/deb: add breaks/replaces to kamailio-cnxcc-modules
    
    (cherry picked from commit ec22a2127750b5422d5ab01a23c4ea7404bad3cf)

commit 0d4a53e415a531a4270b18e141a5f922682ed507
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Apr 23 09:17:53 2022 +0200

    pkg/kamailio/deb: update copyright with new paths
    
    * remove duplicate-globbing-patterns
    
    (cherry picked from commit 0030a756375217f4e1b5de55f96c6b2ba89a87d4)

commit 4c8938252d583bcfe720231e9f579ee461095c6d
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue Mar 15 12:09:15 2022 -0400

    db_text: fix db url in example config
    
    (cherry picked from commit b98cbddfaf271887276c4be8a98a0708dab4d091)

commit 19e3d173ab0bc30663c67874708c95469699d82a
Author: Sipwise Development Team <support@sipwise.com>
Date:   Thu Mar 10 16:34:37 2022 +0100

    pv-headers: ignore skip-header config on clone_branch
    
    (cherry picked from commit 473e051bef688d9e78bc4c28abebbedfffd1f549)

commit 2e0537ba306219df0ce71605848e811027c69a57
Author: Victor Seva <vseva@sipwise.com>
Date:   Mon Feb 28 15:24:21 2022 +0100

    db_redis: clean previous connection before trying to reconnect
    
    (cherry picked from commit 78c8d084e30373aacc456fd41062b68e6e82ea6f)

commit 67d888c80f5c9e96da72a1dab234f2a70782f635
Author: frederic <frederic.gaisnon@mmtt.fr>
Date:   Thu Mar 3 14:23:38 2022 +0100

    cplc: manage case where TZ environment variable is not set.
    
    (cherry picked from commit 2ea56a4cf40045bb92b1f17f5a0b8c172da4f866)

commit 5c0ac5a847022ca43ed2b3607c5be183132b679c
Author: frederic <frederic.gaisnon@mmtt.fr>
Date:   Wed Mar 2 15:59:41 2022 +0100

    topos_redis: contact on A side is never updated on dialog update
    
    (cherry picked from commit 86d233d34b06016fc3436ca4574155959d24bb16)

commit 42b80a2cf0fa1b2e7192ade5844df670a49480ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 25 09:13:46 2022 +0100

    core: fixed comment typo
    
    (cherry picked from commit c37ccdc6e3bad0af4644941a872f510c51936c58)

commit 0a945faa496a48377c766f5966243b3e0a9dbc75
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 24 14:12:44 2022 +0100

    blst: converted log macros and removed function names
    
    (cherry picked from commit f85cd7eb9d3249ee93f0de7f978d0a9e7044df77)

commit e77e4ad4953aac413d06ceb3954736b81ac30355
Author: Matthias Urlichs <matthias@urlichs.de>
Date:   Tue Feb 22 18:22:52 2022 +0100

    nathelper: Fix uninitialized data
    
    - the IP checksum is part of the header and must be zeroed before checksumming
    - also silence another (benign) warning
    
    (cherry picked from commit 7cbbd8fb22ac0d57a5dd3883dee185b3bc0601e2)

commit b83292042aae87c445e05c3f82231ca6d335cc96
Author: James Van Vleet <james@vanvleet.net>
Date:   Sat Feb 12 19:07:56 2022 -0600

    Erlang: Revert breaking change
    
    Revert https://github.com/kamailio/kamailio/commit/6542a367638ec5f8a2b62994f8c309e7a2533962
    xavp_add_xavp_value returns the root and not the xavp it added and that was the reason for the code the commit removed.  Changed a variable name to help make that more clear.
    
    Also related to https://github.com/kamailio/kamailio/issues/2069.
    
    (cherry picked from commit 1ed58f0de4f7a3ab3a81dd84c1c3b94fa1df2c4b)

commit 34eceee62f20dfd4ef148277c93391e5e778ccef
Author: James Van Vleet <james@vanvleet.net>
Date:   Sat Feb 12 19:05:26 2022 -0600

    Erlang: Erlang module assumes pvi.type is zero
    
    Related to this commit: https://github.com/kamailio/kamailio/commit/7bb2669528a819ec29a8193eebc9c641edd69993
    
    (cherry picked from commit fa74be53232d56797209a630823a20346f9d2597)

commit 11e7c173f2974c2174d1ccaca717eb63c5608a84
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 16 12:45:33 2022 +0100

    tmx: use trimmed call-id value for hashing
    
    (cherry picked from commit 88f1a1a671c4486e5000415b3d52eb42e6ad4cbb)

commit 39e6c357a93a62033082a3bed2f985b8ad47db13
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 2 09:28:24 2022 +0100

    siptrace: use msg_send_buffer() to skip send callbacks for uri duplicate
    
    - GH #3042
    
    (cherry picked from commit e3b9521a150ac2245dee2afeac5d674768c7399a)

commit cfe2dce135550054cec3ff86501c9265209ffad5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 28 14:54:21 2022 +0100

    siputils: handle messages with many headers for contact param encode/decode
    
    (cherry picked from commit cf054e0e041385d0533d0fa7b49e34fc1131ddcb)


===================== 2022-02-17 Version 5.5.4 Released =====================

===================== Changes Since Version 5.5.3 ===========================

commit 168a648d82e2b4e25ac3ff9443f837071589ac39
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 17 10:17:27 2022 +0100

    Makefile.defs: version set to 5.5.4

commit d7b64f4b369b347654d4e8a956c39072303e464a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 17 10:16:20 2022 +0100

    pkg: version set to 5.5.4 for rpm and alpine specs

commit 19be6f620328bfcb6e5fad0088f15aa4461eefbb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 17 10:12:44 2022 +0100

    pkg/kamailio/deb: version set 5.5.4

commit 42d4359e6c3288fdfb705c5d0e38f47443048550
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 16 10:18:17 2022 +0100

    uuid: use define for buffer size
    
    - log error if uuid was not generated in safe mode
    
    (cherry picked from commit e81f2e318bc32802d152ef69d005b8194e17ca42)

commit 315b22adf71908f147760b161045c9dda3ff1979
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Feb 15 09:46:42 2022 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 76a5a7a999d0e37499bcc2ba1e412ae1f10a4f6c
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Feb 15 08:30:47 2022 +0000

    dispatcher: small docs extension, algo 3 hashes only over r-uri user (DS_HASH_USER_ONLY 1)
    
    (cherry picked from commit 0f633c0def3759078fea427597190fab196c89bd)

commit 3c3ffd803192b92f126f7f08119459593eafe30c
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Feb 14 15:17:04 2022 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 78710d9da5cfe117190694cd3b77ced54414a2e8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 10 17:11:45 2022 +0100

    xmlops: docs - added the remark that xml_ns param can be set many times
    
    (cherry picked from commit 56e26387b77536e6c9f13dd62e5aecabaaba2d9a)

commit 207e0d9f80b2e1a48c7c21844f158e231bfd8e1e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 10 17:06:13 2022 +0100

    xmlops: docs - more practical example for xml_ns
    
    (cherry picked from commit 0cb6a0640e9e3e2e06d2c5bc68c6177d5bd38b89)

commit 19cef203a1b487174ce7a0e66431b2c03bf78c65
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 10 08:42:10 2022 +0100

    core: updated description for core.psa rpc command
    
    (cherry picked from commit aca381d30413eb1b43abf9e7e3b1306854ceb117)

commit 43b94264f81e54625ee90faa7f52b006b67a1b61
Author: Adrian Bunk <bunk@debian.org>
Date:   Tue Feb 8 17:03:57 2022 +0200

    src/Makefile: Also stop compiling kamcmd from here
    
    (cherry picked from commit c1335157c53ca014bbeec6de312f42d955221d58)

commit b0a327f79d14d1c40742ba1177dd5bdcffc02c6d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 8 10:23:22 2022 +0100

    presence: safety checks for user and domain in ps_ptable_search()
    
    - GH #3008
    
    (cherry picked from commit c47ec08d8d4a14dc190091ccb79ace62ea6674e3)

commit 6c3b7c0e2ee3e0d397f1781f385eb78483fdd67f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 8 09:14:08 2022 +0100

    ims_dialog: updated test conditions
    
    - GH #3014
    
    (cherry picked from commit a8d56242da48708949149c11c06d031b5c2fad49)

commit 10cfb3ea0e80cfbaa5745093d471a58997a633ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 8 08:29:55 2022 +0100

    db_perlvdb: removed unnecessary condition
    
    (cherry picked from commit d3daed0a617024fde1efabbcdab27dc4c5c140c8)

commit 56d9073ef2dd61f6ab48602fe2af77e3c090e290
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 8 08:06:02 2022 +0100

    xhttp_pi: wrap freeing and setting to null in curly braces
    
    - GH #3012
    
    (cherry picked from commit 37580a25694d5e5b0b4c89a92d1ba2d8b77aacba)

commit 5d05de900de0145a22a5bf044267d9b0c0ceb712
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Feb 4 12:01:08 2022 +0300

    presence: fixed format-truncation warning GH #3013
    
    (cherry picked from commit c1b14f49ead9a29711cde5334155819cd1c6c90d)

commit 86c897fac37d2a78b8122b4c62ec87a2371fd9d4
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Feb 4 12:04:03 2022 +0300

    rls: fixed format-truncation warning GH #3013
    
    (cherry picked from commit e921fc8ed7a6c9fdeb532179a77503cd67799487)

commit 2c3de1aebc526939c12fa501509d12ce1728b9a8
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Feb 4 11:47:19 2022 +0300

    kazoo: fixed misleading-indentation warning GH #3012
    
    (cherry picked from commit 2b9706aca33b8ca34d3d9c58b80527956c92dd7a)

commit 99b9324fc2f682288e358304602cdc8fb2bc32a1
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Feb 4 11:46:31 2022 +0300

    ims_charging: fixed misleading-indentation warning GH #3012
    
    (cherry picked from commit d94879b06f9bbb9d6ffa2dcaae5b213f169f2d5a)

commit ba6b3e8d8a9cc898e54acf750f871b812911d972
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Feb 4 11:26:00 2022 +0300

    sms: fixed misleading-indentation warning GH #3012
    
    (cherry picked from commit adb2d539e0db7feb1d6758dcc040c22a5915f104)

commit d0b14f3e64355aca6c1f0218c804b34b0810c703
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jan 26 14:01:43 2022 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 4e6cd4cd5f2eab7d4f6300a9ac1c4884657aa964
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 24 11:32:31 2022 +0100

    dispatcher: check reload delta in functions building new routing structure
    
    (cherry picked from commit 76c273ecaa76f031ce9892acd895b4eacf4de17e)

commit a18374d1f0c5ec58e92981e4ac14320de7de92d9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 20 13:02:18 2022 +0100

    Makefile.defs: set localbase for macports on macos
    
    (cherry picked from commit 584eabf7de6af9f835678f9c6d6851cce49a3878)

commit 254d19b4dd703c24a7a15e5539e585e42b3de101
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 20 13:01:59 2022 +0100

    websocket: makefile - set library path for localbase
    
    (cherry picked from commit 2e4258f440a07a2cfd20082af22bba4f9a2448ab)

commit d40337449e274f6c6d9ea1754977287841c306c9
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Thu Jan 13 11:03:56 2022 +0300

    rtp_media_server: Makefile - support for FreeBSD build
    
    - updated LIBS and DEFS variables, making them consistent with
    the rest of modules.
    
    (cherry picked from commit cda05478b25ad93b1fb7475cf6b2767d7164bbbb)

commit 0ee717c91ca0dc590d6764803c151982a4d12d4a
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Tue Jan 11 18:45:45 2022 +0300

    websocket: Makefile - support for FreeBSD build
    
    - updated LIBS and DEFS variables, making them consistent with
    the rest of modules.
    
    (cherry picked from commit 0a3476384b325514b1da784b74cc821360193409)

commit 3ee8896e87a8a2b0f6e704d806983b544a0a5224
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Tue Jan 11 18:45:27 2022 +0300

    phonenum: Makefile - support for FreeBSD build
    
    - updated LIBS and DEFS variables, making them consistent with
    the rest of modules;
    - removed predefined CXX and LD variables.
    
    (cherry picked from commit c4b280bd5b5b0cfb8d34ecef296972f2a043791e)

commit b149906e3c0558fd9cb866d39b36f180efaef656
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 20 09:57:45 2022 +0100

    core: set exit flag for return 0
    
    (cherry picked from commit 23c39ecbdd29f2fff0af4a693b08032e8afff48b)

commit 38bdf24485f3e4d2d9489ba695f7b23bbce85cc0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 14 09:02:39 2022 +0100

    statsc: note that items param must be set before track
    
    (cherry picked from commit f517f8c655e676f5872eda5f81f5244eac4eed25)

commit 331e60374e6a0c283b835ab62da84826c8833a48
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 14 08:55:06 2022 +0100

    stats: detect of mod param items is set after track
    
    - it can lead to crash if items is set to greater value than the default
    one (GH #2101)
    - round up for better memory alignment in the allocated structures
    
    (cherry picked from commit b29c79c8d83fd23064e50dcee02e5f85ec51328d)

commit 3d4ceff9aa77b841fa2df938cfbab9b534f14626
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 13 16:49:33 2022 +0100

    db_unixodbc: catch queries without result to skip printing error logs
    
    - GH #2810
    
    (cherry picked from commit 795a09077ccc5dd06f9074978dc77dd81389512b)

commit 633148323c83b9f35d221ff59fbf7b3be8194b1f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 13 13:49:46 2022 +0100

    tm: update uri when refreshing local uac shortcuts
    
    (cherry picked from commit 0ed1282238da6cdd8a4dbef1b61493b70a850a6b)

commit c8d579452906aee0c2716ef9ac25fe0d4628089e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 13 10:37:46 2022 +0100

    dispatcher: removed module name from log message
    
    - updates to debug messages
    
    (cherry picked from commit 29ebde9cfe746c1dd9083a5fc4b26a32c39ca0a4)

commit ef9b353910d10d91fde88193b7a3dd9c27bf18ad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 12 14:12:42 2022 +0100

    core: parser - print ascii code and position of invalid char for identity info
    
    (cherry picked from commit 40e59d9c3b8ec531cb9e26093c43647a43108dfd)

commit 8c0fcc2a437b194c9a4f5426d1e611c9aad8618c
Author: Morten Tryfoss <morten@tryfoss.no>
Date:   Wed Dec 8 13:07:53 2021 +0100

    dispatcher: Fix handling of inactive destination for alg 13
    
    Alg 13 did try to distribute calls to inactive destinations.
    If the highest priority destination is inactive, hash is not updated
    and the xavp is not set. This is resulting in failover mechanism
    not working at all for the given call.
    
    When the hash variable is not updated, it makes alg 13 behave like
    round robin if the scenario above occurs. If you got two destinations
    and the highest priority is out of service, 50% of the calls will fail.
    
    Now I tried a more simple approach updating hash with the first
    entry of the sorted list.
    
    (cherry picked from commit adba3caa2d12d1f8b89d720fbb9a6a9cdc8b2573)

commit 49d5f6eb5f9f0a800dbaaf02c3ef8ef6622a6b73
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 11 09:02:35 2022 +0100

    dialog: init variable to fix warning
    
    (cherry picked from commit 682f9984fc4942d5f786f0ca9d798630d618f8da)

commit c8582892d0cacbd2ed857f87d2fa59ae7ae10148
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 11 09:02:11 2022 +0100

    db_text: init variable to fix warning
    
    (cherry picked from commit 102b7c62ae9877151ce542b8b5747051fb954acb)

commit 4f002432bf2699d99f7b83a3652fc9e2b6c7447d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 11 08:41:35 2022 +0100

    avpops: init variable to fix warning
    
    (cherry picked from commit b7815d04ced35d5b5ccbcdaa39d41ef4a2cb2ad0)

commit 93cd99f08c61b7355e948dfbf855eb381e84ed1b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 11 08:30:46 2022 +0100

    rls: free xml doc in case of error
    
    (cherry picked from commit 55f23d09faee06a892dde13e371d144b98bae68f)

commit e855d251d27e5a399cfa3d8a70b4387295c37c6e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 11 08:20:30 2022 +0100

    dispatcher: safety checks for str fields
    
    (cherry picked from commit 5443db4d632c8502dc622cc28fe2847fb0c147c1)

commit 7381ccd61a325e5b6502d05588ac8edf9a244d0f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 11 08:19:42 2022 +0100

    lcr: init buffers to try to get rid of new warnings
    
    (cherry picked from commit 0247c336e208912324c71aea9843e688d7c5a463)

commit e3ed8c0d80dea4da4c522864f1480d02d57e2d4a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 11 08:19:06 2022 +0100

    presence: utils - use memcpy instead of strncpy for coherence
    
    (cherry picked from commit 33c40170e73adc71e2ad66d8dbb6c776b771ce5d)

commit 183afaf6ecdd3ddde4ea5b9ad61202ee34b7779f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 10 18:37:34 2022 +0100

    ims_usrloc_scscf: removed unrelated comment with is_main
    
    - was not even used
    
    (cherry picked from commit 819ca1d7afe558d944fa88b2d453bf7ae7fcc819)

commit d3dffa9b3afb57b041a046d5c6a8d900c8658e65
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 10 18:37:17 2022 +0100

    p_usrloc: removed unrelated comment with is_main
    
    - was not even used
    
    (cherry picked from commit 9d280b589a035fa04cd4c7235671d1fdb6ae44e9)

commit 7ebe3f4cb5fbe68159ee94bc962585d92e8c7d91
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 10 18:36:49 2022 +0100

    ims_usrloc_pcscf: removed unrelated comment with is_main
    
    - was not even used
    
    (cherry picked from commit 5978ec116c3efacacf260e9f579d93c9e9bfb780)

commit 5e105ffbc6ad699ab06fbbf7e50c2b6c49be75f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 10 18:35:58 2022 +0100

    usrloc: removed unrelated comment with is_main
    
    - was not even used
    
    (cherry picked from commit 3a00526bbe535d46d234108cb71fd80376f0718d)

commit 32973b52303a5576a821af50d0ba2db58e6f78c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 10 18:33:53 2022 +0100

    http_async_module: check return for event_base_dispatch()
    
    - exit if it fails
    - part of GH #2999
    
    (cherry picked from commit 461ec0a79ae365729c11efcbd96fc158c50a2891)

commit 5e3b2f9dd2465508b10531bf345e892355e68734
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 10 18:33:24 2022 +0100

    db_text: rename is_main to _ksr_is_main
    
    (cherry picked from commit 52cad0a39b224add8ff7eb6dd253f00122e93704)

commit a1939714a74bac7b3118373e6fedf2b7464dbab6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 10 18:32:43 2022 +0100

    ctl: rename is_main to _ksr_is_main
    
    (cherry picked from commit e7c14adc0b171fae9ad7c0fed4fb3c785dd282ca)

commit 0ea3ec6b76ecd519d3a9446c79d536130f10460c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 10 18:31:38 2022 +0100

    core: renamed global is_main to _ksr_is_main
    
    - safer to avoid conflicts with other libs
    
    (cherry picked from commit f3454dd9f2d065e7757e9d9680b815481d08269c)

commit 0aa4340764f78c74a62054050d8805616f450fdb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 28 20:27:43 2021 +0100

    core: parser sdp - print hdr name by length on error in get_sdp_hdr_field()
    
    (cherry picked from commit c4e462fa6bda38ac6fd814ce8d98ea030d4049b9)

commit e0084adcda85b10b3b0c0765a292cfde088b2845
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 28 20:00:17 2021 +0100

    siputils: docs - note about restrictions of ring_insert_callid()
    
    - GH #2989
    
    (cherry picked from commit 090f1f74603de6113f3dd41095ae41b4f03f8171)

commit 65e50fbd24f9239a4dab25c6b8328670e150fda5
Author: Sebastian Kemper <sebastian_ml@gmx.net>
Date:   Wed Dec 15 23:30:38 2021 +0100

    ldap: rename private function ldap_connect
    
    When compiling against openldap 2.6.0 kamailio's private ldap_connect() clashes
    with openldap's own. curl dealt with a similar issue earlier (see [1]).
    
    Simply rename the function to avoid the issue.
    
    In file included from ldap_api_fn.c:37:
    ldap_connect.h:34:12: error: conflicting types for 'ldap_connect'; have 'int(char *)'
       34 | extern int ldap_connect(char *_ld_name);
          |            ^~~~~~~~~~~~
    In file included from ldap_api_fn.c:33:
    /home/sk/tmp/sdk/openwrt-sdk-ath79-generic_gcc-11.2.0_musl.Linux-x86_64/staging_dir/target-mips_24kc_musl/usr/include/ldap.h:1555:1: note: previous declaration of 'ldap_connect' with type 'int(LDAP *)' {aka 'int(struct ldap *)'}
     1555 | ldap_connect( LDAP *ld );
          | ^~~~~~~~~~~~
    make[5]: *** [../../Makefile.rules:100: ldap_api_fn.o] Error 1
    make[4]: *** [Makefile:511: modules] Error 1
    
    [1] https://github.com/curl/curl/commit/8bdde6b14ce3b5fd71c772a578fcbd4b6fa6df19
    
    Signed-off-by: Sebastian Kemper <sebastian_ml@gmx.net>
    (cherry picked from commit 362c6de08058948d0a70a1eeb14ec718f922b4e5)

commit 42e3c28f2744ee4c799c972bed56e412f792027e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 22 08:12:20 2021 +0100

    auth_identity: close file in case of errors
    
    - GH #2983
    
    (cherry picked from commit 84cdc33429c61fe7cac91cbedf96bef560267313)

commit 0ba7876e5cc1120d7e64e779ba9327ed33e88a19
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 20 08:55:51 2021 +0100

    misc/examples: kemi - sanity checks for response in python script
    
    (cherry picked from commit bd42130e3cfb87856b4b0431de50eccdd4324f9f)

commit 97bc9751485dfd9aa314e15aaef73b0835e580cf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 18 19:54:57 2021 +0100

    misc/examples: kemi - update lua sample config
    
    (cherry picked from commit 99a9f27c8d24a06f201b4713f7a2bfeb37092482)

commit 5715fc40664438e092d444ea31b99c965c26da7e
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Dec 17 12:53:37 2021 +0000

    dlgs: optimize dlgs_init, if/else path are identical
    
    (cherry picked from commit 8e7f2e6a158bb2c59600b03be3c7e6eefc416180)

commit fb06dbf3e0452f1b4e8772da3fa94d6bd930f238
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 16 10:01:34 2021 +0100

    core: parser sdp - check if delimiter exceeds body limit
    
    (cherry picked from commit bd5280726a9842b257afabae548853d000ecd249)

commit 5d08f4028ad6f805940d1824e17fb148bd90a045
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 16 09:44:54 2021 +0100

    core: parser - clang format parser_f.c
    
    (cherry picked from commit 03acf834a19689d6c3efcea93e48985d3e7ffc37)

commit 2ab373588c1052da3b92739f7ac92e23ed4f0561
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 11 09:32:38 2022 +0100

    pkg/kamailio/deb: add --atexit=no
    
    This helps with openssl1.1 see #2912
    
    (cherry picked from commit b5258d9b0e88de4b9a7c58997b651e790e2cc87e)

commit b42dfd30ba74562e3c7673b3de449760bb315d62
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Dec 22 11:19:19 2021 +0100

    pv_headers: restore pvh_real_hdr_del_by_name()
    
    it was wrongly removed at 09981c41cb6685fa18f61b9e7d66339917c4f097
    
    (cherry picked from commit d8f0e71a0497e0bb98be60452914df51c84b56d8)

commit 3cd4676ce5071f83fccc0e16946c9e0376b018f6
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Dec 16 09:32:07 2021 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit d06fbbea95b33934d841f37bff6ae2b32dde2f87
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 15 12:37:48 2021 +0100

    misc/examples: kemi - sanity check for response in lua script
    
    (cherry picked from commit 96ba8bdf87221c985d8198fe36f7f0bd9858a738)

commit a2446f5194446ab9432aecde99522e709ecdc1e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 15 09:00:45 2021 +0100

    core: parser - clang format for parse_identityinfo.c
    
    (cherry picked from commit 1cd480dfe6f2e06bac99b74e466e0c6bb8801279)

commit e1fb93fa9e3b79f043fd6b7379a61340ba93e071
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 14 14:02:41 2021 +0100

    tls: docs - added note about --atexit=no cli param for newer libssl versions
    
    (cherry picked from commit 8dc18cab5bc32c1d34a9113242d230b7458d4075)

commit 17bbfe97179a2965b145b946b76ba458c2af8bd5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 13 09:29:06 2021 +0100

    Makefile.defs: use sed instead of awk for detecting glibc version
    
    (cherry picked from commit 225a59475c91e154ce0a7f0ec252be841a5a8ce5)

commit 27875047db766cc7cb3a4d5d7638bdafd98e09b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 13 08:31:07 2021 +0100

    presence: info logs instead of error for not maching conditions
    
    (cherry picked from commit f42b6c5cf2ee9861cb1eed016a5ddcc499d2b854)

commit d7c030f576fa87b5959b7156c6b2077d76bb1fee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 12 13:29:00 2021 +0100

    core: parser/sdp - check for delimiter size done before comparison
    
    (cherry picked from commit b83810eb1eb70f326698db874a1f67cf6a8d06cf)

commit 4b9987bd630d78aa27ea392491989ddfeeda0d98
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 12 13:13:32 2021 +0100

    core: parser/sdp - coherent indentation of two functions
    
    (cherry picked from commit 1b5756ae9f67c3907c134eb725f19c875cccd913)

commit f387209ca7efd65a1fd7ee510d899fec6e080289
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 12 12:31:29 2021 +0100

    core: parser/sdp - cast to unsigned for left shifting
    
    (cherry picked from commit c1ec3857f360c806b7cc856b8e6ae3d5362ef49f)

commit dc5eda219c152d1c08ba38849163849f62242b2d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 11 18:40:51 2021 +0100

    core: parser - print start of buffer on error for identity info
    
    (cherry picked from commit 48dc90dfa1839a405e7d090b23c1fdc907107731)

commit 88b50be127ca0dab57784e0ffb96d6eb44196772
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Wed Dec 8 14:50:29 2021 +0000

    websockets: enable KEEPALIVE_MECHANISM_CONCHECK
    
    KEEPALIVE_MECHANISM_CONCHECK was added but can't be enabled
    
    (cherry picked from commit 29c3b865d8efde8435c2217df44d1df684caaea2)

commit 0afcccdc46950c5b4a49024e2092ab712ba6be94
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 8 09:21:53 2021 +0100

    src/Makefile.defs: link -lrt if glibc <= 2.17
    
    - GH #2921
    
    (cherry picked from commit 743a9d33dcc3a6220bba217c14810dafb53355b2)

commit 8d58f4b158a30debe58027875287c6c9d675c8db
Author: Olle E. Johansson <oej@edvina.net>
Date:   Tue Dec 7 08:30:51 2021 +0100

    htable: Fix spelling errors in error and debug messages
    
    (cherry picked from commit 9517cf47f512f561c6461edc3cbca3410e773735)

commit 0d77ae82ff1cac93a48ede3558ddf48632960a70
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Dec 6 13:00:59 2021 +0100

    db_cluster: Fix spelling errors
    
    (cherry picked from commit 2eed551ed55fcd2bc190e1045da377f6b1e4d22d)

commit 2c196d149c19ee59174f89020407e1f15156182e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 28 10:39:02 2021 +0100

    core: flags - use unsigned literal for bit shifting operations
    
    (cherry picked from commit 1a406e093ea7ac07428c92aec21ac67f8caa1093)

commit 4814bac2424db7fea2ba817fcdf4594a7b2e1c11
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Nov 27 15:24:45 2021 +0100

    nat_traversal: declare flag literal as unsigned
    
    - GH #2954
    
    (cherry picked from commit 8c30109df0b479cc3fce39a765717149e9c70ddf)

commit 52a01e54483c5e50fedec649689e5f142c16315a
Author: Justin-lavelle <justinl@broadvoice.com>
Date:   Sat Dec 4 03:09:43 2021 -0800

    auth_ephemeral: fix sha256/384/512
    
    - sha256/384/512 broken due to use of sha1 password length, change to check and use proper lengths for each
    - sha384 mistakenly using sha256 method
    
    (cherry picked from commit de2bee1805c2c89565e9b28afb50fac375d0b5ba)

commit 84c08acade0e548de11867866ec52223295c2f4a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Dec 6 14:31:24 2021 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 7b371b77702471e62d8bd2ee957c44df73f1db80
Author: Andrii Pogrebennyk <andrii@ng-voice.com>
Date:   Sun Nov 28 08:34:36 2021 +0100

    db_redis: don't leave unconsumed redis replies in case of error on update
    
    Execute db_redis_consume_replies on failed update same as in db_redis_insert:
    if db_redis_perform_update encounters an error it was leaving unconsumed data
    thus causing unexpected reply later on when reading from the same connection.
    
    (cherry picked from commit bbd7b2ed5827252680e9d8949c193699da0a76b2)

commit fcc065f0cd873d9880a5b9a170a305c858b95753
Author: Morten Tryfoss <morten@tryfoss.no>
Date:   Sat Nov 27 21:14:41 2021 +0100

    dispatcher: Not possible to deactivate probing of destination by reload
    
    If ds_probing_mode is set to 3, flag in the dispatcher entry needs to include 8
    for probing to happen.
    
    Changing a destination to not include this anymore while the destination do
    not respond to OPTIONS will cause the probing flag to be re-added because of the
    delayed response. A restart will fix it.
    
    We need to check against the probing flag in the CB function to determine if
    we should continue probing this destination. If probing is deativated while
    waiting for a reply, we should abort.
    
    (cherry picked from commit 429fea8069f0753e6b8dbfbfaf36701e30af6dda)

commit a2969015b92667a728c0ec8df64adb99859b5f84
Author: Zion Dials <me@ziondials.com>
Date:   Sat Nov 27 11:42:27 2021 -0500

    Fix TM Module Doc unmatched_cancel param
    
    (cherry picked from commit c060e9000f9c6cca98e23bef7aa8c295c8863de6)

commit 68a694676df0e0a0d0a8d0180ebc39f9893b49bc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 23 17:22:42 2021 +0100

    core: clarification for -b cli parameter
    
    (cherry picked from commit f068a9ad1892777bfb9a6d1bcfd17a291578c6b6)


===================== 2021-11-24 Version 5.5.3 Released =====================

===================== Changes Since Version 5.5.2 ===========================

commit f3a4cfd565c3c5a998de5bab39b3c066edc12496
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 24 12:34:56 2021 +0100

    Makefile.defs: version set to 5.5.3

commit 3547787637f856e83974358ee0e3d09754532a76
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 24 12:04:33 2021 +0100

    pkg: version set to 5.5.3 for rpm and alpine specs

commit cd6b228dc9b902da37101dc3b6da3859adecc0de
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 24 11:48:45 2021 +0100

    pkg/kamailio/deb: version set 5.5.3

commit 9427586f3af4dacfa2b3293ea6c5813a6b6c1e5c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 15 16:49:42 2021 +0200

    core: parser - detect pai/ppi headers spanning many lines
    
    - GH #2837
    
    (cherry picked from commit f0e8898d83c54e5e4383b70ba54ad340c5ae13b6)

commit 471dea4941f044e4a1489bf6f1dbb7297341a3fb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Nov 13 20:31:38 2021 +0100

    acc: set again the type of db vals
    
    - work properly when nullable modparam is set and var can be null on
    some transactions
    
    (cherry picked from commit 908ca872bec956d5f755a1b51df781bf66ad3866)

commit 706b1ceb9cb5139c4464873c8df6d99c541dda7b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 12 10:15:07 2021 +0100

    core: io wait - remove log level string from debug message
    
    (cherry picked from commit 4608914cf9d3878c79560730ddad8e0800c38397)

commit 5e771acc3e4c3e8f3480cb971a5493d5c667cf5e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 11 12:59:11 2021 +0100

    acc: debug messages to print the type of extra acc attrs
    
    (cherry picked from commit 4bd77f1dae2eeacbe7384ac2838c691f76e077f1)

commit a988943760ffecd07c10a45bd8be5bf0165057b2
Author: Dmitry Wagin <dmitry.wagin@ya.ru>
Date:   Tue Jun 15 15:58:12 2021 +0300

    nathelper: fix_nated_sdp added ignoring RFC3605-param if omitted
    
    - doesn't throw an error while "a=rtcp" param is omitted (RFC1889 behavior) or address is omitted
    - replace_sdp_ip() returns 0 on omitted IP-address
    - added param can_omit to replace_sdp_ip()
    
    fixes #2784 regression introduced by #2497
    
    (cherry picked from commit fa6038172c0095287096c7021ca5dadad728cfaa)

commit 8c71683d21498669a79515aad8e2565a6e081754
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 11 18:17:42 2021 +0100

    Revert "pv: handle case when var value ha flag str but null pointer"
    
    This reverts commit 2b432d35f0691d9ef6b12908909d809dbb1fa57b.

commit 6f6b469b257fa41d78c3fe006d3dd3b19b7296e5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 11 18:17:31 2021 +0100

    Revert "pv: fix condition in detecting the null string value when setting $var(...)"
    
    This reverts commit 2532b5f5fc71d3828e1185c55ad6a6546df312d3.

commit 2532b5f5fc71d3828e1185c55ad6a6546df312d3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 9 19:04:16 2021 +0100

    pv: fix condition in detecting the null string value when setting $var(...)
    
    - issue introduced in previous commit
    
    (cherry picked from commit ffe311939ebf58e7418940ec6c71bfaf9b21afad)

commit 2b10b50518950246ad3a224b13e9817b00877a90
Author: Anthony Alba <ascanio.alba7@gmail.com>
Date:   Fri Nov 5 17:31:34 2021 +0800

    app_python3: for Python >= 3.7 call pre-fork hook
    
    (cherry picked from commit 138ef5630402448ea2643097a3d25d4dcead6d70)

commit 5ad0453472411d1a958023944340fab6c2b841fa
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Nov 5 09:01:53 2021 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 280a165086b5c45ae4c0310d889c5df927fff058
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 1 12:41:02 2021 +0200

    lwsc: wait to read more data if not last ws fragment
    
    - GH #2862
    
    (cherry picked from commit 1ea717032d90fcc98a5de07e746ec367eaeed3be)

commit 2b432d35f0691d9ef6b12908909d809dbb1fa57b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 4 08:24:06 2021 +0100

    pv: handle case when var value ha flag str but null pointer
    
    (cherry picked from commit 6eb67eaa4fc27d1eb7da7b2b674ffe8e7f86ecbc)

commit 0b0e13527059e6d3ae96235430e585203082dcc2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 3 13:27:20 2021 +0100

    drouting: remove unused trim function
    
    (cherry picked from commit 38ae44336e8478c10e1a558997669850c5d7b297)

commit 715e4eb38ca0e98b31d98a0508a0d661d58f6dfa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 1 14:12:02 2021 +0100

    acc_json: docs - more details about cdr_enable parameter
    
    (cherry picked from commit 041999bc8092d7abb42e68a5f5fb88bef09b225c)

commit f5f4ba994fa80ab44db3a4ddd7e36872a29b93a2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 1 14:04:45 2021 +0100

    acc: docs - more details about cdr_enable parameter
    
    (cherry picked from commit 808e58c4e9b785a58fd5cfd084089a217d0f96c3)

commit e87193a20ed4c0419aa13762257b1d8ff355e0dc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Oct 29 12:35:25 2021 +0200

    rtpengine: update dependencies
    
    lwsc module is needed if wsapi parameter is set
    
    https://lists.kamailio.org/pipermail/sr-users/2021-October/113494.html
    (cherry picked from commit a602c26fe3c83a0f1b825927be145459a08730e2)

commit 3e82cdbf2311deedb0a3cb528047b54e11d54808
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 28 17:54:19 2021 +0200

    core: hashes - cast to unsigned int for left shifting
    
    (cherry picked from commit f7f9ea0f3cfb8e61a4f2f47a214cb4e89d713da4)

commit f4ebe527c25ecedb3caffa8a361b5c42a2dd6b88
Author: Nacho Garcia Segovia <nacho.gs@zaleos.net>
Date:   Fri Oct 22 10:38:48 2021 +0200

    msrp: fix some tcpconn where memory was never cleaned up
    
    Thanks to Jason Shugart at INdigital. Fix consist of caring of removing references to previously retrieved tcp connections. GH #2880
    
    (cherry picked from commit bf371ccbfa1c89fefcd9d9322ae75189d97fc862)

commit c4821bdaa44198dce153c1764b298c8c00652463
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 25 15:11:29 2021 +0200

    core: unsigned literal for 1 used in left shifting for script callbacks
    
    - GH #2897
    
    (cherry picked from commit 6348de19626f691036fd94134be6f64fff4418ed)

commit a204312372bd09dcfb276e960892e14fbe2eceeb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 25 14:45:28 2021 +0200

    ctl: removed unused function safe_write()
    
    (cherry picked from commit cc0cbad3660423f679fed62c42fcffb4a402081f)

commit 04591e08a4d74a9f57972b1552f941b86cbb6e55
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 25 14:42:54 2021 +0200

    avpops: removed unused function get_source_uri()
    
    (cherry picked from commit c9b885ff791bd71fcbf40824369fc9369dcc6e48)

commit 058ed2e1e4fdaf4ff99cd6db5a96793d6b420483
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 21 11:51:35 2021 +0200

    tls: print src/dst port in error message
    
    - related to GH #2872
    
    (cherry picked from commit daedf1201c2776ccc1040e03f8f63d256e75a43a)

commit 8df8974bb0f9754b126cac75eed76360e12d8a22
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 19 22:32:53 2021 +0200

    sipdump: docs - fix example config snippet
    
    (cherry picked from commit f202cfe647c6a1ac92a3c2b8e2ee056d678fb802)

commit 992c5a349454e40c87c8918283ffde7302da9d8e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 13 19:16:06 2021 +0200

    core: parse main headers after updating msg buffer
    
    - same group of headers as for the case of receiving the message
    - applies for msg_apply_changes() as well
    - related to GH #2877
    
    (cherry picked from commit d5c1b4693b6e47b4123b5f9417b5fd88d4dafd1f)

commit e2b6cc878088b0af2d76a2bce87c341946c36cbf
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Oct 29 08:43:45 2021 +0200

    pv_headers: don't try to replace header
    
    Multiple headers where not removed if new value was just one header.
    
    (cherry picked from commit 09981c41cb6685fa18f61b9e7d66339917c4f097)

commit 158f794d07890f0f237683ece880dd123be7dbbf
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Mon Oct 25 13:34:14 2021 +0300

    uac: fixing REGISTER to use custom socket after 401/407
    
    - After receiving 401/407 uac does not use configured custom socket,
      second register send from first available address.
    
    (cherry picked from commit ea4d7fee43269ed50a55c444a0efdcc0dd64a95c)

commit e43ea4b3e011e410ec36bb470889170f836e93b5
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Mon Oct 18 14:02:25 2021 +0200

    core: tcp - add alias for cinfo dst IP
    
    (cherry picked from commit 110200ce8e5c4cf7500e57e27a23f76e18044ad5)

commit a21c45df78a0cef3f4915b1b68a3b82732198733
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Oct 20 14:46:36 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 700cc0f3f419708b58a0eb8b2af3a9491c5f938d
Author: Sven Uhlig <git@resident-uhlig.de>
Date:   Wed Oct 20 14:23:38 2021 +0200

    textops: fix broken example for filter_body
    
    (cherry picked from commit f8c1cabaeadb8ee145174843ed11bbbb0c3276b0)

commit b6484e4614ebc0f3fd54224ba9470d6c5b322a6f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 14 10:09:32 2021 +0200

    dlgs: proper return for tags counting
    
    - GH #2884
    
    (cherry picked from commit 1f12e2a03856f9c2d12cf62c1e65e84380729a06)

commit 0d53d9a676747cd6583c6cfcdf5b3e8593b6c84a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Oct 5 16:46:33 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit a9c5f3e4d29dccda79eee8e594d4316e32196db5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 5 14:25:03 2021 +0200

    timer: extend internal static HTTP message to have one header
    
    (cherry picked from commit c3629f877500373028d2c7cdefd976cddda31c15)

commit a78acd8f40ed38b161a075bef74febd93acb092c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 5 09:56:33 2021 +0200

    textops: docs update to state regex params expect posix format
    
    (cherry picked from commit b19aab7fe00f72d0c9e54a7a106ec7a065a3d02b)

commit 37814e67dac6772ff08e85133898182aea0f9de6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 28 10:35:12 2021 +0200

    rtpengine: docs - note that rpc reload is limited to 10secs frequency
    
    (cherry picked from commit a9c9b83c9dd1c09738b5a33362a8e339c20b786c)

commit 4dd8c636701c778f50d11a37265e9b6300f45ecb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 25 19:38:42 2021 +0200

    async: docs - added section ids for parameters
    
    (cherry picked from commit ed3b2506e13214d25a3dd78e487ed35ed13053ac)

commit a2aa9f66a3cb898d6cdfbf3aba6d3a8b8b804429
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 24 14:43:40 2021 +0200

    core: jump to error in case of unexpected comma for parse addr spec
    
    (cherry picked from commit 932e46b09176544cf6e085a32677980b26e4d2eb)

commit 2ce38e6ca5e822210e47b7966a335adcf8df7e23
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Oct 4 17:46:39 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 11ae371e59496c6ea3036c15d44afcd3488ca9e9
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Oct 4 15:38:23 2021 +0000

    topos: spelling fix in README for contact parameter
    
    (cherry picked from commit 0a9b039f79de90a45e263325cb247f49a31d9f36)

commit 548e14cb12a9d39374ee20c9e5ab35b84c609a0c
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Sep 28 11:27:50 2021 +0000

    topos: reset vavu variable, otherwise we will get errors in contact_mode 2 (GH #2852)
    
    (cherry picked from commit 5484b7a2bf662d3bced662d11a04e1f25f965023)

commit 3b523ff4d0bc276ece043f4d4d613662afc0a0d4
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Sep 22 08:46:41 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 42df8f8921cb0ec23e9dba7a964b9cb5060f1a63
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Sep 16 11:01:23 2021 +0300

    kazoo: docbook files space formating
    
    for formating used oXygen XML Editor 13.2
    
    (cherry picked from commit e4d5138e7873e811d36b99195a04ea8284ea8af6)

commit aaaed98b5a35bebfc198082109c0a51baf2aac75
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Sep 16 10:50:08 2021 +0300

    kazoo: docbook - fixed 'Document root element "chapter", must match DOCTYPE root "book".'
    
    (cherry picked from commit 60867418d596bf64126941ab258dae013b2649b3)

commit 238ad651d6bcef82f6396b850b439d132380a1c2
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Sep 16 10:49:19 2021 +0300

    kazoo: docbook - fixed 'Attribute "xmlns:xi" must be declared for element type'
    
    (cherry picked from commit ab3397cb609ac5d9a9b5e215ff5e7f48e35c6c2a)

commit 7e6cc68ee6ba80513c3e2138ad9ba408d6fe29a4
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Sep 16 10:35:14 2021 +0300

    kazoo: fixed json body in example
    
    (cherry picked from commit 38ba61170abdfeb189f7b05d6daf19f15378fab9)

commit 8a6c44d2f0504f81b2ef1d97732499b5f721b4a7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 20 07:22:57 2021 +0200

    core: parse identityinfo - log message on end of buffer
    
    (cherry picked from commit 1e212088091183aac8fcd418656beea523950870)

commit ecfcab9af6f3927c9dfe170826f1cbae5d28a447
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 20 07:17:27 2021 +0200

    core: parser - additioal check for content lenght spanning next line
    
    (cherry picked from commit bf6bd11a9b969c02a106f94ebf40cefbe8028456)

commit c1f5595eaf0b1f98cb5dcc00ab68c0e57bc4b053
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 16 12:59:38 2021 +0200

    sqlops: return 1 on success for kemi sql_xquery()
    
    - GH #2856
    
    (cherry picked from commit 32bf3eb2b27fbefe991a4aabc829f21ecc4e8829)

commit 4578fb676177e16324c2241820cf5f8042503a37
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 16 11:03:52 2021 +0200

    core: parser - print what is left in buffer if no EoH in get_body()
    
    (cherry picked from commit 63ecb827631189d27da6a85d41149985d95fc479)

commit 55312a08806027850840cf5b1f69ec7469965730
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 16 08:37:55 2021 +0200

    dispatcher: init attrs value when param not given to rpc add
    
    - GH #2854
    
    (cherry picked from commit 7894fb470e707622b077d565763c9cfb7c654da5)

commit b44879a17af848c3acb5524fe1058854c59c95fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 16 08:08:18 2021 +0200

    core: free params list at end on error state inside parse_addr_spec
    
    (cherry picked from commit f2b133e24e29f9f0ce7ba568a5d4564c7b0f8f31)

commit abbf1fde2efd02f24c806a5be296e4648060b0af
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Wed Sep 15 16:14:13 2021 +0300

    kazoo: fixed crash when json body is NULL
    
    fixes GH #2794
    
    (cherry picked from commit d8955fc350b48d0c4ca359d03cb9954a48998658)

commit 5a73c4b2363a533f8a9ed67aff3413223815c52c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 14 08:05:05 2021 +0200

    core: parse via - safe check for end of buffer
    
    - just in case it is needed to be used for non-zero-terminated strings
    
    (cherry picked from commit 1d3fde1205440296c1d6a54feee5a9d637055bee)

commit 796e2b203bbe09c6eb30321c579651d96c9b5de5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 14 08:03:47 2021 +0200

    core: parse content - group operation to avoid overflow
    
    (cherry picked from commit 685817088ff9c72c055e72091fa6f923b824c206)

commit 92083402b2768b0ab81072feefd94bf754730e7f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 9 09:05:54 2021 +0200

    core: parse_to_param() check for end of data on escape or start of value
    
    (cherry picked from commit 17a2eec2a8e47939782c1352ddb0fa4d3e73f9d8)

commit 04c7d84874bf60dabede57adb1fc64ebe2260420
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 8 14:57:52 2021 +0200

    core: parser - free unlinked local param structure in parse_to_param()
    
    (cherry picked from commit f624e1701088a94465a06f36a2ef27804b16ec0e)

commit c6bfa8d8ee14ea27158f09f3b0a04015a1252e1a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 8 08:04:06 2021 +0200

    core: log unexpected char in parse_param2()
    
    (cherry picked from commit a2511df29adc83544f047cbbdba7a8ba88272930)

commit a0d7837c934df7f4c2223ca7f90f7c439628caf4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 7 15:36:20 2021 +0200

    core: parser contact - proper update of length in skip_name()
    
    - stop walking name also for unquoted ;, being special char
    - small typo
    
    (cherry picked from commit 20db418f1e35f31d7a90d7cabbd22ae989b7266c)

commit 9ed8820aaf307a756f1f08ccff4459884f62b9a8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 7 10:44:17 2021 +0200

    core: parser contact - link structure once finishing current one
    
    (cherry picked from commit d6c52a6afdd38cc05a67a25e55e387ad77a9ddf4)

commit 62e8b4571f746819f460ae83b95e95ecb11472de
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 7 10:42:39 2021 +0200

    core: relocate parse_contact_hader() to parser folder
    
    (cherry picked from commit d2dbe98e072f59138b9974ab8f147bcfef5f983e)

commit d40de01737781f12cb2383a2891c8590cfb7deba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 6 14:56:36 2021 +0200

    core: catch empty string on parsing params
    
    (cherry picked from commit 76e6033ff14fec0f2db0b387803b4c5815a91163)

commit cd4c6ef6022fa6b4453c9e2feb091d3dd7776311
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 6 13:51:32 2021 +0200

    core: parser - ensure content lenght value does not exceed max int
    
    (cherry picked from commit f769011743feccde0fbca8531ab4e1b3563bf155)

commit 479a6669da3bd03a9bd54ea4612192ee0b31f86a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 6 13:21:33 2021 +0200

    core: parser - free local unused param structure
    
    (cherry picked from commit 116ef94420bf6ed9e0ae3bc08a612d8d0c4aa0a7)

commit c19e43e7bfa7d88b49312f1e83c3aae0756e4ae5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 6 12:59:34 2021 +0200

    core: parse content length - consider multi line header format
    
    - safety checks for log message when not parsing the message buffer
    
    (cherry picked from commit baed515e8aed8e5b505ff716eb57d0c60e582632)

commit 44c9608c1d1c82439e76dda861362b97a67f815f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Sep 5 14:25:24 2021 +0200

    app_ruby: regenerated api skeleton functions
    
    (cherry picked from commit 8b128b7dd544e3e30d615da39e84cec91588249a)

commit e50f95cda2190f29cc572ebc90b4d0e24e212e78
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Sep 5 14:21:30 2021 +0200

    app_ruby: utils/app_ruby_ctl - increade api skeleton functions to 1536
    
    (cherry picked from commit cfb5c453caaee341dc4ee1d9f2cdc5b1c3c87eea)

commit 86c5d807ceb896dcc554bf8f1b7fb93c68e69a73
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 4 16:15:58 2021 +0200

    core: print char code on error in parse_addr_spec()
    
    (cherry picked from commit 031fd46980b34a570385f49f168b13af43d84b87)

commit 1685ebd5917e763c347b6d4201b19b72e2ee274e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 9 09:11:06 2021 +0200

    usrloc: set tcp connection id to -1 for records added via rpc
    
    - cope properly with the handle_lost_tcp modparam
    
    (cherry picked from commit a0a97119bef7671f33734399dc9de4562abae39c)

commit b0125b66116468b1e5d0dd2ee4eb0eebb4e7ecb4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 9 10:27:01 2021 +0200

    presence: skip body operations on empty string
    
    (cherry picked from commit c849070371740c01f9f13a889c610de9132349f3)

commit d96e3527c20791cb2291aa91685d5bc85606eb56
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 9 10:25:29 2021 +0200

    tm: skip body operation on empty string for uac building
    
    (cherry picked from commit 34b61d3f1d6b5a0d4425f8edfa69d707cfa058b7)

commit b6380374f310a26c8a36f807d97ff0f415204be4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 8 13:30:31 2021 +0200

    sca: call unsafe find entry function to avoid infinite recursion
    
    (cherry picked from commit bd92fb59cce183008956ff060911cc14d3dfb160)

commit 0c9d7e3378a4e3ffb1e6a7e48f89b7649aaa6fb2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 8 10:00:09 2021 +0200

    dialog: rpc set state change to DLG_FLAG_CHANGED instead of DLG_FLAG_NEW
    
    (cherry picked from commit b86d2490f3b96c532cbe07259786757b3ab9fc02)

commit 5dbf99eb03aba76905aa926a55aedd3caa0fcd05
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Tue Aug 24 17:15:24 2021 +0300

    ndb_redis: fix SIGSEGV in redisc_check_auth
    
    - Added the check for NULL pointer. When TCP session to redis reset,
      redisCommand function can return NULL pointer.
    
    (cherry picked from commit c32a0be89cc92a0649277774d1e7aebf349b8b49)

commit 9ab3c60125291809ba082435a8d593f934cf76c4
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Tue Sep 7 00:35:52 2021 +0100

    textops: RFC2543 is broken
    
    commit cbcc27ef8b1674448bd8b1c45f03388e36f65f51 broke RFC2543 hold
    
    there's no need to check for sendrecv_mode, is_on_hold is either set or not in sdp_stream and/or sdp_session
    
    (cherry picked from commit 3ee0670ee9ca5e2812fd90cccef3a7ae4e55a3b4)

commit c01b0d942b9e26e2ce0cf266abdee6eb63e8e55e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Sep 6 10:46:31 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit ad5af6d3acd648e6bd57b923083cc26d3a3d0f57
Author: Anthony Alba <ascanio.alba7@gmail.com>
Date:   Wed Sep 1 07:26:08 2021 +0800

    tls: fix OpenSSL engine in child processes
    
    tls_init.c calls OPENSSL_init_ssl(); this initializes the
    global engine linked-list and this cannot be reset in the child.
    
    To avoid linked-list corruption we manually instantiate
    the engine object required for loading private keys instead of
    relying on CONF_modules_load_file().
    
    Updates to doc/.
    
    Addresses #2839
    
    (cherry picked from commit 238ef139bfbe145fb93e5c4b0730de58040d2265)

commit 185d8b24c411a38b5b2c2632abdbf90b3796fbf6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 6 10:29:50 2021 +0200

    Revert "core/mem: removed tlsf_malloc_bits.h"
    
    This reverts commit 2d7aee506c617f2d258719562f8debf2b4ba087e.
    
    (cherry picked from commit 90f4bd591aba7c6fbe234df1f3868edf4ff0a9f1)

commit 946ec97950e13196926487db817abf2d1655c6b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 6 10:29:29 2021 +0200

    Revert "core/mem: tlsf malloc - sync'ed with v3.1"
    
    This reverts commit ddafeebfaf1537c684eee22be228867563dd02ac.
    
    (cherry picked from commit 39c53260599405db4626c8a691552f3aabd3448c)


===================== 2021-08-25 Version 5.5.2 Released =====================

===================== Changes Since Version 5.5.1 ===========================

commit 0d6832949e5e3e554d7a492f32448281d4988053
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 25 08:29:41 2021 +0200

    Makefile.defs: version set to 5.5.2

commit cd816b80b20cd9560a643d016094ca2975911c34
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 25 08:21:18 2021 +0200

    pkg: version set to 5.5.2 for rpm and alpine specs

commit e67094ccdf0288b54c6808bf7bd2469ba2bfc97e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 25 08:16:58 2021 +0200

    pkg/kamailio/deb: version set 5.5.2

commit 087167c034afff943c217b832b9689cb61133188
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 23 20:45:38 2021 +0200

    kamctl: regenerate db creation scripts
    
    (cherry picked from commit 5ad81a45bb28ca419d9285cc59816db0fa1afefd)

commit ab86966aca142eeca5435f8567fe8cc698500cd2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 23 20:43:28 2021 +0200

    lib/srdb1/schema: use proto_addr_len from sip_trace from/to ip fields
    
    - size of fields is now 64
    - they store proto:addr:port
    - GH #2831
    
    (cherry picked from commit 4decc7ca50089f94d4fcc2ad4af2b4e1089986e7)

commit d4ea970ecbb4688cdd30890229db4418cb0cff29
Author: Luis Martin Gil <luismartingil@zaleos.net>
Date:   Thu Jul 23 10:04:04 2020 +0200

    tm - remove not used route_mode var
    
    (cherry picked from commit 6619be46249dfe0b2f2cbc863cb8b2f44716122b)

commit b102e101747aba371639616d8520fe979f705206
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Aug 20 10:01:33 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit cf93317b4252fbae7bbc640dcc150fc52e5a196e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jul 29 10:46:31 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 139890860907e4f2fc55e05e2e9fe490fc76c4e1
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jun 24 18:46:33 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 494354527e2cbe180dfad3a42e3f89fed28e866c
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jun 15 15:46:25 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 345e57ec3852bb0e9b3a11f35c4d56098aba1fb6
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 18 21:16:31 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 8f14c0838912c18b8e244a904f96146c610fca91
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed May 12 16:16:33 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 446e716ff4c7e853ac9239cff8784cd30b7b8e8a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 4 00:46:15 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 9bb2c11de3966c40d84896cf7077131f0bc14f28
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon May 3 12:46:23 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit a629760eaff8cac4679482f616c8288623c88ec4
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon May 3 10:16:38 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit de84b32eb42e19f8626947da1c567eea2d0869fb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 20 07:03:45 2021 +0200

    core: check message snd and rcv proto for COND_IF_DIFF_PROTO lumps
    
    - besides comparing the protos of rcv and snd sockets
    
    (cherry picked from commit 31377b160df563a222bec5a1bf92590635429240)

commit 52978a0873eb068be31ca0688e64c88e4872efac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 19 18:11:04 2021 +0200

    core: check message rcv and snd proto for diff realms lump conditions
    
    - in addition to receive socket and send socket protos, which may be the
    same in cases of tcp/tls+ws/wss using same ports
    
    (cherry picked from commit 871f8113612148a49e69218e70ed7f475fb665db)

commit 6b1fb350458ad19192327e0dcedafa4749b6eb7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 19 14:56:50 2021 +0200

    lwsc: docs - updated references to libwebsockets version
    
    - GH #2749
    
    (cherry picked from commit 01afcc7fb2468c21a8e1cfb1a717fa96299794fa)

commit 7e3e0a81bf458bd90bc1454c81bf21d64ed9212c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 18 18:08:38 2021 +0200

    cplc: use cpl_ prefix for internal time recurrence functions
    
    - avoid global symbol conflicts with core tmrec.c
    - GH #2827
    
    (cherry picked from commit 431544864c97d1848db1c0c42a03251a214f04cd)

commit b49f23af03d5e2f0364610739e7ef6e07cfd54a5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 18 17:39:25 2021 +0200

    drouting: added dr_ prefix to internal time recurrence functions
    
    - avoids symbol conflicts with the core tmrec.c
    - GH #2828
    
    (cherry picked from commit 33ea38f35f9911a26a757dbfa22065eb80a9a24a)

commit d8ff1845c34a7f9d8e6911ae3d2055b122eb3b79
Author: Alan Evans <alan@kageds.com>
Date:   Thu Jun 24 10:24:39 2021 +0000

    kazoo : fix routing of reply events
    
    success events should be routed to onreply_route[]
    failure events should be routed to failure_route[]
    
    (cherry picked from commit fb2eee3e175040fef5e76cbed11430976f62df32)

commit 680d98caccc0216f43c2b5de83935dbc4853ab9d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 13 08:57:10 2021 +0200

    core: ip addr - use POSIX INET6_ADDRSTRLEN and INET_ADDRSTRLEN to define sizes
    
    - set the values of IP4_MAX_STR_SIZE and IP6_MAX_STR_SIZE based on them,
    if defined, or to 15 and 45
    - cope with IPv6 with IPv4 tunneling representation (RFC 4291 section 2.2)
    - cover the requirements of using inet_ntop()
    - GH #2823
    
    (cherry picked from commit 22a72f3a7725d56f00e22bdc52d44bd53da7c091)

commit ad5f0f522f43a69e0f7f930cac5aefc3f21607df
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Wed Aug 11 15:42:24 2021 +0100

    tm: restore xavps & flags after rebuilding message
    
    (cherry picked from commit 7ee642c58991e594f38247ab0751fadd07ce758c)

commit dadac04b0153a29ed7c1ebb48e887c06989fa49c
Author: Luis Azedo <luis.azedo@factorlusitano.com>
Date:   Thu Aug 5 12:32:32 2021 +0100

    textops: check session sendrecv_mode in is_audio_on_hold
    
    - if sendrecv_mode is not set in media, check if its set in session
    
    (cherry picked from commit cbcc27ef8b1674448bd8b1c45f03388e36f65f51)

commit 01ab21c4ba28259be72fd704afd389132260e258
Author: Luis Azedo <luis.azedo@factorlusitano.com>
Date:   Thu Aug 5 12:28:04 2021 +0100

    core: parse session sendrecv_mode in sdp
    
    - some user agents send a=sendonly as session attribute which apply to all media streams
    
    (cherry picked from commit 8da4477fd6d9590b9946071b9ac2a778b1d55d01)

commit 105b15422f611ba1dcc59be30f7f4d474b294d03
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 4 14:15:09 2021 +0200

    misc/tools/protoshoot: removed svn id and history
    
    (cherry picked from commit e3875c01adf576f179374a926e69e99c0094e5b4)

commit 96f24caed768b1b382b166eea835e555eac5e933
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 3 08:52:19 2021 +0200

    sdpops: refactored sdp_remove_str_codec_id_attrs()
    
    - line oriented matching of codec addributes
    - support to remove a=rtcp-fb per codec, GH #2755
    
    (cherry picked from commit 1a15a18eacd5764e9ba6240acbe37e645368f825)

commit ede5a8399662903c2aa081b7010603398a598e94
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 3 08:51:11 2021 +0200

    core: parser sdp - shorten debug message with sdp line
    
    - was printing the rest of the body, print now max 20 chars
    
    (cherry picked from commit 4191a8193025499df64f13d59f5716563e573161)

commit 48eb41654859e6130c82c46400b529f2af9ce908
Author: FredWH <wh720@139.com>
Date:   Mon Jun 28 14:46:25 2021 +0800

    db_redis: fix broken pipe issue, if redis server with timeout setting.
    
    - issue #2764
    
    (cherry picked from commit 7cec977f8e12bbeb0309d903e02461d1ccbf41a8)

commit ba8a06d2988e41b09947d3ae3386a13e3d8415b9
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun Aug 1 11:40:26 2021 +0000

    core: enables compilation with debug symbols by default for other architectures
    
    - enables compilation with debug symbols by default for other architectures in core
    - pull request GH #2811
    - closes GH #2789
    
    (cherry picked from commit ed46adad82e7b6569eb42704c5460263d2af75f7)

commit 5ecf17bc2d308141534bdaf3a312704daf0db850
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 30 13:31:30 2021 +0200

    sworker: KSR.sworker.active() exported to kemi
    
    - equivalent to existing sworker_active() config function
    
    (cherry picked from commit 9f140ce93b1f6db649cd0e8eda26444d6b186231)

commit 75571e1739470877365e7c25548ef282e81283a1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 27 16:52:12 2021 +0200

    core: pvapi - reinitialize _pv_print_buffer_index when adjusting the slots
    
    - GH #2798
    
    (cherry picked from commit 61cbb5e861aeb9b7f69ebb8d284e3ded0ede9cd8)

commit 044a2e665ce5612980b203c705f75ee786be5316
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 22 15:34:25 2021 +0200

    sworker: docs - fixed small typo
    
    (cherry picked from commit fc62ceeb6d625acda6952486031efa1fe2945768)

commit d20841db501fbc1a4053a6cb7293d3fa3f3fee94
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jul 27 10:52:21 2021 +0200

    pv_headers: pvh_set_header, remove values to set null when necessary
    
    * fix pvh_set_xavi for SR_XTYPE_NULL
    
    (cherry picked from commit af926514ac3e70dff51408baf326b29bce4eecfc)

commit e18c24b88403e61461feace3b13fa59f948f1082
Author: Victor Seva <vseva@sipwise.com>
Date:   Fri Jul 23 15:56:11 2021 +0200

    pv_headers: fix removal of all values when using PV_IDX_ALL
    
    $(x_hdr(whatever)[*]) = "hello" was just removing the first value
    
    (cherry picked from commit 9ad96c08e0deb759297b2d402295691d8dd657d5)

commit 1f9f6fff6e0ab21e460538ffd1e54b6c60f54f7e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 12 14:01:40 2021 +0200

    core: set MAX_WARNING_LEN to 1024
    
    - 256 can be too short
    - close GH #2799
    
    (cherry picked from commit 0d06e164efa720d91d49995585e80c9082ce3b21)

commit 304ac124e6ad86b60071b6c5ecf861e03b7e492b
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jul 8 14:57:27 2021 +0000

    topos: fix missing xavu_field_contact_host evaluation for contact_mode 0
    
    - fix missing xavu_field_contact_host evaluation for contact_mode 0
    - it works currently only for contact_mode 1 and 2, but not for default mode
    
    (cherry picked from commit 4c6abaf9066aebbd304391dd6730cad7ee592611)

commit 65249c184f5fd54b3ea16edbda518ac7ff442d86
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 1 11:17:56 2021 +0200

    core: fix building quoted value for #!subsdefs
    
    (cherry picked from commit 879f8c4e52ab7f7f489107f18e2c80795c788bdd)

commit 6bf1c6af774f6b26597e639e90ce7cb584b626a3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 1 10:19:08 2021 +0200

    core: ppcfg - clone value for substdef
    
    - GH #2788
    
    (cherry picked from commit 56d41f6238f39d0046c97527abcb23b8dd7924be)

commit 6751ccf10f7860098cfc080e492aa2e35107fdf2
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Jul 1 10:04:10 2021 -0400

    secsipid: fix documentation for secsipid_check_identity_pubkey
    
    (cherry picked from commit 1e4911d8a92e9e2ff25457d76d47bee111433947)

commit abbe78aec28d46b74f59d14334b6e4871915ea4a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 29 09:25:30 2021 +0200

    core: clone value for loadmodulex
    
    (cherry picked from commit e04890fe90d6e5ce879f968eb689e8616b318d54)

commit 9dc2e9b4e723f865fa92ed03f9c9b90473c83e94
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 29 09:18:05 2021 +0200

    core: clone modparamx evaluated values
    
    (cherry picked from commit 68db24577dae35de1e9045f994d9a751b50ad14d)

commit 557ac56a6ec6b4ca3d76a57ff8b21c64027791f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 29 08:55:32 2021 +0200

    core: str list - added function to insert a block string in list
    
    (cherry picked from commit b92b931c26c199b756fd08e9c80cc9305469fd2b)

commit 2dbf48822451433f4ee8863a954a4c40da0eb2bf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 29 08:23:56 2021 +0200

    http_client: removed function names from logs
    
    (cherry picked from commit 84d245fb4eda7690a89b4057301f81685a9452d8)

commit 459f40b52a8a6f8b2ef70a6986c686448ea572a8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 29 08:09:22 2021 +0200

    http_client: clone name in http connection structures
    
    - use name to lookup private memory structure, hash id is not unique,
    can be collisions for different names
    
    (cherry picked from commit 9429083c87b1323e31983cc71551676c199bf640)

commit b27dc141ccddfb3e0f77399ead8b2b158942de69
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 29 07:31:10 2021 +0200

    http_client: check if shm is initialized in curl_parse_param()
    
    (cherry picked from commit 7741ad7979d54fb4ee1247760d8d5c3666353a96)

commit a7007532ff6d351629bf1467a1e74b29c0125917
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 24 14:24:06 2021 +0200

    tls: info log when libssl is linked static
    
    (cherry picked from commit 365e7e46dfb4f605bafe43b57e37e1ff68077567)

commit 1ff0d8bce7a84a2afca206cd5efee781edc264d6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 24 11:29:40 2021 +0200

    tls: debug messages with memory management functions
    
    (cherry picked from commit 81ace1c94369fb98081918acb55a6a13686784e3)

commit 390c668e03d3347dbf429e395f7e5de230523629
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 24 10:15:23 2021 +0200

    tls: Makefile - pkg-config for libcrypto
    
    - some distros have it separate of libssl
    
    (cherry picked from commit 2a9e8b9d5c5556a10229813c8878a81933325a01)

commit 6a527503a653d554ffb38f8bd7a40fd75441ff4d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 23 13:05:44 2021 +0200

    http_client: docs - fixed small typo
    
    (cherry picked from commit 1f67ac5a62b58b35df52aedbd1a3d2234a72817e)

commit cf6c70f00fda196ac9eba4a2ccd24b382d41b240
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 23 08:48:10 2021 +0200

    xhttp: warning log if tcp_accept_no_cl is not set
    
    (cherry picked from commit b8fbf5e8c199b8277053f9c15231695a16058d6e)

commit 9d7301652ca7f051df4a23b6be3a83d3f21baa5d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 21 09:43:55 2021 +0200

    websocket: docs - added tcp_accept_no_cl=yes to example
    
    (cherry picked from commit a05b4d7c2e413032b1a63f3d017243446a0bc6ec)

commit 42df0f0b58a2b5780a9bf613a5a29d4af27b4f67
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 21 09:42:28 2021 +0200

    xhttp: extended example for event_route[xhttp:request]
    
    (cherry picked from commit 195de260f102f1a016ad7bd1021571c1dd8a983f)

commit 5ebbb557729df2f888f288ac21f61a662f7d8aa8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 17 16:40:39 2021 +0200

    dispatcher: print eol in some log messages
    
    (cherry picked from commit e6f4e929efb61a1a51aa1b4b5587999acc8dc55d)

commit 2ea0baf9cf2cb0b30e6474cc150eb3580d8cdf5b
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue Jun 15 13:03:07 2021 -0400

    htable: fix documentation
     - reported by arkadiam on Github
    
    (cherry picked from commit ee9c2bc2046103f0f7888c078b1f88d0befd6f7d)

commit efe83bb89e9582b5c58a85626cc45d87dc124205
Author: SPChan <shihping.chan@gmail.com>
Date:   Fri Jun 11 07:51:11 2021 +0800

    pkg: enable RHEL7-like distros to build with OpenSSL 1.1.1 [skip ci]
    
    (cherry picked from commit ecc2cc69b08e797ca954af233c229ed44475ce33)

commit 01d43e2d6f78fff7fca8d6fc00adfab7f62a5320
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Jun 14 15:31:32 2021 +0300

    pkg/kamailio/obs: disabled lwsc build on CentOS 6 dist
    
    (cherry picked from commit 03c2ea28767106333ee04c5e19ee490c010dfb58)

commit 0e8bb2fc46b74b5171edeb64776d280c35739ce9
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Jun 14 08:05:41 2021 +0300

    pkg/kamailio/obs: simlifid module definition for RHEL dist
    
    (cherry picked from commit e7a14f37c98e2bbfcf234165dc5dfd4121db5b5b)

commit 0f0e7e8f139042e2dd03e01a6ac66d32727dc69a
Author: SPChan <shihping.chan@gmail.com>
Date:   Fri Jun 11 11:23:55 2021 +0800

    pkg: add support for AlmaLinux and Rocky Linux
    
    (cherry picked from commit b3d3cb366b67941ecebd297038522580114e3a0b)

commit 307af87b17fdadce2d38794b85933f6b202d1313
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Jun 15 09:59:00 2021 +0000

    topos: documentation fixed for contact_host xavu parameter
    
    (cherry picked from commit 40073c9975ee256cebbfe60f27d1b07c977395d0)


===================== 2021-06-15 Version 5.5.1 Released =====================

===================== Changes Since Version 5.5.0 ===========================

commit 8aa8df7e2c662a349150c4f4c9ea49d088f56254
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 15 11:24:46 2021 +0200

    Makefile.defs: version set to 5.5.1

commit 16f45aa4a790be921abef7569e809b20ba295226
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 15 11:19:59 2021 +0200

    pkg/kamailio/deb: version set 5.5.1

commit 98ce167bcf88ad6bb16b8d52a5998546bfc47428
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 15 10:45:10 2021 +0200

    pkg: version set to 5.5.1 for rpm and alpine specs

commit e9484db689378fce6f52d8e796b22553c2a29eae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 15 09:58:31 2021 +0200

    rtpproxy: removed unused replace_sdp_ip()
    
    (cherry picked from commit b92f1ab7c711f7b61abadb706f9a4cfbb2cf0dd4)

commit ccd29983f538d13de3f5d07584d45020ca75f174
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 15 09:54:32 2021 +0200

    nathelper: check length on new condition inside replace_sdp_ip()
    
    (cherry picked from commit 521485c8f25f55cb3045ab2b33232c7026d8527d)

commit 8bc4b12270e932febcc77fab65546f534001cc30
Author: Victor Seva <vseva@sipwise.com>
Date:   Tue Jun 8 15:03:21 2021 +0200

    nathelper: don't fail if 'a=rtcp' has no IP
    
    Examples from RFC3605:
    >    m=audio 49170 RTP/AVP 0
    >    a=rtcp:53020
    >
    >    m=audio 49170 RTP/AVP 0
    >    a=rtcp:53020 IN IP4 126.16.64.4
    >
    >    m=audio 49170 RTP/AVP 0
    >    a=rtcp:53020 IN IP6 2001:2345:6789:ABCD:EF01:2345:6789:ABCD
    
    fix #2768
    
    (cherry picked from commit 71441c08970c307e2ce17b2dd292630ea615079c)

commit 62320e6eaafb9870bb5911f5c3c9b7854baa739d
Author: Robert Boisvert <rdboisvert@gmail.com>
Date:   Wed May 19 16:19:24 2021 -0400

    modules/mohqueue: force RTP to follow SDP
    
      - version 1.8
      - use rtpproxy r flag to force RTP to follow SDP
      - fixed compiler warnings
    
    (cherry picked from commit 0e51ce1075f206a4441333f72c69fcc56f8d6855)

commit 3e0f634c1dd11702a97cc2fe2c3f70f1f933a4f3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 14 16:56:21 2021 +0200

    secsipid: explicit STIR/SHAKEN reference
    
    - help matching on search terms
    
    (cherry picked from commit a59ea8920c17aca29ffa734ca0babb107a415fde)

commit 4399fe52432f4a7c36ee161382bc4a0da3508c9b
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Thu Jun 10 05:03:13 2021 -0700

    rtpengine: ignore mos 0 when selecting min-mos (#2771)
    
    and computing average mos
    
    (cherry picked from commit a378f97adac89077de2fb162ec20295f6e4352fe)

commit 66370c473967d567452a6cf26b8b3496cb1386be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 10 12:15:29 2021 +0200

    kamctl: update name to globalblocklist in EXTRA_TABLES
    
    - GH #2773
    
    (cherry picked from commit 90fa160b5d4a7155fc3d82f39932ac0e9d74fae7)

commit 903e41468a00edeff52cbf1e3c0053c82860c92c
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 10 12:17:54 2021 +0300

    siptrace: fixed IPv6 without brackets
    
    more details GH #2775
    
    (cherry picked from commit 417eb2a7052a9354712663cca9e3bc075a3f69c0)

commit 7b89c5e6abe5f4ae3ee55d9c938c865806f29dec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 9 12:15:38 2021 +0200

    pv: added missing WS and WSS to $K(key) variable
    
    (cherry picked from commit a8c9d0ae4fbafba89ef12737419037d141eed1d3)

commit 3845972598098add3996b19c6cedfbfb4d4d2ee6
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Wed Jun 2 10:02:53 2021 +0300

    smsops: support for 7bit special chars
    
        - Added support for 7bit special chars
        for MO/MT SMSs.
    
    (cherry picked from commit f82c4775efca0580401f4b1a48dcb4d2cf26814f)

commit 7192139d77f844cd927c326ce16cadfc63378b35
Author: rodolfojcj <458749+rodolfojcj@users.noreply.github.com>
Date:   Tue Jun 1 08:06:32 2021 -0400

    app_perl change to ignore "die" signals from eval blocks
    
    (cherry picked from commit 50557b8433e137a9095b4d48df8ac9b8c3fd8807)

commit d1c831288746bac7850343da10ae02099cb7c80d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 4 09:08:06 2021 +0200

    dmq: warning about protocol made info
    
    (cherry picked from commit b775bbdff501de0ca1f1a0bc1ab39a3b790c166f)

commit 18e85c98bb6eebf9afe83aaa0a832d1c4af46e62
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 3 15:29:50 2021 +0200

    pv: test for HDR_ERROR_T after header name parsing
    
    (cherry picked from commit c264fbc66a4690b073c72ffa8fc095227ce0ae8b)

commit b6428ca86c821ddf74fd4ea8a17aecdce39934f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 3 15:28:31 2021 +0200

    dialog: safety checks for bind addr fields
    
    - they can be null on non-local sockets
    - GH #2757
    
    (cherry picked from commit 490ae559d2b77b13b3f3831e7ff1aa58980e4086)

commit b5041e2c4a44843318fcd69d092342e2b29532f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 2 18:57:53 2021 +0200

    core: kemi - check hdr type HDR_ERROR_T after parsing
    
    (cherry picked from commit 785bbaa0f16f83353ad1d776816f439608a67858)

commit 97f9ede8b82cff8063c3fd1908d3c323997e9566
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 1 09:50:31 2021 +0200

    secsipid: note about libsecsipid location and failure return codes
    
    (cherry picked from commit 59719a1ac97337ca7f8b83b0e8a9d63bf6ec0c7e)

commit 93dc038f3f1f854b1e0987ec28e49d8a70293e19
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 31 17:23:42 2021 +0200

    async: safety check for async ms list
    
    (cherry picked from commit 5b0e74c1832d2d09fe36424e1e1aaaacde920b31)

commit 45310834376d9eee2778e16c5fdc706ab1e6f97b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 31 15:02:01 2021 +0200

    secsipid: log message on identity generation failure
    
    (cherry picked from commit 4b7eedf5af9a461d5a1de1148c814faa5db8cbaa)

commit 84c87444a50c4e46c3786904378e980f0262309f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 31 13:36:11 2021 +0200

    ldap: several functions exported to kemi framework
    
    (cherry picked from commit 2d4b4939d1845fffdc3fa3ced9889720d0213d47)

commit 19901d0cdb6cf06a84315c19a27986bca7a05025
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 31 12:05:01 2021 +0200

    core: parse via - fixed whitespacing
    
    (cherry picked from commit 01664d1d82dcfe952fce29033b4fcd5e44cf2319)

commit 7323d812dc4a39c0e60f11668e09a50ef586a8f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 28 13:54:08 2021 +0200

    mtree: check if pv_count var is r/w
    
    - reported by GH #2750
    
    (cherry picked from commit 63b0345207ba67fcc6290d6dfc55f99ba58b13c9)

commit 3bfb1773c01731177824b907180a7eeb7e43d3af
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri May 28 09:38:31 2021 +0200

    mtree: Fix some typos, adjust some formatting
    
    (cherry picked from commit 316c80607243387015e35ac423238c5a32401a44)

commit f481071a671009f1dcc9fe5d36870e06edc2ec4b
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat May 29 20:41:53 2021 +0300

    sipdump: fixed typo
    
    (cherry picked from commit 7f226f5b08c93ed0a43113d7947730329ff7db38)

commit c20487a44aac003414378202935586b746bc2f4e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 27 14:03:01 2021 +0200

    pkg/kamailio/deb: missing lwsc module files [skip ci]
    
    fixes #2749
    
    (cherry picked from commit f49d97fc92d3dbfa11c11ca453b9639aa7f81221)

commit b62a773c8f0c1daf1aa3d1cd57845d414eea5bac
Author: Boris Korzun <korzun@miatel.ru>
Date:   Tue May 25 17:14:18 2021 +0300

    pike: fixed regression
    - removed unnecessary NULL-return from mark_node() after previous commit
    
    (cherry picked from commit 79fbb7c6df5d4c742b1283b752c2df0f51e77f09)

commit baea325ab832a9f96e70c41f3aa542b7b99553fe
Author: Boris Korzun <korzun@miatel.ru>
Date:   Tue May 25 17:00:19 2021 +0300

    core: ut - fixed str_casesearch()
    - fixed str_casesearch() behaviour on text and needle were equal
    
    (cherry picked from commit c146ef490e1d7d35add7d3ee593f6d3d20e327ad)

commit 655518a94d413250c4b0246a5e91df7506a5427d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 25 10:24:23 2021 +0200

    core: clone define value to avoid losing the reference
    
    - impacted also by substdef
    - GH #2736
    
    (cherry picked from commit 84055b2fe963e01a217149991dd1c8cbe8a8aeec)

commit 60da6822803c04d55f0235984239afb188faef89
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 22 17:53:50 2021 +0200

    pv: proper increment to check escaped char for s.select
    
    (cherry picked from commit ffa19ffedeb8db8ac38a742ae8b686525fd906ea)

commit dbd8e3899335eb8795763fd52b1f91aebfad1c92
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon May 24 08:26:18 2021 +0200

    snmpstats: Fix typo in MIB
    
    Reported by arkadiam on Github
    
    (cherry picked from commit 7f017707c91659641ce9ca87ee4149b2e39379f7)

commit efb164b78ac97d83c12846a35c60fa47fd2d984c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 21 14:22:33 2021 +0200

    pv: support escaped chars for s.select separator
    
    - \\, \n, \r, \t
    
    (cherry picked from commit f2973cf0dce0de5c002ac8ee61ac7e829823ed0e)

commit 2273d7d856b5c1fca1ec24fbb6ee249793ea6719
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 21 08:40:21 2021 +0200

    pv: more details in err log message for s.select parsing
    
    (cherry picked from commit 02ad9e1b87f89b9456d0d85e16c2fe0cda67ab64)

commit 10c497f48f2321267a02a891af027a228165510e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 19 08:11:19 2021 +0200

    pv: remove verbose debug message
    
    (cherry picked from commit 1334265846ebe6a06e7e139421778e960cb54c7a)

commit ef765d3f4c9fb4bfa5949b2e10f208cd44c5e1db
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue May 18 15:00:23 2021 -0400

    xhttp_prom: fix small copy/paste typo in documentation
    
    (cherry picked from commit 2967a41f5537df81745a71226ba9e793ccbdd453)

commit 1f034bd28373dbfcdc2894aea47e56c68e313976
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 18 08:18:12 2021 +0200

    kamctl: updated db generation scripts
    
    (cherry picked from commit 58d5f06aacce6ba7bb26f7be928b9bf71d39f9c3)

commit aed9b8f0d19eb6823223c6b95b730a046fa7ec37
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 18 08:17:07 2021 +0200

    lib/srdb1: schema - version set to 5 for uacreg table
    
    (cherry picked from commit 8da9b7936c1be8b5c4df80d716344dfa4461b494)

commit 59e7e30cc20cd8269bb60483ac709d8b5a7ba916
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 17 08:08:20 2021 +0200

    secsipid: clod dlopen handle on mod destroy
    
    (cherry picked from commit 4752ad434c087ac3b11968e5241c61e9e1f903aa)

commit d2fd064af771df2ffe6c7a78c05d75facdfa50bf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 13 17:53:18 2021 +0200

    topos: init xavp and context modparams to str null
    
    (cherry picked from commit 5e3f7e1557d90a3e6f40eff41cc0b0bb317ab544)

commit 6a5a61bfab80116338f6a9c91ed7ec5f7b98923b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 13 17:41:40 2021 +0200

    core: xavp - safety checks for name len
    
    (cherry picked from commit d22d812da1c3b2a2f65f142ef5ed5fa07e8ab072)

commit 5bc7e1d636b617839f697838e326347b19cb0fcc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 12 18:14:29 2021 +0200

    presence: set correct type for local_log_facility modparam
    
    (cherry picked from commit 5f4662a95a97d5224bf03745a9a354a41925706c)

commit 9fe76d00f32aa3adfb0bfb2c7cbe325681089037
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 12 08:32:37 2021 +0200

    secsipid: docs - set GO111MODULE=off in installation example
    
    (cherry picked from commit ecc8a34dae44883b125ae7a3da59d4a332e0b48c)

commit c1fad6fd1c05e86f974c3771ba246ee2e05abf45
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 8 23:30:22 2021 +0200

    tcpops: use fixup_igp_all() instead of fixup_igp_null()
    
    - needed for functions with many parameters
    
    (cherry picked from commit 02240711239149e2f5c4890a70ab158d10fa8187)

commit b57ab05589b1982df456b39bf8f26359e73a63cc
Author: korayvt <koray.vatansever@gmail.com>
Date:   Tue May 4 15:07:38 2021 +0300

    usrloc: unnecessary periodic db queries cancelled
    
    (cherry picked from commit 42bc79b3b617632b6f83e1352b5cb8266706d7c0)

commit 6d71c9399027f2ed41cd6eae576d862440bd4fd4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 6 12:27:05 2021 +0200

    dialog: ignore 408 on keepalive with cseq 0
    
    - some UAs do not reply at all
    
    (cherry picked from commit 7aa8056a5e3a9804133cb9ff79640d8116be63da)

commit 4a4835e122bb3a53d2a1794640e1dec66736a897
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 6 11:37:58 2021 +0200

    lwsc: set ws_ping_pong_interval only for libwebsockets 3.x
    
    (cherry picked from commit 048ed4210d52fb817ae6b03756d95e9b25899330)

commit 4f930b7618e874a651083c5e4de55d9ed0027bf3
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Wed May 5 18:40:05 2021 +0200

    lost: use of parser functions parse_pai_header() and parse_from_header() related to #2723
    
    - lost_get_pai_header(): parsing method update
      lost_get_from_header(): parsing method update
    
    - memset(): fixed number of bytes to be filled (unrelated)
    
    (cherry picked from commit 791672393aeba320fd1608746fb61e9a96e19d06)

commit e96c35170ebb2b01fb25c4e9f422119696924086
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Tue May 4 23:24:53 2021 +0200

    lost: change in the method for parsing the From header in lost_get_from_header() related to #2723
    
    (cherry picked from commit fe6923cd8e995c400fc1838304c95142cc00273e)

commit 33db4ffc558b7a9d4c291c929b9e73b3cf8b16f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 5 18:56:04 2021 +0200

    tm: lw parser - fix matching To header in lw_get_hf_name()
    
    (cherry picked from commit 4ab6e05df56afb7802a2cd125e89b9282a1c6c85)


===================== 2021-05-05 Version 5.5.0 Released =====================

===================== Changes Since Version 5.4.0 ===========================

commit 8fda0163b93d4f94b0398c529a90db300a1187f8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed May 5 10:33:42 2021 +0200

    pkg/kamailio/deb: version set 5.5.0

commit 03339e971ed3c9a9d79812d346805db6eeb2c98a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 5 10:29:41 2021 +0200

    Makefile.defs: version set to 5.5.0

commit cbdf8d8c4c142dba78fd767986f54620a306e077
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 5 10:23:47 2021 +0200

    pkg: version set to 5.5.0 for rpm and alpine specs

commit b2d6fefef14d20fc9291bfff5f959860895a7bff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 5 09:23:15 2021 +0200

    ndb_cassandra: update include paths as expected by thrift lib package
    
    (cherry picked from commit 3511e0a975395a14f48fe5b6d60435315f7638dc)

commit 06921b71ee42a8c88229595a619d3390d0090b75
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 5 09:12:25 2021 +0200

    ndb_cassandra: Makefile - use pkg-config if available
    
    (cherry picked from commit 4b9fe7b72f8d9b53dbae24eb7bd269d527642f71)

commit ff2ff19af7087e188d3b7c100f80db2c8c534ca9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 4 14:08:59 2021 +0200

    siptrace: debug messages on net data callbacks
    
    (cherry picked from commit 95f3b4dea5d3f0d57ba79c8e8cd34d2ab30c7193)

commit 2d259465de5224dae4afe533d6ed7b104c59762e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 4 13:30:21 2021 +0200

    tcpops: use fixup function from core, remove internal wrapper
    
    - set also fixup free function in cmd exports
    
    (cherry picked from commit 12fca1c369b6698cace66de171dcb166be8ae831)

commit 2b9dc4713d85b1367631871205547aaf25a822a1
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon May 3 18:20:05 2021 -0400

    siputils: update docs for encode/decode_contact functions
    
    (cherry picked from commit bf73b0d72177828e3c35f0fe318f7ef654c89b6b)

commit 29edc5113c5e398e427026f88bea2877cdb94fab
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 3 17:44:23 2021 +0200

    pkg/kamailio/deb: version set 5.5.0~rc1

commit 27520fa3293d45d9e407bc42f39d1d31e94c69d6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 3 16:46:12 2021 +0200

    pkg/kamailio/deb: version set 5.5.0~rc0

commit d69c03625fad8c41eb18e23ee928b9f679140ef6
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Mon May 3 11:00:41 2021 +0200

    lost: lost_held_dereference() documentation added and code comment corrected
    
    (cherry picked from commit ae13686c80b03693ee2195d38a8c8eb0ede0d0dc)

commit e7b17ec5e334ac07303f341e3128645aa569069a
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Mon May 3 09:24:15 2021 +0200

    lost: response code fix in lost_held_dereference()
    
    - HELD response check returning
       200: received 200OK but nothing found (shall not happen)
       201: received 200OK and loc reference found
       202: received 200OK and value found (pidf-lo)
       203: receiced 200OK and value + reference found (pidf-lo)
    
    (cherry picked from commit 79c6bae4af6c9c9c392b05928ca72afb14ccfbf6)

commit 39143255145ba6387cb001be4c70decfd3811aec
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Sun May 2 17:28:44 2021 +0200

    lost: error response fix in lost_function(), lost_held_dereference() and lost_held_function()
    
    - error variable was set to 0 (clean up) before return. Lost functions now returns 500
      in case of LOST/HELD server error, or 400 in case of internal error, otherwise 2xx.
    
    (cherry picked from commit 201c219a5496924e701cc2b17fb0a439ee530813)

commit 6c6d4cb2823c5d9f1c02bbde695d8769cb87fb6c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 3 10:21:41 2021 +0200

    ChangeLog: updated content to prepare for 5.5.x series

commit b5044dfea4202b10040b42fa478177cbc3b0f2d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 3 07:59:54 2021 +0200

    topos_redis: store context field
    
    (cherry picked from commit a1a1b548e9362b2b478e0551042e86e294249ddc)

commit f76512226f8db95b7ecd8c881475e2f53f2aa900
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 2 21:42:48 2021 +0200

    jwt: more details about claims parameter format
    
    (cherry picked from commit 7d24a7afe02bf1f7c8ddddfcfc9f1c287296c996)

commit d06a4f5096a3044c2d46a49adb1ff2ea38d2eba8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 2 17:43:02 2021 +0200

    jwt: handle claims that have numeric values
    
    - values in between quotes are string always
    
    (cherry picked from commit c0532161f18cce514adaf2b5d784999319445911)

commit 238c9808d42186282d0983f1efff2f4b60c4fc2c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 2 17:32:28 2021 +0200

    core: ut - functions to convert from str to long
    
    (cherry picked from commit 80c906d5418ece5e4a3e993cc632a0e6ae3d24be)

commit 3f5c99f1bb3bbfdfb84416e7850f379e7a151e15
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 1 14:38:36 2021 +0200

    topos_redis: use initial transaction method for early dialog branch loading
    
    (cherry picked from commit 824920d5b159d80ce3c241313bf647b5dbbf6661)

commit 81b75b3b2c2db25c65ee54b6cba02c4444926b27
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 1 13:25:59 2021 +0200

    topos_redis: use also stored record to get uuid for branch replies
    
    (cherry picked from commit 7b3a33d88ae3e3bbef88294720aa21ba34118b8e)

commit d4523bab0499d1c927e13382ec492d9bc9f00fd7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 1 08:07:08 2021 +0200

    topos_redis: use uuid for initial transaction indexing
    
    (cherry picked from commit 5707f9ef7f6a0d9b9bcd00ff85168b977591a30a)

commit 52c7d2f4d6704c7ea232808110fc09c17c90c4db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 30 08:53:47 2021 +0200

    tls: declare variable based on SSL_CTX_set_ecdh_auto
    
    - fix unused variable warning introduced in previous commit
    
    (cherry picked from commit 41b5e9473d79409712d46fdbb5a0b943ab880aa7)

commit 11642e96f9a645ad7ec5a37f82c1fff1c8321f89
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 30 08:31:34 2021 +0200

    rtpengine: extract call-id/from-tag/to-tag only from sip messages
    
    - they can be provided via flags in function parameters
    - fix using functions in non-sip routing blocks (e.g., xhttp processing)
    
    (cherry picked from commit 0a2450e62d77020243530e18d93c9aa8181a5701)

commit 33cf417e59b4c7f0e45b6258644bae364ad2e912
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 30 08:03:10 2021 +0200

    msrp: destroy str array on error
    
    - some code reformatting
    
    (cherry picked from commit 4695b48b23e22135049f67a6ef362e933a0cf337)

commit f97b189d238bd63f80a4525c56501cd394b7d2f3
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Wed Apr 28 17:22:58 2021 +0200

    lost: fixed possible resource leak inside lost_get_response_issues()
    
    (cherry picked from commit a1bbe035f1a1acc11f86d27fdc0adef1b1a3d010)

commit 19093d837b94cabb6e1413fa0ff1786bfc06549f
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Sun Apr 25 22:44:01 2021 +0200

    lost: Coverity Scan fixes
    
    (cherry picked from commit 328000233928fa08095889fdca7d66acba5e5825)

commit e7d46be2813531b88782004dd6ddbca96cbc94b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 29 15:15:32 2021 +0200

    Makefile.defs: version set to 5.5.0-rc1

commit 126be686df87f1f89edbdf4e56916366c66663cf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 29 14:47:36 2021 +0200

    dispatcher: safety to avoid division by 0 for latency operations
    
    (cherry picked from commit cf105d5af78963759825f5eaf9feb767c047a49c)

commit 1c7a8459f1a5b0f4d96f3908a301b599d5e24dc3
Author: SPChan <shihping.chan@gmail.com>
Date:   Wed Apr 28 00:51:22 2021 +0800

    [tls] Don't use OpenSSL<1.0.2 fallback on 1.1+
    
    Address GH #2716. Also see https://bugs.python.org/issue29697.
    
    (cherry picked from commit 27904530d1f8efd26e2b96fa5f18a3aad887919b)

commit e55ecc6412997b55569f3b626a681eae0ca312df
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 29 06:56:50 2021 +0200

    msrp: check return code for str explode
    
    (cherry picked from commit addb6a88d0266a0bb0545077fb0b5b8a3fdcca8e)

commit 3b2f5081df6450aac425c344e11ce4ccf11fe044
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 28 16:06:50 2021 +0200

    core: kemi - parse headers before insert operation
    
    (cherry picked from commit 7bf0081102a5755c3282e7f01a0f45e160fdda0f)

commit 884dc8babeb285d2c36239d2941dcb6d04d49f3e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 28 15:57:05 2021 +0200

    textops: check for msg headers field in case is used for non-sip traffic
    
    (cherry picked from commit 48200f3e9ca9f5e5a05de440eefc23f7265b5268)

commit 9dc8f5170a22e4318e1b1ac3f3f0dba6f36fae89
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 28 13:28:05 2021 +0200

    ims_ipsec_pcscf: initialize variable to fix warnings
    
    (cherry picked from commit afff18592998cb14561cf4fd95acd1b4866fd994)

commit bf57721508c810334c966bab79f2ac3c4ba5b2ba
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Apr 27 12:58:49 2021 +0300

    mohqueue: fixed compiler warning about array initialization
    
    (cherry picked from commit c7781edcb37a35193ccdb9414183919aaa614d3a)

commit 8c75a148451b9e2d1c60e67e9b3dfaa26e3598d8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 26 14:58:39 2021 +0200

    topos: explicitely set the db match operator and value type for uuid
    
    (cherry picked from commit e279f2f464ab05e1a2821d6e2d9e673fe145fbf2)

commit 22e201fa57f7e2be7a9718b97b550a1c75f30d46
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 26 14:51:55 2021 +0200

    topos: increase the number of db keys for query when using uuid for branch
    
    - debug message to print a/b uuid
    
    (cherry picked from commit fb5ab20123a07afdfaf96197db25d76f8dda0683)

commit d5e4e026cf6efc19f155f3adddb1429c9c13cd0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 26 13:49:42 2021 +0200

    topos: restore checks on uri and sip_params for tps_dlg_message_update()
    
    - use define for expected min len safety checks
    
    (cherry picked from commit 1d6736d16ab3a83b77d6c7be3f9689c7fbfccf28)

commit f201ea9f86561e9d07fa7ac07b356f53092ec3bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 26 13:43:21 2021 +0200

    topos: check if event field exists for NOTIFY
    
    (cherry picked from commit 317ddc9efa2f11f0fe3787e9ab462550724954ed)

commit d3575aa72d779e11fd8cfebc7060647ba0b9280d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 26 13:02:11 2021 +0200

    topos: load associated early dialog transaction using also uuid
    
    (cherry picked from commit 94e8988769662a5ae68e30847eef133d50ec5431)

commit 1e235b0b5981c309e663cee2ef6f452c9f481bbe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 26 12:48:37 2021 +0200

    topos: simplified tps_dlg_message_update()
    
    (cherry picked from commit 7e5c4c30d2f0bbed2b566d46e5141b6abba315e7)

commit fc90e4c06c5df8c8a9d5cd615923c09a93b5a810
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 26 11:22:20 2021 +0200

    core/mem: q_malloc - use #else with DBG_QM_MALLOC for debug on freed fragments
    
    (cherry picked from commit 764d5be0c44036bb4b86f841588fb0df3b4bb834)

commit b371e7f9be73368d2bb5b9a6deeeb1798b796c11
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 26 10:14:15 2021 +0200

    topos: safety handling of onsend data
    
    (cherry picked from commit 975a61c89b2440fba737758cce3ab08000811b02)

commit 314436b2110396a5cb069ea093f8d82bea635407
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 26 09:28:35 2021 +0200

    topos: uniform processing for requests during early dialog
    
    - requests that are handled during 1xx state, like PRACK, UPDATE, BYE
    
    (cherry picked from commit 72cc3d46c39791d50927508114bdd1faa4a83f4c)

commit 0326fec293da66797fa13ae0a07e3e36fbc83776
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 23 12:35:15 2021 +0200

    topos: reset context on msg received callback
    
    (cherry picked from commit fb777b0e9bf2f87ea8cb1b0134fbfcc625121ad4)

commit 5513825a246cff4e5144ed2e83bd0102b991c30f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 23 09:53:07 2021 +0200

    topos: use context to load stored branch attributes only for requests
    
    (cherry picked from commit 5d661eaa92461f3b43c433ec32653c4f89bb818e)

commit 6b9ecb0856a881144546fea6d3cbd8a3dc668b81
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 27 09:59:29 2021 +0200

    dispatcher: docs - set xmlns for include tags
    
    (cherry picked from commit 3f25ef01c5cc3adb02dd1bfecdfd4c3ce80cef47)

commit f3cf66fafaba73b245b5e8179c290da936f6418e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 27 09:51:30 2021 +0200

    dmq: docs - fix section id for dmq.remove rpc command
    
    (cherry picked from commit 2c473f7c2eccf4ef79f23f9cecd122e861395a00)

commit 677bf4480a14ea1c93eb92000cad19299d2d098e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 22 21:54:33 2021 +0200

    Makefile.defs: version set to 5.5.0-rc0
    
    - branch 5.5 was created to host 5.5.x series
    - vesion type set to release candidate mode

commit a82171835767f65aa7365d303e53c097bf59e21a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 22 21:48:20 2021 +0200

    Makefile.defs: version set to 5.5.0-pre1

commit 54fe6aa05a266bfbf0cffedde89134ba534c8d1b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 22 21:46:29 2021 +0200

    topos_redis: set attributes always for provisional replies

commit 06e265b38a857789b64ca1370db039eeca5a0e50
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 22 09:36:31 2021 +0200

    ims_diameter_server: removed goto label used in single place

commit 86b05ed47d2ec44535b3615dbebac59e4c2c99ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 22 09:29:26 2021 +0200

    ims_charging: fixed compiler warnings for kemi exports

commit 94068d2e40eb867a5d6da44868d5edb52949f817
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 22 08:36:11 2021 +0200

    dmq: skip removing local node via rpc command

commit 0fa5455d9bc1d603c142cd9a767df5b248eba64a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Apr 21 19:31:12 2021 +0200

    modules: readme files regenerated - dmq ... [skip ci]

commit adf8919f52841800f0cd4528c33679c7ef80f2c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 21 19:16:21 2021 +0200

    dmq: docs for rpc dmq.remove command

commit 955152dbe5d1f05bf24d6ba23b091fe91a202cc3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 21 19:09:21 2021 +0200

    dmq: added dmq.remove rpc command
    
    - make it possible to remove a node that still is reachable by old
    address without having to shut dowm all nodes

commit 1b956d74b25c9f80f01a6aa0bc7a6ff8f3d0f712
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Apr 21 11:31:26 2021 +0200

    modules: readme files regenerated - dmq ... [skip ci]

commit 17e757c91e6e96f6711d9251979d81a792aaef08
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 21 10:55:18 2021 +0200

    dmq: docs for server_socket address

commit a9a8bb31ed8f3d08579fc1d8b4e3b598c77c93be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 21 10:49:39 2021 +0200

    dmq: exposed the server socket to modparam list

commit 1ddc27f199061025a6a43da3e8a1388fcaddfe19
Author: Riccardo Villa <riccardo.villa@netaxis.be>
Date:   Thu Apr 8 18:20:20 2021 +0200

    ims_diameter_server: export functions to kemi

commit 4436fb7dc6bf868f30e9c7bcfd1ad57e49d6be0d
Author: Riccardo Villa <riccardo.villa@netaxis.be>
Date:   Thu Apr 8 18:20:01 2021 +0200

    ims_charging: export functions to kemi

commit e2b8bddad08f12f7eb48db199fad6ed184c58bac
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Wed Apr 7 10:59:24 2021 +0300

    smsops: Imrovements in decode_3gpp_sms() and pv_sms_body()
    
    - Added new sms pdu data: originating & destination address flags;
      SCTS(DELIVER)/VP(SUBMIT) absolute time format.
    - decode_3gpp_sms(): added support for DELIVER type;
      Added VP-AbsoluteTimeFormat for SUBMIT type.
    - pv_sms_body(): added support for ucs2 coding.
    - Extends of pv_get_sms() and pv_set_sms(): added support for
      originating & destination address flags.

commit 14019c67d7fcf8f4d027fa1552ae15cb42d31bdb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 20 12:16:31 2021 +0200

    topos: set downstream rr set for replies

commit 6d05333adee28da347e56d71a8e309698ec9c6a3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 20 10:35:50 2021 +0200

    secsipid: propagate return code from lib functions

commit d80abf806a1643a704057ea383d47004cdb2ba9b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Apr 20 08:46:21 2021 +0200

    modules: readme files regenerated - lcr ... [skip ci]

commit 053a727aa5d41cfbb0800b8ab532aa3f3f7689ec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 20 08:35:13 2021 +0200

    lcr: docs - use string avps in examples
    
    - more coherent examples, one example was also conflicting by using same id
    - removed trailing white spaces and aligned examples

commit 38692da8abff093b45f5a50994b7a95e5aa515f9
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Apr 19 10:16:20 2021 +0200

    modules: readme files regenerated - lost ... [skip ci]

commit b0ee86a7b8ab6866b40320c1141bf95aec5d2071
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Mon Apr 19 10:13:13 2021 +0200

    lost: doc - typo removed

commit 62d981daa5d8d61f3f4f72996a613b8ad8e88f26
Merge: d02c042259 207d7adae4
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Apr 19 08:20:20 2021 +0200

    Merge pull request #2712 from mancasg/patch-1
    
    domain: fix use after free on domain reload

commit d02c042259a5a0e7bdcc359f5de20c68af6b4211
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Sun Apr 18 18:08:13 2021 +0200

    lost: fixing a memory leak and minor code refactoring and improvements

commit 207d7adae4ca5d9a197c38ae333ff98124c01b47
Author: MancaÈ George <mancasg@users.noreply.github.com>
Date:   Fri Apr 16 19:26:35 2021 +0300

    domain: fix use after free on domain reload

commit 2df6f9d6cb74bc115206e8b200af7234267f74d5
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Fri Apr 16 12:36:55 2021 +0300

    pkg/kamailio/obs: added lwsc module packaging

commit e4506385ca5a56d4861f36e85c1049599cba398f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 16 09:44:24 2021 +0200

    core: usr avp - fix detection of invalid name and ids
    
    - use the fields designated for str name or int id, code analyzers can
    follow properly the execution path
    - regression introduced in ca1821837dfe7dd6630f628d968ed4d1178c7040

commit e016cb1bdb2837437663a4c24b104b40e9191eba
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Apr 15 13:46:50 2021 +0200

    pkg/kamailio/deb: add lwcs module
    
    * enable only the ones with libwebsockets >= 3.1

commit 80689e22bc83aff78d8fd53d4a33bcb68c913c19
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Apr 15 11:41:20 2021 +0200

    pv_headers: safety check for xavi key count
    
    * check that we have keys to put into the hash before
      allocating anything
    * check table field instead of size just to make analyzer happy

commit 15f57ceae26b967ad92dd3a97ebcd869d1197244
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 15 10:28:24 2021 +0200

    core: main - set ending 0 in allocated cfg file path

commit 703d6202e73e4e3778a2c66f4e29ae87dc6ac211
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 15 08:32:38 2021 +0200

    core: resolve - safety check for setting port

commit 0640645efdbc1f7ce36750d5a784a4cfedc3f02f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 14 15:14:10 2021 +0200

    core: updated onsend_route_enabled() macro condtition
    
    - detect when the kemi callbacks need to be executed for tm replies

commit 7231be0785009cb17581822f0765985eb7bdb243
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 14 12:52:58 2021 +0200

    seas: check when walking the list

commit c30cd3db7587a3c875770fbc558f4a5ad38b58bd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 14 12:50:36 2021 +0200

    avp: check for null string

commit 6c8d61850aa662016d952f25dc510ed4d602e10c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 14 12:40:19 2021 +0200

    imc: safety checks for function parameters

commit e84c1985f1c3ed7a791660702b398b9ac1eb1f4a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 13 10:21:39 2021 +0200

    group: check if credentials are parsed

commit 005f4468bc5873ea02b6c0d3d75baa49067e17c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 13 09:50:46 2021 +0200

    sca: return on rpc fault

commit b123dec934769522407dad619bbb6c2074719884
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 13 09:50:07 2021 +0200

    pike: safety check for ll variable

commit 8a5b764e77d009eb6f236e74d3462bfce0d57f07
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 13 09:15:10 2021 +0200

    db_text: safety check for lres

commit 91ec4259465fdaab41749b8fed0f96636a0619e5
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Apr 12 18:46:13 2021 +0200

    modules: readme files regenerated - secsipid ... [skip ci]

commit 7018672d9881ab97848b4e1131d73412b0db221d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 12 18:39:25 2021 +0200

    secsipid: docs - updates to installation section with secsipid_proc

commit 84988f9d592a80c8c5b642a96b037ab0cd85cbb4
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Apr 12 08:01:22 2021 +0200

    modules: readme files regenerated - secsipid ... [skip ci]

commit 3d7b1b12947b37faaacb12286f8ff763635185b9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 12 07:56:54 2021 +0200

    secsipid: docs for libopt

commit 5eacca80c4435a8cd55943493b52ea0e155ca524
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 12 07:54:24 2021 +0200

    secsipid: make it possible to verify certificate
    
    - follow the specs relate to verification
    - allow to set the level of certification via upstream library options

commit ea628d35917036a252a3a0094a250b5df3cfe037
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 12 07:51:41 2021 +0200

    secsipid_proc: synced with the upstream library api

commit 6d46ec71f941b9db9c06c6c2edac14fc9f3d1074
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 11 09:09:24 2021 +0200

    core: dns - safety checks for port and proto

commit c9dc0336a33a0ecfe776975be7fbfab8f3c91b48
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 10 11:21:09 2021 +0200

    pike: safety check for null node

commit 912e2ef41533e961bc55ca80619305af8e474469
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 9 18:51:42 2021 +0200

    pua_dialoginfo: check request to cover cases of callbacks without it
    
    - updates the previous commit

commit 80beb29ac0204697a8964231b441ac37866a4a1c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 9 17:18:54 2021 +0200

    dialog: safety check for prev field

commit a5f8810223021939b12eb0d04fc625f8d36980f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 9 16:37:30 2021 +0200

    siptrace: fallback to udp if send sock is not set

commit 303be6a94be40dbe7c26c96e768627e8e9d0f860
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 9 16:23:28 2021 +0200

    core: cfg ctx - checks for valid variable offset

commit bb917a29f3e1566417215b33a60124abdcd34a7b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Apr 9 16:16:14 2021 +0200

    modules: readme files regenerated - lost ... [skip ci]

commit 9a8ff2b8408c7b462d39f6ea25d81865b70ade42
Merge: abf9f244a9 5f1959cd42
Author: Wolfgang Kampichler <49035738+wkampich@users.noreply.github.com>
Date:   Fri Apr 9 16:10:45 2021 +0200

    Merge pull request #2675 from kamailio/wkampich/dev
    
    extensions to lost and http_client modules and core/parse_body.c/part_multipart_headers_cmp() log output changed from ERR to DBG in case a header does not exist

commit abf9f244a96a9c2112036af24a1cc3435b6be41d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 9 09:34:29 2021 +0200

    core: main - checking of optarg for covering all unixes

commit 5f1959cd42ff925009dd9e0fdd87f9d0487ec4fe
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Thu Apr 8 21:31:24 2021 +0200

    lost: typedef naming changed and copyright added

commit 42d90d3665256c3d38945193b0a14ad199221bc6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 13:19:17 2021 +0200

    rr: conditions adjustmets for append from tag in record route preset

commit f33abd5e2d5978ba9e6e8a48066b0daff70c0b3b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 12:05:07 2021 +0200

    nat_traversal: check parameter for send_keepalive()

commit c200d2e9109a5581491bebd91c30162716b0f4fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 11:54:33 2021 +0200

    rtpengine: reworked condition around locking for easier pairing
    
    - inside rtpengine_hash_table_insert()

commit 7ea3b97c8acf8b623563b7a9fbf4ba23ea3e9170
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 11:37:08 2021 +0200

    core: dns cache - safety checks for rdata field

commit 9c7a509f7189de8ce600a97b7c1c5f9e4f5afdb1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 11:25:05 2021 +0200

    tm: t_fifo.c - free app in case of error

commit 1737e9443d6617350c5e6044aef07be565a345d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 11:20:32 2021 +0200

    core: parse headers - check if anything was parsed

commit 74fa6c5570d6394af8c5352bd37e21e970f1575c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 09:38:48 2021 +0200

    core: main - coherent behaviour for fix_cfg_file()
    
    - duplicate to build the output always, safer not to try to change the
    static string defined via macro at runtime

commit 7dd643a88fd7944ee86b795298c76e6d5fd58b8f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 09:36:49 2021 +0200

    dlgs: safety check for accessing next field

commit 563c6f69aef22a90fc7870398fcfbd4242e33779
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 09:36:02 2021 +0200

    core: cfg.lex - free after log message

commit 106b8a659bd4a53e8a6872e9db8a9af0f12ff70a
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Wed Apr 7 13:10:30 2021 +0200

    core: parse_body.c/part_multipart_headers_cmp() changed log output from ERR to DBG in case a header does not exist

commit 7ef0a272dc9c81afa05ef8b1591e9f05c2810e9a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 11:33:24 2021 +0200

    core: check for non empty receive address and port in msg translator

commit e8583372cb1078a29bb6526c11f838e30811b94a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:25 2021 +0200

    app_sqlang: init timeval structures

commit 50f92131ac0a9f5dd1e19fb6e3636657ad996e37
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_ruby: init timeval structures

commit 7457b3cefd08595c054291398de0f9a4e62691b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_python3: init timeval structures

commit 97991c9cf56ca034df914ae499053e597582ef80
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_python: init timeval structures

commit e1369a4cf0c668a0ee40d3b84b9c6382c2168e49
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_lua: init timeval structures

commit cad5cc37c63477fbcf429af34e516b523c74132e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_jsdt: init timeval structures

commit 3bb1a30dda3b40ba2f188a4baab94ebda41f4a74
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:08:56 2021 +0200

    ctl: free send_buf in case of error
    
    - disabled unused function

commit 62e822ce25e93a8183dd9e5e1fee517143849a6a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 09:53:39 2021 +0200

    core: use same condition for extra_params in create_via_hf()

commit 02c5f298d3355b7bb4c85bd290bc8265591f0ab8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 6 17:54:46 2021 +0200

    crypto: use same condition to free ttext.s on success or error

commit 7652f79640b3e792baa77531e697fd74a1ab4584
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 6 17:23:16 2021 +0200

    core: rvalue - link to free at end of rve_opt_01() instead on replace
    
    - debug mode messages print fields

commit e770e0aa6889f001a3f7f2644202bf106f6559da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 6 15:23:21 2021 +0200

    core: rvalue - function to destroy content of rval without freeing it
    
    - needed in case of rval reuse in rve_replace_with_val()

commit 4f7b5537688293d196669dd5a7d0124f7656cf2d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 6 14:48:34 2021 +0200

    core: main - several optarg safety checks

commit 26ab0fcc97cbf0d6602454e60187a914f13424a2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 6 12:17:35 2021 +0200

    uac: do not free chunks already inserted as lumps
    
    - in case of errors happening later, the pointers are linked in
    sip_msg_t and will be freed there, otherwise will result in a double
    free

commit 2d7aee506c617f2d258719562f8debf2b4ba087e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 6 08:38:16 2021 +0200

    core/mem: removed tlsf_malloc_bits.h
    
    - no longer needed after sync with v3.1

commit ddafeebfaf1537c684eee22be228867563dd02ac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 6 08:34:48 2021 +0200

    core/mem: tlsf malloc - sync'ed with v3.1
    
    - tlsf malloc project: https://github.com/mattconte/tlsf
    - last commit when sync'ed:
      -  https://github.com/mattconte/tlsf/commit/deff9ab509341f264addbd3c8ada533678591905

commit a749cc53ac4aa4825ba8d720825db856d897efb2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 18:06:01 2021 +0200

    tm: init timeval structs

commit 9c239dc385716255b977d8d879946e707e6f51c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 17:50:31 2021 +0200

    core: checks for trying to define empty or null ids
    
    - use found pointer to compute the lenght of ID for -A parameter to save
    a strlen()

commit c08620f6427d59749396fe2762e340328ce69c41
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 17:35:12 2021 +0200

    imc: expect the second param only if first is set
    
    - bits of formatting for imc_handle_create()

commit ef31c82ac3bd7972c2d02c893f8041af4664b717
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 17:31:48 2021 +0200

    core: cfg.len - sanitizer safety check of target buffer

commit ca1821837dfe7dd6630f628d968ed4d1178c7040
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 17:23:59 2021 +0200

    core: fixed condition for 0 ID or NULL NAME AVP
    
    - avoid null in memcpy for AVP_NAME_STR

commit 36abe25e35d1862468999bedcaf8bba29ec5f48a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 17:10:24 2021 +0200

    crypto: fix use of uninitialized values introduced by b08fd55ddd598115a3b69afc630403a582d239f2

commit 1536f4bb3d4e654c8169afb6599c47c26df12ef6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 12:05:53 2021 +0200

    .gitignore: ignore files that can be generated by compiling tools

commit ba9f2b5af9cabd61f67ceedb8feab6bd7bc6526d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 12:02:20 2021 +0200

    core: init allocated memory in str_hash_alloc()
    
    - removed unused pointer shifting in dset.c
    - small reworking of lval_assign()

commit 47b1b56e6cf86b2b6d74fdf4f292e8f2bf87f9fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 11:37:06 2021 +0200

    dmq: fixes for changes in the 678f9c6ad8a8118741a921fcc01f9b23b5702c6e
    
    - init the next field to first notification address str_list_t item
    - init local variables to avoid compile warnings on using garbage value
    - while condition on server_list instead of address of its ->s field
    (which always not null)
    - do not iterate using global dmq_notification_address_list variable, it
    shifts it till becomes NULL

commit 01fa6d962258a7ea82e6d3fe2d56f98b94806a31
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Sun Apr 4 23:09:02 2021 +0200

    lost: removed some typos and added explanatory text to doc

commit 1b47452cebb1b7866cbbabd5068a9ff4a39c86d2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 3 07:56:40 2021 +0200

    pua_dialoginfo: skip requests that do not control call state
    
    - GH #2700

commit b7f753ddc727e1d7ab42e7abe607059e03976f8d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 3 07:55:11 2021 +0200

    core: parse uri - check for invalid port values

commit 9413fc6399d7e9b791ed0cb53172ab5fd887f0f6
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Apr 2 10:16:13 2021 +0200

    modules: readme files regenerated - topos ... [skip ci]

commit a877e707c7768307886c67a8c64a5c524eac06f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 2 10:11:01 2021 +0200

    topos: docs - fixed title for xavu_cfg example [skip ci]
    
    - groupped xavu parameters

commit f95ede239474f8c3b901f83e7eb34cbfa8f0e0fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 2 10:04:10 2021 +0200

    dmq: access val after being tested for null

commit d4e31e6ae494836c49e50f463517a576b18c5611
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 2 09:37:21 2021 +0200

    core: parse uri - cast to unsigned for left shifting

commit f21ad75e1f86f353cc9cdf6d21c9ee2b74e9eb6c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Apr 1 19:07:42 2021 +0200

    pkg/kamailio/deb: set version 5.5.0~pre0

commit a07de1e2b892537c46879b4d744bff86af24e5e8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Apr 1 17:01:14 2021 +0200

    modules: readme files regenerated - acc_json ... [skip ci]

commit c45d65ba1413ff2ca617d5fa1cf6cb391ffb1734
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Thu Apr 1 07:50:40 2021 -0700

    acc_json: param to accept pre-encoded json values (#2699)

commit 2f1067f010dd497c7a348c9f2233b318b9d7c663
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 1 11:49:26 2021 +0200

    Makefile.defs: version set to 5.5.0-pre0
    
    - starting of testing phase for 5.5 series

commit 161c67236bcd0f9844f02fe4f0b5ed302f431de9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 1 11:48:20 2021 +0200

    Makefile.defs: version set to 5.5.0-dev6
    
    - development for 5.5 series is closed

commit 52d89a4d6a11f8d5d660fc871c9f5e79d5075e75
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Apr 1 09:16:14 2021 +0200

    modules: readme files regenerated - topos ... [skip ci]

commit e90bfa7cc3b5e3cd23e4071d811277c5f94ddd6d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 1 09:12:16 2021 +0200

    topos: docs for inbound event routes and context

commit 7a3ad54711c855ab209ef23f08c34902f5dac9a8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 1 08:56:29 2021 +0200

    topos: docs updated for xavu replacing avp parameters

commit c030fc5231d2a6534867e90b412c15e7a9db7a98
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 1 08:40:25 2021 +0200

    topos: use xavu instead of avp
    
    - replaced params refering to avp with corresponding xavp alternatives

commit 2b48eadb445706d24542d1132c608e5821e68a92
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 1 07:56:30 2021 +0200

    core: $xavu() helper functions to get child values
    
    - like for xavp and xavi

commit 5a96993efd6cff7677a5c49fee15c30715903ea0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 1 00:01:22 2021 +0200

    topos: use context for sruid

commit 5c2699c4f6a9e8a24057b754e6510433129f509d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 23:55:51 2021 +0200

    core: sruid - use specific prefix for global variables
    
    - declare static functions used only local
    - functions to append a value to sruid

commit b458bbcba00cd6678617f004bbdeff2a1b0c524d
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Wed Mar 31 23:14:14 2021 +0200

    lost: memory leak fix and code refactoring

commit 858fab6bbf0c26f22bb9411e9385c10d654a6da5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 21:59:51 2021 +0200

    topos: ability to execute event routes when messages

commit 4eae7ee7819c528297e24778ae480d3a2e0a8188
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 21:46:14 2021 +0200

    topos: option to set a context value via modparam or function
    
    - ability to group records

commit 3363d4671e9dcb888868bf182f9eae708ca55c71
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 21:45:14 2021 +0200

    kamctl: db schema regenerated - updates to userblocklist and topos modules

commit e6609d4041f9bc74b68fe83b67ba4499e8fb1924
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 21:44:12 2021 +0200

    lib: srdb1 - added x_context column to topos tables

commit ac60e5d0a9f847fe77458d733d6ca67c9352978d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 31 16:16:15 2021 +0200

    modules: readme files regenerated - textopsx ... [skip ci]

commit 6379f1280ba41e87ddb34fa1705ffe4231dcac9c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 16:05:52 2021 +0200

    textopsx: docs - notes about 1-based indexing for hf value functions
    
    - GH #2387

commit 47e9a74bbe48025d238b85eac9ba5ed183f70667
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 31 16:01:16 2021 +0200

    modules: readme files regenerated - tls ... [skip ci]

commit c9702415579b8c7c2eb525accc909a586c17c2d1
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Mar 31 13:28:30 2021 +0000

    topos: add functionality to set a variable host part for the Contact header
    
    - add functionality to set a variable host part for the Contact header
    - could be refactored to use a xavp instead of avp, together with the other
      parameters in this area ([a,b]_contact_avp)

commit 4edb9b27aa5cf8e39cb87c78557391445952b21c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 15:51:04 2021 +0200

    tls: docs for tls_set_connect_server_id(srvid)

commit e979a341c1b142bb02da25c7753e7efb2d34e80a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 15:44:41 2021 +0200

    tls: added tls_set_connect_server_id(srvid) function
    
    - set the server id of the tls profile to be used by next client
    connect, being reset after use
    - alternative to use of xavp to specify server id for client profile for
    the cases when xavps are no longer available (e.g., after
    event_route[tm:local-request])

commit 30cb2e4ec263e182e0726b217086135de2e2520c
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 31 12:01:18 2021 +0200

    modules: readme files regenerated - http_async_client ... [skip ci]

commit 91c73d62bcb5e635aae4462393e3fe71b64657f1
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Mar 30 14:39:16 2021 +0200

    http_async_client: configure curl redirect per query

commit 3b339e15e0c14c688b2dea1c2a46b212cd60eef8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 31 10:16:13 2021 +0200

    modules: readme files regenerated - pua_dialoginfo ... [skip ci]

commit 499d1fcf4a16a7f52fda7548c990de70745b54d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 10:00:46 2021 +0200

    pua_dialoginfo: docs for attribute_display param

commit be279afb807ad74c7d46f9e57cfa7fae5226a1e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 09:56:58 2021 +0200

    pua_dialoginfo: new param attribute_display
    
    - if set to 1, the display name attribute is added with user part of the
    URI for local and remote targets

commit 8c69bd53ebd47c51f37bdcc96a8719b1d1c69947
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 09:33:35 2021 +0200

    pua_dialoginfo: use helper functions for operations with str inside build_dialoginfo()

commit 1d00cf66f8006b082c0e0258371f4da5015b2ac2
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 31 08:46:14 2021 +0200

    modules: readme files regenerated - cplc ... [skip ci]

commit 5a87ec17841bbce35dae02baefc0fe350b41ad33
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 08:38:33 2021 +0200

    pua_dialoginfo: docs - added missing ending section tag

commit abafc6c99f01a81d108e64efd292920ad5b6a2e4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 08:35:34 2021 +0200

    cplc: docs - fixed docbook tags removing extra ending section

commit 047f6e4409ad4a4ed6bed9f46a8c1e31bd8df83c
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 31 08:31:14 2021 +0200

    modules: readme files regenerated - cplc ... [skip ci]

commit 79be32bcc45775f703319730d405727b0a983726
Author: frederic <frederic.gaisnon@mmtt.fr>
Date:   Tue Mar 16 17:36:15 2021 +0100

    pua_dialoginfo: disable publish notifications for subsequent requests (key: publish_dialog_req_within)
    pua_dialoginfo: add new key to really deactivate caller or callee notification when the deactivated party was supervised (key: caller_entity_when_publish_disabled key: callee_entity_when_publish_disabled)

commit cb38addf641d07b8881808ff17fe66ee6af1d743
Author: frederic <frederic.gaisnon@mmtt.fr>
Date:   Tue Mar 16 12:16:25 2021 +0100

    cplc: add a configuration route before redirected call (key: redirect_route)
    cplc: deactivate 3XX responses handling (key: ignore3xx)
    cplc: time based cpl did not work if several are set
    cplc: add return result to kamcmd commands
    cplc: documentation update (new keys, new module name, proxy_route modification)

commit f4f17c83073db933954c4bb1dd52f83fecd8ed80
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 31 08:16:23 2021 +0200

    modules: readme files regenerated - dmq ... [skip ci]

commit a2530363bba4415dcb82f4a03691e3e2aa48c88e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 08:02:21 2021 +0200

    dmq: docs for dmq_process_message()

commit c990dae2a6078772119e1ba2f8f3735e59211341
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 07:45:03 2021 +0200

    dmq: new function dmq_process_message()
    
    - similar to dmq_handle_message(), but processes the dmq message
    immediately, without queuing for special worker processes
    - useful for messages that need very short time for processing, like
    htable operation, simplifying by no longer cloning request in shared
    memory

commit b94c0282ca297410c82973423f8104334b4281f9
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Mar 30 23:01:10 2021 +0200

    modules: readme files regenerated - crypto ... [skip ci]

commit 305a2ff281ffb4320b9a685d96fc8cac5d82ba33
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Mar 30 20:51:12 2021 +0000

    crypto: small copy/paste fix in docs

commit 588eeeb2c56a98de3bb3fe09b0360f1dc53d811a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Mar 30 22:46:12 2021 +0200

    modules: readme files regenerated - crypto ... [skip ci]

commit b08fd55ddd598115a3b69afc630403a582d239f2
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Mar 30 20:39:06 2021 +0000

    crypto: add two new parameters to provide interoperability with existing crypto libraries
    
    - add two new parameters to provide interoperability with existing crypto libraries
    - key_derivation: specify the mode of the key derivation
    - init_vector: specify the source of the initialization vector
    - this can e.g. used to decrypt data coming from a Java middle-ware application or
      from a PostgreSQL database encrypt function

commit 25378c0388bb4365e8d4f1a4e874381fe339cd3b
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Tue Mar 30 21:50:48 2021 +0200

    lost: README update

commit 5f50cc0ec7017a325d25249e6e66e6a2feb4dd08
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Tue Mar 30 21:33:09 2021 +0200

    http_client: duplicated code removed

commit 2f48d0cdc84eaa583a2f2b6837e6251e62abc901
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Tue Mar 30 21:15:56 2021 +0200

    lost: DOM level count fix

commit edd2884441ac75d96f6a0a7d53e8c738e5300ecf
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Mar 30 14:16:16 2021 +0200

    modules: readme files regenerated - http_async_client ... [skip ci]

commit 0183de317d0d2578e83061fc7541afde37ec4853
Merge: f90640f7ce 14a399652b
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Mar 30 14:04:06 2021 +0200

    Merge pull request #2694 from gled-rs/http_async_follow_redirect
    
    http_async_client: add curl_follow_redirect parameter

commit f90640f7cec45a359e996493ae91b1a45d2603e7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 30 11:58:53 2021 +0200

    path: set dst udp uri length for decoding received value in alias format

commit c1fcb8379c24efed52f6dca2f3f00f6ee5d43706
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 30 11:58:11 2021 +0200

    core: dset - asume udp if uri without transport for alias encoding
    
    - set output length for udp proto

commit bb2fd8c0cd9909f87df7df6fa300a06c38259a10
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 30 11:29:26 2021 +0200

    pv: new transformation class - urialias
    
    - encode/decode uri alias values (addr~port~proto)

commit e111de999e22ed5d968ac50844e92f3f21dc0c2e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 30 11:06:02 2021 +0200

    core: dset - helper function to encode/decode uri alias values

commit 895208ebb0f999365ded50a9ecfc0fb2ed2b1e01
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Mon Mar 29 21:43:30 2021 +0100

    core: use third array element when generating totag suffix

commit e36ea1fd0ad6e7d2814e8f07eff89a89ecd14469
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Mar 30 09:31:24 2021 +0200

    modules: readme files regenerated - textops ... [skip ci]

commit df1f22fc2948071d7f77533cec337c45080d3a85
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 30 09:25:36 2021 +0200

    textops: docs for str_find() and str_ifind()

commit 389224660bc748b7e9f69fadcbbed0faf8a44b5a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 30 08:50:54 2021 +0200

    textops: added functions to find a string inside another one

commit 686bad209b3f445d8ab81643bd82648a12d72f1d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Mar 29 16:31:11 2021 +0200

    modules: readme files regenerated - dmq ... [skip ci]

commit 678f9c6ad8a8118741a921fcc01f9b23b5702c6e
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Mar 29 14:25:18 2021 +0000

    dmq: add support to specify a notification address multiple times in the cfg
    
    - add support to specify a notification address multiple times in the cfg, e.g.:
    - modparam("dmq", "notification_address", "sip:10.0.0.1:5060")
    - modparam("dmq", "notification_address", "sip:10.0.0.2:5060") etc..
    - this can be used to easily configure multiple notification server
    - it is an alternative to the multi_notify mode and do not work together with it

commit 981701d4ffa8bce2be3768f43cbde0f5344390fc
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Mar 29 15:31:11 2021 +0200

    modules: readme files regenerated - path ... [skip ci]

commit 54036506a005d30e0ea2685ac99d004b416bf0f3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 29 15:28:10 2021 +0200

    path: docs for received_name parameter

commit 6b607182678a5913b1e07c0e32725cb89b399501
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 29 15:25:21 2021 +0200

    path: option to set received param name

commit 0f0a56ad5c97a611fab64fc9b9eba304643dcec8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 29 15:04:38 2021 +0200

    path: removed svn id header

commit 08ccff9107f4c1ff1f0e863967be688b6c821bb4
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Mar 29 12:01:13 2021 +0200

    modules: readme files regenerated - rtpengine ... [skip ci]

commit ab68c7a6190bb89775cb92428bc2c5ac4798f560
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Mar 29 09:51:59 2021 +0000

    rtpengine: improvement in docs related to sock weights

commit 1d7d78c31eeab717c7013a00650d3cb07895bac8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 29 09:56:36 2021 +0200

    ipops: proper handling of return code for ip to buf conversion
    
    - reported in GH #2695

commit c331e6dddb238abe5fc832ce3d3934fbe56ad2f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 27 14:43:05 2021 +0100

    pv: use unsigned for safer non-ascii bit shifting for hexa
    
    - related to GH #2690

commit 9efe1e0c32ae43d67240d6a97306e3cff61c3c55
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 27 14:37:03 2021 +0100

    core: use unsigned for safer non-ascii bit shifting for hexa

commit 14a399652bb813f77da13956eb47e1f16c5d6b8f
Author: gled <gled@remote-shell.net>
Date:   Fri Mar 26 16:54:02 2021 -0700

    http_async_client: add curl_follow_redirect parameter
    
    - add curl_follow_redirect mod parameter to set CURLOPT_FOLLOWLOCATION
      to tell libcurl to follow 3xx responses.
    - write the doc in doc subfolder for the curl_follow_redirect param

commit ec3f98b2b9e2a44b57f0b60401d2f037d3068e83
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Mar 26 15:01:13 2021 +0100

    modules: readme files regenerated - stirshaken ... [skip ci]

commit 3053b87a5c023a89be33a0fad924e31f41d4bcda
Author: Piotr Gregor <piotr@signalwire.com>
Date:   Fri Mar 26 13:47:33 2021 +0000

    stirshaken: Update docs [skip ci]
    
    Update docs about X509 cerrtificate path verification turned on by default.
    Modified: src/modules/stirshaken/doc/stirshaken_admin.xml

commit 0793fb05b61e517a3353c436e8fb928c4730e573
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 14:50:40 2021 +0100

    lwsc: do not set timeout fileds lws_context_creation_info
    
    - needs to sort out which versions have them

commit 054febc016f3fa089c9dc84bcb7581c04213eeed
Author: Piotr Gregor <piotr@signalwire.com>
Date:   Fri Mar 26 13:24:13 2021 +0000

    stirshaken: Turn on X509 cert path check as default

commit 20ff5e129315acd7a45513279c13800950ea96f3
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Mar 26 13:46:37 2021 +0100

    modules: readme files regenerated - db_oracle ... [skip ci]

commit 4bf6acf34730969048376ded5b6bd90b6abfaa04
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 13:40:00 2021 +0100

    mediaproxy: docs - updated project name

commit 9c4e3fc30c63095a71e42bb480fcf26699ee8ecc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 13:39:16 2021 +0100

    db_berkeley: km_doc - updated project name

commit 40a2c2c6cfaecff34f7d4c40dfafbc3af9cab830
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 13:37:30 2021 +0100

    cnxcc: removed old project name from sample configuration

commit b0c51f5768afe7869d7aadfc05bee40863975b43
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 13:36:36 2021 +0100

    permissions: updated project anem in same register deny file

commit 7bd66b68f8640a220662b4ce6438ad524a0d4741
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 13:35:15 2021 +0100

    pdt: removed obsoleted mi fifo shell script examples

commit f5d38980841d7ae6ea5eecaa9dba41f907171ae2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 13:34:21 2021 +0100

    pdt: replaced mi_fifo with jsonrpcs in example
    
    - documentation updates

commit 39e57d38b02c08b42567708a6d65f36a83144caf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 13:28:59 2021 +0100

    xmpp: replaced mi_fifo with jsonrpcs in example
    
    - minor docs updates

commit e6d8b844b9b3b712803dec6a03b74c902fd5aa6f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 13:26:24 2021 +0100

    xmpp: renamed example config to use project name

commit d2a1df24b8042de7802bbf466441cda95b7e64f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 13:25:15 2021 +0100

    db_oracle: docs - tool name is kamailio_orasel

commit 5c48d437935e971482c9bbf41f067d120911e2c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 13:19:03 2021 +0100

    acc_diameter: init variables for safer cleanup

commit 1856ed85008b837fdc29ee2b156c26ff3b5a54aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 09:34:30 2021 +0100

    lwsc: LWS_CALLBACK_EVENT_WAIT_CANCELLED event is available from v3

commit fa83cbbbc9e3850b6c2890e59059925b16d38af0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 09:31:44 2021 +0100

    lwsc: handle LWS_CALLBACK_GET_THREAD_ID event
    
    - logs for a few other events

commit cc36b9233050930494bedd5af58bcf0c3d49c950
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 09:15:15 2021 +0100

    lwsc: use lws_cancel_service() for triggering writable event

commit 714f7ab82971fd6c24e54c172075a441acf8842e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 25 21:27:52 2021 +0100

    lwsc: support to compile with older libwebsockets library
    
    - now builds on Debian 10

commit 5556612912ef6498518b6d9954b58990d6510c47
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Mar 25 21:16:12 2021 +0100

    modules: readme files regenerated - rtpengine ... [skip ci]

commit d37b84be468f24b2cf015b4fc5d9abe97cc930bb
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Mar 24 16:09:45 2021 -0400

    rtpengine: add support for websocket protocol

commit 759ca714acc6aa22a0bb609b2a14effc7cc94374
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 25 16:32:37 2021 +0100

    lwsc: fixed export of lwsc_notify_proto()

commit 1759d923ea218b7acc8dc30f6f37ba52b2e947e9
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Mar 25 13:31:12 2021 +0100

    modules: readme files regenerated - stirshaken ... [skip ci]

commit 82f43150287a382d47ec82a95da2b743ae322bb2
Author: Piotr Gregor <piotr@signalwire.com>
Date:   Thu Mar 25 12:26:51 2021 +0000

    stirshaken: Fix format usage examples [skip ci]
    
    Add note about stirshaken_check_identity() considered to be dfault.
    Modified: src/modules/stirshaken/doc/stirshaken_admin.xml

commit f1f73cc20dab827b91dd19fb30d2fea699835b73
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Mar 25 11:31:58 2021 +0100

    github/workflow: add gcc-problem-patcher [skip ci]
    
    let's make more visible the problems detected by the compiler
    
    https://github.com/marketplace/actions/gcc-problem-matcher?version=0.1

commit b29757bd3f92174dec238dbf7c7acc2f5cfe8a72
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Mar 25 11:31:14 2021 +0100

    modules: readme files regenerated - speeddial ... [skip ci]

commit 668e4b2ffb2401735e89f3532f6fb5824c31befc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 25 11:28:33 2021 +0100

    pkgs: deb - removed old project name

commit b28ef4aabf78d107e17ddaf01d080a4ad21dc965
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 25 11:28:14 2021 +0100

    pkg: obs - removed old project name

commit 1f54ee1b24b94b5410752263bac2960ac39a9235
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 25 11:23:31 2021 +0100

    misc: examples - removed old project name

commit 98e794c9c3028fee01e1bae5c8c6cd594643b887
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 25 11:19:41 2021 +0100

    misc: tls-ca - replaced old project name

commit 545b3f730abda55bfe43609ec92bbb3832919513
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 25 11:12:45 2021 +0100

    ims_diameter_server: examples - removed old project name [skip ci]

commit 300bcaa931aa0afe2265008d6c53f9b3793e70f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 25 11:11:32 2021 +0100

    rtp_media_server: replaced old project name in comments [skip ci]

commit 7f96d6c9e2d9cb17f096b3f900c12a5d37b190c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 25 11:09:29 2021 +0100

    etc/kamailio.cfg: removed old project name [skip ci]

commit bf7065f64802aaa54e24350b12f216081f62621e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 25 11:08:48 2021 +0100

    textops: docs - replaced old project name [skip ci]

commit df50e1e4eaa2a915d817da242ab40bddfcb1556f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 25 11:03:44 2021 +0100

    tls: removed deprecated readme file [skip ci]

commit e153d1039fda40e760d91f4895098a4d5908e1e8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 25 11:01:09 2021 +0100

    speeddial: docs - updated sample config, bits of formatting [skip ci]

commit ed0ec294794a783d5523c7d171d3ae7225398df8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Mar 25 09:01:22 2021 +0100

    modules: readme files regenerated - lwsc ... [skip ci]

commit 49f030c8c9e5c86044bfb5e0ecd9cda0a8e2fd77
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 25 08:53:56 2021 +0100

    lwsc: docs for functions with ws proto parameter [skip ci]

commit cb22809cfeacd6b587d51abdb98aa9e72652e742
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 25 08:44:30 2021 +0100

    lwsc: added functions with ws proto parameter

commit 5dfa6ba930f6e9a49f3dcf0f32a0d2e7c6f8941b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Mar 25 04:01:12 2021 +0100

    modules: readme files regenerated - stirshaken ... [skip ci]

commit 9da757be8861649cdcc9e03bfaf35e6b257ff18f
Author: Piotr Gregor <piotr@signalwire.com>
Date:   Thu Mar 25 02:49:06 2021 +0000

    stirshaken: Fix usage examples [skip ci]
    
    Modified: src/modules/stirshaken/doc/stirshaken_admin.xml

commit 4e6772d9c519de997901e1451a3a5e845a508628
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Mar 25 00:44:13 2021 +0100

    github/workflows: fix branch name

commit 5ac49634c18955ffedd0ad909d2199e5881905c6
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Mar 24 19:35:11 2021 -0400

    siptrace: properly terminate logs with '\n'

commit 30f1c7b6521fba17e064262b32e11b33da7678ab
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Mar 24 23:38:58 2021 +0100

    github/workflows: main workflow
    
    * migration from travis-ci to github actions

commit bac4fe67c7eb6dae96809c1c15a44defb9a2681d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 24 21:16:12 2021 +0100

    modules: readme files regenerated - rtpengine ... [skip ci]

commit 5cc888f0e9e305734621c0db1f63a47f2f0c381a
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Mar 24 16:12:13 2021 -0400

    rtpengine: fix typo in docs

commit 9efc27964695d7a637250ac46ecac275fb627b0e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 24 17:46:10 2021 +0100

    modules: readme files regenerated - lwsc ... [skip ci]

commit 3c48266d56b58d3c1de44f630a88df2092d6d0d5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 17:12:50 2021 +0100

    lwsc: added loaded field to intermodule api strucure
    
    - mark when the structure is filled

commit 465459f25fe60f3fd5227b31e86e3fb33537d33c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 17:00:03 2021 +0100

    lwsc: docs for verbosity parameter [skip ci]

commit 39ae2a441ffda8c8df1774917c3385ad7cc78bcf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 16:55:35 2021 +0100

    lwsc: added verbosity parameter
    
    - control debug messages verbosity

commit dfbd4e12d6c4b3c9664d58ffbc479de9ea68f03e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 16:45:39 2021 +0100

    lwsc: added inter-module api
    
    - exported lwsc request function to send data to a ws target and proto,
    then wait for response data for a specific time interval

commit 8c8080a4ce714fc2b7efb3a285c474f8a583e851
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 16:26:34 2021 +0100

    lwsc: store lws protocols structure in endpoint
    
    - more flexibility in specifying ws sub-protocols per connection

commit 1001e9e1dbfdec525f4a5f96f7dd3fcc22e51888
Author: Robert Boisvert <rdboisvert@gmail.com>
Date:   Wed Mar 24 12:17:20 2021 -0400

    mohqueue: use ptime
    
        - version 1.7
        - match ptime of incoming call; otherwise, default to 20ms
        - update copyright dates

commit 575622520df06e769ad6174c36ad142b59cfa96e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Mar 24 12:09:08 2021 +0100

    pkg/kamailio/deb: version set 5.5.0~dev5

commit 868ff72ad17573657ce19239a6f394cb117475c6
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 24 10:31:18 2021 +0100

    modules: readme files regenerated - pv ... [skip ci]

commit c959a3c5f5efa1158bd53a31476f33d080793928
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 10:19:51 2021 +0100

    pv: docs - relocated shvset note outside of param definition details [skip ci]

commit fa136edab5e552ed7b9e01af602bc09c98afce35
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 24 10:16:24 2021 +0100

    modules: readme files regenerated - pv ... [skip ci]

commit bcc6370cdc00f25ce3d0f29e168c20ca880dcda2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 09:46:53 2021 +0100

    pv: docs - note about use of $shv() in kemi scripts for shvset param [skip ci]

commit cd4f72075aaaf47184bafdc10358862e03891fcf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 09:26:52 2021 +0100

    Makefile.defs: version set to 5.5.0-dev5

commit 341cb21618738008cbdea949c532cb61ca89bf15
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 09:25:33 2021 +0100

    Makefile.groups: added group for lwsc module

commit 8be3382079be90e60ce48cdc924bd4c5192d523a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 09:20:13 2021 +0100

    lwsc: new module adding websocket client connector
    
    - targeting interaction with external system, not for usual SIP forwarding
    - uses libwebsockets

commit e1570a115f99c896d3703b756fe95cc28e0cb7d5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 09:05:55 2021 +0100

    siptrace: renamed SREV_NET_DATA_SEND to SREV_NET_DATA_SENT

commit 93df5a5241f57ffb71dad0b0df04a256b7b0b7b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 09:04:38 2021 +0100

    core: events - rename SREV_NET_DATA_SEND to SREV_NET_DATA_SENT
    
    - reflects better the purpose, being executed after the message is sent

commit 9c2c4bafa0f0cd980b5867e7d4c0995255730f87
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 23 17:50:23 2021 +0100

    core: comments updated for msg_send_buffer()

commit d0434c21962ad92b92108f9f7cf761617bb6ec58
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Wed Mar 24 09:25:34 2021 +0300

    pkg/docker: updated submodule [skip ci]

commit 5460949614c92c7dbfb7f63274540500f2a69d5b
Author: Miteshkumar Thakkar <mitesht@users.noreply.github.com>
Date:   Tue Mar 23 20:35:20 2021 +0530

    app_lua: Fixed error 'too many parameters'
    
    - Calling function KSR.secsipid.secsipid_add_identity() has six parameters, is giving error 'too many parameters'

commit 70929120769113d636c19dac69bbe13ee8689410
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 23 12:53:38 2021 +0100

    tls: test the pointer to CA file path when setting the client property

commit f35101a9e0f9960880eb2bf83966da90f76496b5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 23 12:29:19 2021 +0100

    tls: log file name if failure to set the client CA list

commit d82d95a824d6f8a6c0246b78ac6642d4d6fed9e1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Mar 23 11:30:18 2021 +0100

    http_async_client: fix build with older versionss of libcurl
    
